!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_3434) = coupl(nGC_3101) + coupl(nGC_376)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_2911) = cima*(20d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_336)**2d0  &
                         + 20d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_342)**2d0 +   &
                        20d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_348)**2d0 + 20d0*&
                        Nc*coupl(nGC_363)**2d0*coupl(nGC_366)**2d0 + 20d0*Nc*  &
                        coupl(nGC_369)**2d0*coupl(nGC_372)**2d0 + 20d0*Nc*coupl&
                        (nGC_381)**2d0*coupl(nGC_384)**2d0 + coupl(nGC_224)**  &
                        2d0 + 20d0*coupl(nGC_351)**2d0*coupl(nGC_354)**2d0 +   &
                        20d0*coupl(nGC_357)**2d0*coupl(nGC_360)**2d0 + 20d0*   &
                        coupl(nGC_375)**2d0*coupl(nGC_378)**2d0 + 2d0*coupl(   &
                        nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3179) = coupl(nGC_615)*dZgs_QCD2
      coupl(nGC_3431) = coupl(nGC_3003) + coupl(nGC_76)*dZHl_QED2
      coupl(nGC_3128) = coupl(nGC_1418)*dyc1_QED3 + coupl(nGC_1419)*dyc2_QED3  &
                         + coupl(nGC_1420)*da_QED2
      coupl(nGC_2430) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl(&
                        nGC_209)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3563) = coupl(nGC_3071) + coupl(nGC_343)*dZbR_QCD2/2d0 + coupl(&
                        nGC_343)*dZtL_QCD2/2d0
      coupl(nGC_3455) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZsL_QED2 + coupl(nGC_3183)
      coupl(nGC_3539) = coupl(nGC_2994) + coupl(nGC_39)*dZHa_QED2/2d0 + coupl( &
                        nGC_39)*dZHh_QED2 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +    &
                        coupl(nGC_47)*dZHlHh_QED2 + coupl(nGC_48)*dZHaG0_QED2/ &
                        2d0
      coupl(nGC_3538) = coupl(nGC_39)*dZG0/2d0
      coupl(nGC_3537) = coupl(nGC_3081) + coupl(nGC_366)*dZsL_QCD2/2d0 + coupl(&
                        nGC_366)*dZsR_QCD2/2d0
      coupl(nGC_3536) = coupl(nGC_3080) + coupl(nGC_363)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_366)*dZHh_QED2/2d0 + coupl(nGC_366)*dZsL_QED2&
                        /2d0 + coupl(nGC_366)*dZsR_QED2/2d0
      coupl(nGC_3535) = coupl(nGC_2963) + coupl(nGC_36)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl( &
                        nGC_41)*dZHl_QED2
      coupl(nGC_3534) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_eL_QED2 + coupl(nGC_3185)
      coupl(nGC_3533) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_tauL_QED2 + coupl(nGC_3185)
      coupl(nGC_3532) = -coupl(nGC_26)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3531) = coupl(nGC_2979) + coupl(nGC_32)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_33)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_34&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_37)*dZHhHl_QED2/2d0 +    &
                        coupl(nGC_46)*dZHMinus_QED2/2d0 + coupl(nGC_46)*       &
                        dZHh_QED2/2d0 + coupl(nGC_46)*dZHl_QED2/2d0
      coupl(nGC_3530) = coupl(nGC_46)*dZGMinus/2d0
      coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2809) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_375)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_831)*coupl(nGC_847))/(8d0*pi**2d0)
      coupl(nGC_3680) = coupl(nGC_13)*dZbR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_2982) = coupl(nGC_2237)*db_QED2 + coupl(nGC_2238)*dZee_QED2 +  &
                        coupl(nGC_2239)*dcw_QED2 + coupl(nGC_2240)*da_QED2
      coupl(nGC_3566) = coupl(nGC_175)*dZA_QED2/2d0 + coupl(nGC_175)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_175)*dZHh_QED2/2d0 +     &
                        coupl(nGC_175)*dZWMinus_QED2/2d0 + coupl(nGC_180)*     &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_180)*dZHlHh_QED2/  &
                        2d0 + coupl(nGC_22)*dZZA_QED2/2d0 + coupl(nGC_3008)
      coupl(nGC_2800) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334&
                        )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(      &
                        nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl( &
                        nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_348) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364)*&
                        coupl(nGC_366) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_370)*coupl(nGC_372) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima* &
                        coupl(nGC_175)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_352)*coupl(nGC_354)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_175)*coupl(nGC_3)*coupl(nGC_831) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_22)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_2801) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_346) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_364) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_370) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_831) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_2804) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(  &
                        nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0&
                        *coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                        (nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(nGC_197)**  &
                        2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima*coupl(      &
                        nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(nGC_197)**&
                        2d0*coupl(nGC_212)*coupl(nGC_4) - 8d0*cima*coupl(      &
                        nGC_198)*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_847) -  &
                        8d0*cima*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_4)*coupl&
                        (nGC_831) + 6d0*cima*coupl(nGC_793)*coupl(nGC_879) +   &
                        6d0*coupl(nGC_194)*coupl(nGC_3)*coupl(nGC_847) + 6d0*  &
                        coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_202) + 6d0*    &
                        coupl(nGC_199)*coupl(nGC_4)*coupl(nGC_879) + 6d0*coupl(&
                        nGC_3)*coupl(nGC_793)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_2805) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(  &
                        nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0&
                        *coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                        (nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(nGC_197)**  &
                        2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima*coupl(      &
                        nGC_194)*coupl(nGC_202) - 6d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_211)*coupl(nGC_4) + 9d0*cima*coupl(nGC_197)**&
                        2d0*coupl(nGC_212)*coupl(nGC_4) - 8d0*cima*coupl(      &
                        nGC_198)*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_847) -  &
                        8d0*cima*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_4)*coupl&
                        (nGC_831) + 6d0*cima*coupl(nGC_793)*coupl(nGC_879) +   &
                        6d0*coupl(nGC_194)*coupl(nGC_198)*coupl(nGC_3) + 6d0*  &
                        coupl(nGC_199)*coupl(nGC_202)*coupl(nGC_847) + 6d0*    &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_793) + 6d0*coupl(  &
                        nGC_3)*coupl(nGC_847)*coupl(nGC_879))/(48d0*pi**2d0)
      coupl(nGC_2807) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_378)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_831)*coupl(nGC_847))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3881) = -coupl(nGC_184)*dZHMinus_QED2/2d0 - coupl(nGC_184)*    &
                        dZHa_QED2/2d0 - coupl(nGC_184)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_3143)
      coupl(nGC_3880) = coupl(nGC_242)*dZG0
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_4019) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3052) = coupl(nGC_2154)*db_QED2 + coupl(nGC_2155)*dyd12x2_QED3 &
                         + coupl(nGC_2156)*dys2_QED3
      coupl(nGC_3053) = coupl(nGC_2155)*dyd12x2_QED1_QCD2 + coupl(nGC_2156)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3751) = coupl(nGC_13)*dZcR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_4015) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3755) = coupl(nGC_172)*dZHMinus_QED2/2d0 + coupl(nGC_172)*     &
                        dZHh_QED2/2d0 + coupl(nGC_172)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_178)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_179 &
                        )*dZHlHh_QED2/2d0 + coupl(nGC_3149)
      coupl(nGC_2934) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0 &
                         - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2935) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0  &
                         + coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2936) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_2937) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -    &
                        coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2930) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*coupl&
                        (nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl(     &
                        nGC_345)*coupl(nGC_348) - coupl(nGC_363)*coupl(nGC_366 &
                        ) - coupl(nGC_369)*coupl(nGC_372) - coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0)
      coupl(nGC_2931) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0  &
                         + coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl(  &
                        nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2932) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0 &
                         - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl(  &
                        nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2933) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207)**&
                        4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl(     &
                        nGC_210)**4d0 + cima*coupl(nGC_195)**2d0 - 2d0*cima*   &
                        coupl(nGC_199)**4d0 + cima*coupl(nGC_208)**4d0 + cima* &
                        coupl(nGC_211)**4d0 + cima*coupl(nGC_212)**4d0 - 2d0*  &
                        cima*coupl(nGC_847)**4d0 + 2d0*coupl(nGC_195)*coupl(   &
                        nGC_199)**2d0 + 2d0*coupl(nGC_195)*coupl(nGC_847)**2d0 &
                        )/(8d0*pi**2d0)
      coupl(nGC_3043) = coupl(nGC_2151)*dZee_QED2 + coupl(nGC_2152)*dcw_QED2 + &
                        coupl(nGC_2153)*dsw_QED2
      coupl(nGC_2938) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(    &
                        128d0*pi**2d0)
      coupl(nGC_2939) = cima*sq2**4d0*(-Nc*coupl(nGC_907)**4d0 - 15d0*coupl(   &
                        nGC_13)**4d0)/(192d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2509) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2508) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3631) = coupl(nGC_3098) + coupl(nGC_376)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_379)*dZnu_tauL_QED2/2d0 + coupl(nGC_379&
                        )*dZtauMinusR_QED2/2d0
      coupl(nGC_2505) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc* &
                        coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*coupl&
                        (nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc*coupl&
                        (nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl(      &
                        nGC_357)*coupl(nGC_361) - coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2504) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc* &
                        coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*coupl&
                        (nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc*coupl&
                        (nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl(      &
                        nGC_360)*coupl(nGC_361) - coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2507) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_342 &
                        )*coupl(nGC_369)*coupl(nGC_373) - coupl(nGC_373)*coupl(&
                        nGC_815)*coupl(nGC_875) - coupl(nGC_373)*coupl(nGC_841 &
                        )*coupl(nGC_883))/(32d0*pi**2d0)
      coupl(nGC_2506) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324&
                        )*coupl(nGC_793) + 2d0*coupl(nGC_198)*coupl(nGC_199)*  &
                        coupl(nGC_237) + 2d0*coupl(nGC_199)*coupl(nGC_324)*    &
                        coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2501) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343&
                        ) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370 &
                        ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_334)*   &
                        coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl( &
                        nGC_363)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*coupl(nGC_345)*   &
                        coupl(nGC_346)*coupl(nGC_349) + 2d0*Nc*cMD*coupl(      &
                        nGC_345)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_382) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 2d0*Nc* &
                        cMS*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369) +  &
                        Nc*cMT*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_373) +  &
                        2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_385 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_382)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_376 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_174)*coupl(      &
                        nGC_321) + 2d0*cima*coupl(nGC_180)*coupl(nGC_324) + 2d0&
                        *cima*coupl(nGC_21)*coupl(nGC_231) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
      coupl(nGC_2500) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343&
                        ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl( &
                        nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(nGC_336)*   &
                        coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_366)* &
                        coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_364)*coupl(nGC_366) + 2d0*Nc*cMD*coupl(nGC_346)*   &
                        coupl(nGC_348)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)* &
                        coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMD*coupl(      &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_382)*coupl(nGC_384) + Nc*cMS*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366) + Nc*cMS* &
                        coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc* &
                        cMS*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372) +  &
                        2d0*Nc*cMT*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_385 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_384) + Nc*cMU*coupl(nGC_348)*coupl(nGC_349)*coupl( &
                        nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)*coupl(nGC_384)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_352)*coupl(nGC_354)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_358)*coupl(nGC_360)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_376)*coupl(nGC_378 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_175)*coupl(      &
                        nGC_324) + 2d0*cima*coupl(nGC_180)*coupl(nGC_321) + 2d0&
                        *cima*coupl(nGC_22)*coupl(nGC_237) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
      coupl(nGC_2502) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) - coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) - coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) - coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_3641) = coupl(nGC_3304) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_3989) = coupl(nGC_2959) + coupl(nGC_35)*dZHlHh_QED2 + coupl(   &
                        nGC_39)*dZHaG0_QED2 + coupl(nGC_43)*dZHh_QED2
      coupl(nGC_3634) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_3635) = coupl(nGC_260)*dZHl_QED2/2d0 + coupl(nGC_271)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_3035)
      coupl(nGC_3390) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_997) = coupl(nGC_I)*dZGMinus
      coupl(nGC_3397) = coupl(nGC_23)*dZGMinus/2d0
      coupl(nGC_2598) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl&
                        (nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc*coupl&
                        (nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl(      &
                        nGC_358)*coupl(nGC_360) + coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3647) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_2540) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_338) - Nc* &
                        coupl(nGC_343)*coupl(nGC_815) - Nc*coupl(nGC_346)*coupl&
                        (nGC_811) - Nc*coupl(nGC_364)*coupl(nGC_805) + Nc*coupl&
                        (nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_386) - coupl(nGC_352)*coupl(nGC_807) - coupl(      &
                        nGC_358)*coupl(nGC_837) - coupl(nGC_376)*coupl(nGC_853 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2750) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_334&
                        )**2d0 - coupl(nGC_337)**2d0 - coupl(nGC_363)**2d0 -   &
                        coupl(nGC_365)*coupl(nGC_795) - coupl(nGC_366)**2d0 -  &
                        coupl(nGC_368)*coupl(nGC_805))/(64d0*pi**2d0*Nc)
      coupl(nGC_2751) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_206)**2d0 - coupl(nGC_363)**2d0 - coupl(nGC_364)** &
                        2d0 - coupl(nGC_365)*coupl(nGC_795) - coupl(nGC_366)** &
                        2d0 - coupl(nGC_367)**2d0 - coupl(nGC_368)*coupl(      &
                        nGC_805))/(64d0*pi**2d0*Nc)
      coupl(nGC_2752) = coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_907) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_2753) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_334&
                        )**2d0 + coupl(nGC_337)**2d0 + coupl(nGC_363)**2d0 +   &
                        coupl(nGC_365)*coupl(nGC_795) + coupl(nGC_366)**2d0 +  &
                        coupl(nGC_368)*coupl(nGC_805))/(64d0*pi**2d0)
      coupl(nGC_2754) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_206)**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_364)** &
                        2d0 + coupl(nGC_365)*coupl(nGC_795) + coupl(nGC_366)** &
                        2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*coupl(      &
                        nGC_805))/(64d0*pi**2d0)
      coupl(nGC_2755) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_907&
                        ) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_2756) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(nGC_340 &
                        )**2d0 - coupl(nGC_343)**2d0 - coupl(nGC_369)**2d0 -   &
                        coupl(nGC_371)*coupl(nGC_841) - coupl(nGC_372)**2d0 -  &
                        coupl(nGC_374)*coupl(nGC_875))/(64d0*pi**2d0*Nc)
      coupl(nGC_3982) = coupl(nGC_3312) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_3371) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_196)*dZZA_QED2/&
                        2d0 + coupl(nGC_204)*dZA_QED2/2d0 + coupl(nGC_204)*    &
                        dZZ_QED2/2d0 + coupl(nGC_3154)
      coupl(nGC_3370) = coupl(nGC_175)*dZHl_QED2/2d0 + coupl(nGC_181)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*dZHhHl_QED2/  &
                        2d0 + coupl(nGC_3008)
      coupl(nGC_3373) = coupl(nGC_3052) + coupl(nGC_364)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*   &
                        dZsR_QED2/2d0
      coupl(nGC_3372) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +    &
                        coupl(nGC_3038)
      coupl(nGC_3374) = coupl(nGC_3053) + coupl(nGC_367)*dZcL_QCD2/2d0 + coupl(&
                        nGC_367)*dZsR_QCD2/2d0
      coupl(nGC_2719) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_847) + coupl(nGC_206)*coupl(nGC_345)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_809) + coupl(  &
                        nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_350)*coupl(nGC_811) + coupl(nGC_207)*coupl(nGC_382 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3376) = coupl(nGC_3054) + coupl(nGC_334)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_337)*dZcR_QED2/2d0 + coupl(nGC_337)*   &
                        dZsL_QED2/2d0
      coupl(nGC_2619) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_809) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_809) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_347) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_383) - coupl(nGC_347)*coupl(nGC_348)**2d0 -  &
                        coupl(nGC_347)*coupl(nGC_809)**2d0 - coupl(nGC_347)*   &
                        coupl(nGC_811)**2d0 - coupl(nGC_349)*coupl(nGC_383)*   &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2618) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3838) = coupl(nGC_29)*dZGMinus
      coupl(nGC_3839) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_3039)
      coupl(nGC_2597) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_335) + Nc*&
                        coupl(nGC_343)*coupl(nGC_883) + Nc*coupl(nGC_346)*coupl&
                        (nGC_809) + Nc*coupl(nGC_364)*coupl(nGC_795) - Nc*coupl&
                        (nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_383) + coupl(nGC_352)*coupl(nGC_893) + coupl(      &
                        nGC_358)*coupl(nGC_877) + coupl(nGC_376)*coupl(nGC_887 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2611) = coupl(nGC_13)**2d0*coupl(nGC_883)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2610) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_883) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_883) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_344) - coupl(nGC_340)*coupl(nGC_371)* &
                        coupl(nGC_373) - coupl(nGC_342)**2d0*coupl(nGC_344) -  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_371) - coupl(  &
                        nGC_344)*coupl(nGC_815)**2d0 - coupl(nGC_344)*coupl(   &
                        nGC_883)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2613) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2612) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_344) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_883) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_841) - coupl(nGC_341)**2d0*coupl(nGC_883) -  &
                        coupl(nGC_342)**2d0*coupl(nGC_883) - coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_841) - coupl(nGC_344)**2d0*   &
                        coupl(nGC_883))/(32d0*pi**2d0)
      coupl(nGC_2729) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_363)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_795) + coupl(  &
                        nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_368)*coupl(nGC_805) + coupl(nGC_210)*coupl(nGC_364 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2728) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_847) + coupl(nGC_206)*coupl(nGC_363)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_795) + coupl(  &
                        nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_368)*coupl(nGC_805) + coupl(nGC_207)*coupl(nGC_334 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3325) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*          &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_22)*dZHhHl_QED2/2d0&
                         + coupl(nGC_23)*dZHMinus_QED2/2d0 + coupl(nGC_23)*    &
                        dZHl_QED2/2d0 + coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_23)*dZZ_QED2/2d0 + coupl(nGC_3165)
      coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3562) = coupl(nGC_3070) + coupl(nGC_340)*dZGMinusHMinus_QED2/  &
                        2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343 &
                        )*dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
      coupl(nGC_3091) = coupl(nGC_1467)*dydo1_QED1_QCD2 + coupl(nGC_1468)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3321) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZmuMinusR_QED2 + coupl(nGC_3186) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_939) = coupl(nGC_I)*dZG0
      coupl(nGC_2476) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_3478) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZA_QED2/2d0 + coupl&
                        (nGC_3005)
      coupl(nGC_3479) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*          &
                        dZtauMinusL_QED2 + coupl(nGC_3187) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2471) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_815) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_883) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_831) + coupl(nGC_2)*coupl&
                        (nGC_370)**2d0 + coupl(nGC_2)*coupl(nGC_373)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2470) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*coupl&
                        (nGC_197)**2d0*coupl(nGC_2) + 3d0*coupl(nGC_197)**2d0* &
                        coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_3)*coupl(      &
                        nGC_847) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_831))/( &
                        24d0*pi**2d0)
      coupl(nGC_2473) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_2472) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_815) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_883) + coupl(nGC_2)*coupl(nGC_340)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3472) = coupl(nGC_2990) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/ &
                        2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*   &
                        dZHhHl_QED2/2d0
      coupl(nGC_3473) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZdL_QED2 + coupl(nGC_3183)
      coupl(nGC_3470) = -coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3471) = coupl(nGC_53)*dZGMinus/2d0
      coupl(nGC_3476) = coupl(nGC_206)*dZdR_QCD2
      coupl(nGC_3477) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3474) = coupl(nGC_209)*dZdL_QCD2
      coupl(nGC_3475) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZdR_QED2 + coupl(nGC_3184)
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3678) = coupl(nGC_13)*dZbL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_3679) = coupl(nGC_13)*dZbL_QED2
      coupl(nGC_2797) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_346) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_364) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_370) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_2599) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*coupl&
                        (nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc*coupl&
                        (nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl(      &
                        nGC_357)*coupl(nGC_358) + coupl(nGC_375)*coupl(nGC_376 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3674) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_3675) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_3676) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_3677) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3671) = coupl(nGC_3057) + coupl(nGC_373)*dZbL_QCD2/2d0 + coupl(&
                        nGC_373)*dZtR_QCD2/2d0
      coupl(nGC_3672) = coupl(nGC_373)*dZGMinus/2d0
      coupl(nGC_3673) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_186)*dZHa_QED2/2d0 +     &
                        coupl(nGC_186)*dZWMinus_QED2/2d0 + coupl(nGC_30)*      &
                        dZZA_QED2/2d0 + coupl(nGC_3005)
      coupl(nGC_2722) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_351)**2d0 + coupl(nGC_208)*coupl(nGC_353)*coupl(   &
                        nGC_893) + coupl(nGC_208)*coupl(nGC_354)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_356)*coupl(nGC_807) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_3068) = coupl(nGC_1984)*db_QED2 + coupl(nGC_1985)*dyt1_QED3 +  &
                        coupl(nGC_1986)*dyt2_QED3
      coupl(nGC_2688) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC* &
                        coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(nGC_363&
                        ) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2689) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC*&
                        coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(nGC_363&
                        ) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0)
      coupl(nGC_2686) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(     &
                        nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2687) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_837)**2d0 - coupl(nGC_877)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2684) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(     &
                        nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2757) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_207)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_370)** &
                        2d0 - coupl(nGC_371)*coupl(nGC_841) - coupl(nGC_372)** &
                        2d0 - coupl(nGC_373)**2d0 - coupl(nGC_374)*coupl(      &
                        nGC_875))/(64d0*pi**2d0*Nc)
      coupl(nGC_2682) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345 &
                        )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(   &
                        nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(   &
                        nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_3841) = coupl(nGC_3103) + coupl(nGC_359)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 + coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_2681) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345 &
                        )**3d0 - coupl(nGC_345)*coupl(nGC_348)**2d0 - coupl(   &
                        nGC_345)*coupl(nGC_809)**2d0 - coupl(nGC_345)*coupl(   &
                        nGC_811)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_3763) = coupl(nGC_3072) + coupl(nGC_347)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_350)*dZdL_QED2/2d0 + coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_2758) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(nGC_340  &
                        )**2d0 + coupl(nGC_343)**2d0 + coupl(nGC_369)**2d0 +   &
                        coupl(nGC_371)*coupl(nGC_841) + coupl(nGC_372)**2d0 +  &
                        coupl(nGC_374)*coupl(nGC_875))/(64d0*pi**2d0)
      coupl(nGC_4022) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_2759) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_207)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_370)** &
                        2d0 + coupl(nGC_371)*coupl(nGC_841) + coupl(nGC_372)** &
                        2d0 + coupl(nGC_373)**2d0 + coupl(nGC_374)*coupl(      &
                        nGC_875))/(64d0*pi**2d0)
      coupl(nGC_3048) = coupl(nGC_1353)*db_QED2 + coupl(nGC_1354)*dyup1_QED3 + &
                        coupl(nGC_1355)*dyup2_QED3
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3069) = coupl(nGC_1985)*dyt1_QED1_QCD2 + coupl(nGC_1986)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2981) = coupl(nGC_1766)*db_QED2 + coupl(nGC_1767)*dl3_QED4 +   &
                        coupl(nGC_1768)*dl2_QED4 + coupl(nGC_1769)*dl1_QED4 +  &
                        coupl(nGC_1770)*dl4_QED4 + coupl(nGC_1771)*dl5_QED4
      coupl(nGC_4055) = -coupl(nGC_2459)
      coupl(nGC_4054) = -coupl(nGC_2527)
      coupl(nGC_4051) = -coupl(nGC_2526)
      coupl(nGC_4052) = -coupl(nGC_2502)
      coupl(nGC_3018) = coupl(nGC_1976)*dl4_QED4 + coupl(nGC_1977)*dl5_QED4 +  &
                        coupl(nGC_1978)*dvev2_QED1 + coupl(nGC_1979)*dvev1_QED1&
                         + coupl(nGC_1980)*db_QED2
      coupl(nGC_3019) = coupl(nGC_1589)*db_QED2 + coupl(nGC_1590)*dvev2_QED1 + &
                        coupl(nGC_1591)*dvev1_QED1 + coupl(nGC_1592)*dl2_QED4  &
                         + coupl(nGC_1593)*dl1_QED4 + coupl(nGC_1594)*dl4_QED4 &
                         + coupl(nGC_1595)*dl3_QED4 + coupl(nGC_1596)*da_QED2  &
                         + coupl(nGC_1597)*dl5_QED4
      coupl(nGC_3153) = coupl(nGC_1144)*dZee_QED2 + coupl(nGC_1145)*dsw_QED2
      coupl(nGC_3155) = coupl(nGC_1518)*dsw_QED2 + coupl(nGC_1519)*da_QED2 +   &
                        coupl(nGC_1520)*dvev1_QED1 + coupl(nGC_1521)*dvev2_QED1&
                         + coupl(nGC_1522)*dZee_QED2
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3409) = coupl(nGC_3002) + coupl(nGC_99)*dZHMinus_QED2
      coupl(nGC_3156) = coupl(nGC_1428)*dsw_QED2 + coupl(nGC_1429)*da_QED2 +   &
                        coupl(nGC_1430)*dvev1_QED1 + coupl(nGC_1431)*dvev2_QED1&
                         + coupl(nGC_1432)*dZee_QED2
      coupl(nGC_3010) = coupl(nGC_2227)*db_QED2 + coupl(nGC_2228)*dvev1_QED1 + &
                        coupl(nGC_2229)*dcw_QED2 + coupl(nGC_2230)*dZee_QED2 + &
                        coupl(nGC_2231)*dvev2_QED1
      coupl(nGC_3011) = coupl(nGC_1818)*dZee_QED2 + coupl(nGC_1819)*dsw_QED2 + &
                        coupl(nGC_1820)*dcw_QED2 + coupl(nGC_1821)*dvev1_QED1  &
                         + coupl(nGC_1822)*dvev2_QED1 + coupl(nGC_1823)*da_QED2
      coupl(nGC_3012) = coupl(nGC_2000)*db_QED2 + coupl(nGC_2001)*dvev2_QED1 + &
                        coupl(nGC_2002)*dvev1_QED1 + coupl(nGC_2003)*dl2_QED4  &
                         + coupl(nGC_2004)*dl1_QED4 + coupl(nGC_2005)*dl4_QED4 &
                         + coupl(nGC_2006)*dl3_QED4 + coupl(nGC_2007)*da_QED2  &
                         + coupl(nGC_2008)*dl5_QED4
      coupl(nGC_3013) = coupl(nGC_2259)*db_QED2 + coupl(nGC_2260)*dvev2_QED1 + &
                        coupl(nGC_2261)*dvev1_QED1 + coupl(nGC_2262)*dl2_QED4  &
                         + coupl(nGC_2263)*dl1_QED4 + coupl(nGC_2264)*dl4_QED4 &
                         + coupl(nGC_2265)*dl3_QED4 + coupl(nGC_2266)*da_QED2  &
                         + coupl(nGC_2267)*dl5_QED4
      coupl(nGC_3014) = coupl(nGC_1860)*dvev2_QED1 + coupl(nGC_1861)*dvev1_QED1&
                         + coupl(nGC_1862)*dl2_QED4 + coupl(nGC_1863)*dl1_QED4 &
                         + coupl(nGC_1864)*dl4_QED4 + coupl(nGC_1865)*dl3_QED4 &
                         + coupl(nGC_1866)*da_QED2 + coupl(nGC_1867)*dl5_QED4
      coupl(nGC_3015) = coupl(nGC_1728)*db_QED2 + coupl(nGC_1729)*dvev2_QED1 + &
                        coupl(nGC_1730)*dvev1_QED1 + coupl(nGC_1731)*dl2_QED4  &
                         + coupl(nGC_1732)*dl1_QED4 + coupl(nGC_1733)*dl4_QED4 &
                         + coupl(nGC_1734)*dl3_QED4 + coupl(nGC_1735)*da_QED2  &
                         + coupl(nGC_1736)*dl5_QED4
      coupl(nGC_3016) = coupl(nGC_1918)*dvev2_QED1 + coupl(nGC_1919)*dvev1_QED1&
                         + coupl(nGC_1920)*dl2_QED4 + coupl(nGC_1921)*dl1_QED4 &
                         + coupl(nGC_1922)*dl4_QED4 + coupl(nGC_1923)*dl3_QED4 &
                         + coupl(nGC_1924)*da_QED2 + coupl(nGC_1925)*dl5_QED4
      coupl(nGC_3017) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dvev2_QED1 +   &
                        coupl(nGC_515)*da_QED2 + coupl(nGC_517)*dl2_QED4 +     &
                        coupl(nGC_519)*dl1_QED4 + coupl(nGC_521)*dl4_QED4 +    &
                        coupl(nGC_523)*dl3_QED4 + coupl(nGC_525)*dvev1_QED1 +  &
                        coupl(nGC_527)*dl5_QED4
      coupl(nGC_2978) = coupl(nGC_1612)*db_QED2 + coupl(nGC_1613)*dl5_QED4 +   &
                        coupl(nGC_1614)*dl4_QED4 + coupl(nGC_1615)*da_QED2
      coupl(nGC_2592) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(  &
                        nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2921) = (-3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0  &
                         + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*coupl&
                        (nGC_210) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(     &
                        nGC_210)**2d0 + 3d0*cima*coupl(nGC_194)**2d0 - 3d0*cima&
                        *coupl(nGC_197)**2d0*coupl(nGC_211)**2d0 + 9d0*cima*   &
                        coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(nGC_212) - 3d0&
                        *cima*coupl(nGC_197)**2d0*coupl(nGC_212)**2d0 - 4d0*   &
                        cima*coupl(nGC_198)*coupl(nGC_199)**2d0*coupl(nGC_847  &
                        ) - 4d0*cima*coupl(nGC_199)**2d0*coupl(nGC_4)*coupl(   &
                        nGC_831) + 3d0*cima*coupl(nGC_793)**2d0 + 3d0*coupl(   &
                        nGC_194)*coupl(nGC_198)*coupl(nGC_199) + 3d0*coupl(    &
                        nGC_194)*coupl(nGC_199)*coupl(nGC_847) + 3d0*coupl(    &
                        nGC_199)*coupl(nGC_4)*coupl(nGC_793) + 3d0*coupl(      &
                        nGC_199)*coupl(nGC_793)*coupl(nGC_831))/(24d0*pi**2d0)
      coupl(nGC_3972) = coupl(nGC_13)*dZdL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_2976) = coupl(nGC_1737)*db_QED2 + coupl(nGC_1738)*dl3_QED4 +   &
                        coupl(nGC_1739)*dl2_QED4 + coupl(nGC_1740)*dl1_QED4 +  &
                        coupl(nGC_1741)*dl4_QED4 + coupl(nGC_1742)*dl5_QED4
      coupl(nGC_2791) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_385) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_349) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_367) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_373) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_385) + 6d0*cima* &
                        coupl(nGC_174)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_355)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_361)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_379)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_21) + 6d0* &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_831) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_21)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_249_Hh) = -coupl(nGC_249)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2705) = coupl(nGC_197)*(coupl(nGC_199)*coupl(nGC_212) + 2d0*   &
                        coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_211)*coupl(  &
                        nGC_847) + coupl(nGC_4)*coupl(nGC_831))/(16d0*pi**2d0)
      coupl(nGC_3662) = coupl(nGC_2978) + coupl(nGC_52)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHa_QED2/2d0 + coupl(nGC_62)*     &
                        dZHh_QED2/2d0
      coupl(nGC_3084) = coupl(nGC_1948)*dydo2_QED3 + coupl(nGC_1949)*dydo1_QED3&
                         + coupl(nGC_1950)*da_QED2
      coupl(nGC_3936) = coupl(nGC_3107) + coupl(nGC_375)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_378)*dZHh_QED2/2d0 + coupl(nGC_378)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_378)*dZtauMinusR_QED2/&
                        2d0
      coupl(nGC_3567) = coupl(nGC_3126) + coupl(nGC_381)*dZHl_QED2/2d0 + coupl(&
                        nGC_381)*dZuL_QED2/2d0 + coupl(nGC_381)*dZuR_QED2/2d0  &
                         + coupl(nGC_384)*dZHhHl_QED2/2d0
      coupl(nGC_3027) = coupl(nGC_1804)*dvev2_QED1 + coupl(nGC_1805)*dvev1_QED1&
                         + coupl(nGC_1806)*dl2_QED4 + coupl(nGC_1807)*dl1_QED4 &
                         + coupl(nGC_1808)*dl4_QED4 + coupl(nGC_1809)*dl3_QED4 &
                         + coupl(nGC_1810)*da_QED2 + coupl(nGC_1811)*dl5_QED4
      coupl(nGC_3704) = coupl(nGC_70)*dZGMinus
      coupl(nGC_3705) = coupl(nGC_2969) + coupl(nGC_54)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
      coupl(nGC_3706) = coupl(nGC_100)*dZHa_QED2 + coupl(nGC_100)*dZWMinus_QED2&
                         + coupl(nGC_3150)
      coupl(nGC_3707) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*       &
                        dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZZ_QED2/2d0 + coupl(nGC_3161)
      coupl(nGC_3700) = coupl(nGC_3040)/2d0 + coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_3701) = -coupl(nGC_11)*dZg_QCD2/4d0 - coupl(nGC_3047)/2d0
      coupl(nGC_3702) = coupl(nGC_3041)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_3703) = coupl(nGC_100)*dZG0
      coupl(nGC_2928) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0 &
                         - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl(  &
                        nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_3708) = coupl(nGC_215)*dZG0/2d0
      coupl(nGC_2545) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_815) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_815) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_341) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_374) - coupl(nGC_341)*coupl(nGC_342)**2d0 -  &
                        coupl(nGC_341)*coupl(nGC_815)**2d0 - coupl(nGC_341)*   &
                        coupl(nGC_883)**2d0 - coupl(nGC_343)*coupl(nGC_370)*   &
                        coupl(nGC_374))/(32d0*pi**2d0)
      coupl(nGC_3789) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZcR_QED2 + coupl(nGC_3181)
      coupl(nGC_3494) = coupl(nGC_261)*dZHl_QED2/2d0 + coupl(nGC_261)*         &
                        dZWMinus_QED2 + coupl(nGC_272)*dZHhHl_QED2/2d0 + coupl(&
                        nGC_3156) + coupl(nGC_TS_GC_77_Hl)
      coupl(nGC_3495) = coupl(nGC_2950) + coupl(nGC_31)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_31)*dZHa_QED2/2d0
      coupl(nGC_3496) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_3038)
      coupl(nGC_3497) = coupl(nGC_3003) + coupl(nGC_76)*dZHh_QED2
      coupl(nGC_3490) = coupl(nGC_3050) + coupl(nGC_346)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*   &
                        dZuL_QED2/2d0
      coupl(nGC_3491) = coupl(nGC_3051) + coupl(nGC_349)*dZdR_QCD2/2d0 + coupl(&
                        nGC_349)*dZuL_QCD2/2d0
      coupl(nGC_3565) = coupl(nGC_3069) + coupl(nGC_370)*dZbL_QCD2/2d0 + coupl(&
                        nGC_370)*dZtR_QCD2/2d0
      coupl(nGC_3836) = -coupl(nGC_3092) - coupl(nGC_365)*dZHa_QED2/2d0 - coupl&
                        (nGC_365)*dZsL_QED2/2d0 - coupl(nGC_365)*dZsR_QED2/2d0 &
                         - coupl(nGC_368)*dZG0Ha_QED2/2d0
      coupl(nGC_3498) = coupl(nGC_3104) + coupl(nGC_377)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_380)*dZtauMinusL_QED2/2d0 + coupl(nGC_380)*  &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_3499) = coupl(nGC_380)*dZG0/2d0
      coupl(nGC_2553) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_811) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_811) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_350) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_386) - coupl(nGC_348)**2d0*coupl(nGC_350) -  &
                        coupl(nGC_349)*coupl(nGC_385)*coupl(nGC_386) - coupl(  &
                        nGC_350)*coupl(nGC_809)**2d0 - coupl(nGC_350)*coupl(   &
                        nGC_811)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3837) = -coupl(nGC_3093) - coupl(nGC_365)*dZsL_QCD2/2d0 - coupl&
                        (nGC_365)*dZsR_QCD2/2d0
      coupl(nGC_3834) = coupl(nGC_3092) + coupl(nGC_365)*dZHa_QED2/2d0 + coupl(&
                        nGC_365)*dZsL_QED2/2d0 + coupl(nGC_365)*dZsR_QED2/2d0  &
                         + coupl(nGC_368)*dZG0Ha_QED2/2d0
      coupl(nGC_2788) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(      &
                        nGC_199)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_205)**&
                        2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima&
                        *coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl&
                        (nGC_831)**2d0*coupl(nGC_847)**2d0 + 2d0*coupl(nGC_199 &
                        )*coupl(nGC_205)*coupl(nGC_3) + 2d0*coupl(nGC_205)*    &
                        coupl(nGC_831)*coupl(nGC_847))/(8d0*pi**2d0)
      coupl(nGC_2557) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_807) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_807) - coupl(nGC_354)**2d0*coupl(nGC_807 &
                        ) - coupl(nGC_356)**2d0*coupl(nGC_807) + 8d0*coupl(    &
                        nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2554) = coupl(nGC_13)**2d0*coupl(nGC_811)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3787) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZcL_QED2 + coupl(nGC_3182)
      coupl(nGC_2659) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC* &
                        coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(nGC_366&
                        ) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2658) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_837)**2d0 - coupl(nGC_877)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2655) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(     &
                        nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3029) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dvev2_QED1 +   &
                        coupl(nGC_555)*da_QED2 + coupl(nGC_557)*dl2_QED4 +     &
                        coupl(nGC_559)*dl1_QED4 + coupl(nGC_561)*dl4_QED4 +    &
                        coupl(nGC_563)*dl3_QED4 + coupl(nGC_565)*dvev1_QED1 +  &
                        coupl(nGC_567)*dl5_QED4
      coupl(nGC_2657) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(     &
                        nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2656) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_807)**2d0 - coupl(nGC_893)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2651) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2650) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) -  &
                        coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)**  &
                        2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2653) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) -  &
                        coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3028) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dvev2_QED1 +   &
                        coupl(nGC_535)*da_QED2 + coupl(nGC_537)*dl2_QED4 +     &
                        coupl(nGC_539)*dl1_QED4 + coupl(nGC_541)*dl4_QED4 +    &
                        coupl(nGC_543)*dl3_QED4 + coupl(nGC_545)*dvev1_QED1 +  &
                        coupl(nGC_547)*dl5_QED4
      coupl(nGC_3782) = coupl(nGC_2966) + coupl(nGC_32)*dZHhHl_QED2 + coupl(   &
                        nGC_34)*dZGMinusHMinus_QED2 + coupl(nGC_40)*           &
                        dZHMinus_QED2 + coupl(nGC_40)*dZHl_QED2
      coupl(nGC_2547) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_341) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_341) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_815) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_875) - coupl(nGC_341)**2d0*coupl(nGC_815) -  &
                        coupl(nGC_342)**2d0*coupl(nGC_815) - coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_875) - coupl(nGC_344)**2d0*   &
                        coupl(nGC_815))/(32d0*pi**2d0)
      coupl(nGC_2639) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_383) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_383) - coupl(nGC_346 &
                        )*coupl(nGC_382)*coupl(nGC_809) - coupl(nGC_349)*coupl(&
                        nGC_385)*coupl(nGC_809) - coupl(nGC_381)**2d0*coupl(   &
                        nGC_833) - coupl(nGC_383)**2d0*coupl(nGC_833) - coupl( &
                        nGC_384)**2d0*coupl(nGC_833) - coupl(nGC_386)**2d0*    &
                        coupl(nGC_833))/(32d0*pi**2d0)
      coupl(nGC_2417) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0  &
                         + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc&
                        *coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + coupl( &
                        nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_3564) = coupl(nGC_3068) + coupl(nGC_370)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*dZtR_QED2&
                        /2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3588) = -coupl(nGC_3075) - coupl(nGC_368)*dZsL_QCD2/2d0 - coupl&
                        (nGC_368)*dZsR_QCD2/2d0
      coupl(nGC_2944) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_925) - Nc*cima*   &
                        coupl(nGC_907)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_14)*   &
                        coupl(nGC_907)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_907)** &
                        2d0*coupl(nGC_925)*sq2**2d0 + 9d0*cima*coupl(nGC_13)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2410) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 - coupl&
                        (nGC_831)**2d0)/(48d0*pi**2d0)
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2946) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_925) - Nc*cima*   &
                        coupl(nGC_907)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_907)** &
                        2d0*coupl(nGC_925)*sq2**2d0 + 9d0*cima*coupl(nGC_13)** &
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2732) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_375)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_377)*coupl(nGC_887) + coupl(  &
                        nGC_211)*coupl(nGC_378)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_380)*coupl(nGC_853) + coupl(nGC_212)*coupl(nGC_376 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_379)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2546) = coupl(nGC_13)**2d0*coupl(nGC_815)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3332) = coupl(nGC_232)*dZHMinus_QED2/2d0 + coupl(nGC_238)*     &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_3031)
      coupl(nGC_3584) = coupl(nGC_3074) + coupl(nGC_365)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_368)*dZsL_QED2/2d0 + coupl(nGC_368)*dZsR_QED2&
                        /2d0
      coupl(nGC_3344) = coupl(nGC_191)*dZWMinus_QED2 + coupl(nGC_3148)
      coupl(nGC_2940) = (3d0*Nc*cima*coupl(nGC_14)**2d0 - Nc*cima*coupl(nGC_907&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_925)**2d0 - 3d0&
                        *Nc*coupl(nGC_14)*coupl(nGC_907)**2d0*sq2**2d0 - 3d0*Nc&
                        *coupl(nGC_907)**2d0*coupl(nGC_925)*sq2**2d0 + 9d0*cima&
                        *coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2881) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(nGC_343&
                        )**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*coupl(    &
                        nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0*Nc*   &
                        coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0*    &
                        coupl(nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2882) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0  &
                         + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 +   &
                        20d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)*  &
                        coupl(nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(    &
                        nGC_364)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_343)* &
                        coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_346)**  &
                        2d0*coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_346)**2d0* &
                        coupl(nGC_384)**2d0 + 20d0*Nc*coupl(nGC_346)*coupl(    &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_384) + 10d0*Nc*coupl(&
                        nGC_348)**2d0*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(     &
                        nGC_364)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*coupl(     &
                        nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(     &
                        nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0*coupl( &
                        nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 + 10d0*coupl( &
                        nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl(nGC_376 &
                        )**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3633) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl(  &
                        nGC_3180)
      coupl(nGC_2889) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)*  &
                        coupl(nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_342)*coupl(nGC_343)* &
                        coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_369)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_346)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_382)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 10d0*Nc*coupl(&
                        nGC_346)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0*   &
                        coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(  &
                        nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2479) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_351  &
                        )**2d0 + coupl(nGC_353)*coupl(nGC_893) + coupl(nGC_354 &
                        )**2d0 + coupl(nGC_356)*coupl(nGC_807) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2593) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3803) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_3802) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*     &
                        dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_3143)
      coupl(nGC_3801) = coupl(nGC_361)*dZGMinus/2d0
      coupl(nGC_3807) = coupl(nGC_3120) + coupl(nGC_381)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_384)*dZHh_QED2/2d0 + coupl(nGC_384)*dZuL_QED2&
                        /2d0 + coupl(nGC_384)*dZuR_QED2/2d0
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
