!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_3805) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_3804) = coupl(nGC_3299) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_357_Hl) + coupl(nGC_TS_GC_360_Hh)
      coupl(nGC_2721) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_351)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_893) + coupl(  &
                        nGC_211)*coupl(nGC_354)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_356)*coupl(nGC_807) + coupl(nGC_212)*coupl(nGC_352 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2720) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_345)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_809) + coupl(  &
                        nGC_209)*coupl(nGC_348)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_350)*coupl(nGC_811) + coupl(nGC_210)*coupl(nGC_346 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2723) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_357)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_877) + coupl(  &
                        nGC_211)*coupl(nGC_360)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_362)*coupl(nGC_837) + coupl(nGC_212)*coupl(nGC_358 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_361)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3808) = coupl(nGC_3121) + coupl(nGC_384)*dZuL_QCD2/2d0 + coupl(&
                        nGC_384)*dZuR_QCD2/2d0
      coupl(nGC_2725) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2724) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_357)**2d0 + coupl(nGC_208)*coupl(nGC_359)*coupl(   &
                        nGC_877) + coupl(nGC_208)*coupl(nGC_360)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_362)*coupl(nGC_837) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2727) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2726) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3964) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_3965) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_3966) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*     &
                        dZHh_QED2 + coupl(nGC_2961)
      coupl(nGC_3967) = coupl(nGC_243)*dZHlHh_QED2/2d0 + coupl(nGC_244)*       &
                        dZGMinusHMinus_QED2 + coupl(nGC_251)*dZHMinus_QED2 +   &
                        coupl(nGC_251)*dZHh_QED2/2d0 + coupl(nGC_3017) + coupl(&
                        nGC_TS_GC_32_Hl) + coupl(nGC_TS_GC_44_Hh)
      coupl(nGC_3960) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0 - coupl(nGC_173 &
                        )*dZHhHl_QED2/2d0 - coupl(nGC_178)*dZHMinus_QED2/2d0 - &
                        coupl(nGC_178)*dZHl_QED2/2d0 - coupl(nGC_178)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_3146)
      coupl(nGC_3961) = -coupl(nGC_199)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/ &
                        2d0 - coupl(nGC_3)*dZWMinus_QED2 - coupl(nGC_3147)
      coupl(nGC_3962) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2730) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_340)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_343)**2d0 + coupl(nGC_207)*   &
                        coupl(nGC_369)**2d0 + coupl(nGC_207)*coupl(nGC_371)*   &
                        coupl(nGC_841) + coupl(nGC_207)*coupl(nGC_372)**2d0 +  &
                        coupl(nGC_207)*coupl(nGC_374)*coupl(nGC_875) + 4d0*    &
                        coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3339) = coupl(nGC_2958) + 2d0*coupl(nGC_57)*dZHMinusGMinus_QED2
      coupl(nGC_2419) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(     &
                        nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(     &
                        nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl(&
                        nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(     &
                        nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(      &
                        nGC_357)*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3335) = coupl(nGC_186)*dZHMinus_QED2/2d0 + coupl(nGC_186)*     &
                        dZHa_QED2/2d0 + coupl(nGC_3005)
      coupl(nGC_3337) = coupl(nGC_3037) + coupl(nGC_322)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3141) = coupl(nGC_2354)*dvev1_QED1 + coupl(nGC_2355)*dvev2_QED1&
                         + coupl(nGC_2356)*dZee_QED2 + coupl(nGC_2357)*dsw_QED2&
                         + coupl(nGC_2358)*db_QED2
      coupl(nGC_3449) = coupl(nGC_28)*dZHMinus_QED2 + coupl(nGC_2952)
      coupl(nGC_3963) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_3886) = coupl(nGC_3091) + coupl(nGC_347)*dZdL_QCD2/2d0 + coupl(&
                        nGC_347)*dZdR_QCD2/2d0
      coupl(nGC_3446) = coupl(nGC_3000) + coupl(nGC_54)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_54)*dZHa_QED2 + coupl(nGC_64)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*               &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_72)*dZG0Ha_QED2
      coupl(nGC_3444) = coupl(nGC_3108) + coupl(nGC_351)*dZHl_QED2/2d0 + coupl(&
                        nGC_351)*dZeMinusL_QED2/2d0 + coupl(nGC_351)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_354)*dZHhHl_QED2/2d0
      coupl(nGC_3119) = coupl(nGC_573)*dyt1_QED1_QCD2 + coupl(nGC_575)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3448) = coupl(nGC_174)*dZHMinus_QED2/2d0 + coupl(nGC_174)*     &
                        dZHh_QED2/2d0 + coupl(nGC_181)*dZGMinusHMinus_QED2/2d0 &
                         + coupl(nGC_181)*dZHlHh_QED2/2d0 + coupl(nGC_3009)
      coupl(nGC_2837) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(     &
                        nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(&
                        nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364 &
                        )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336 &
                        )*coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_334&
                        )*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc&
                        *coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(   &
                        nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(&
                        nGC_339)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342 &
                        )*coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_340&
                        )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc&
                        *coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_372)*coupl(   &
                        nGC_373) + 10d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl( &
                        nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_345)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348 &
                        )*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346&
                        )*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc&
                        *coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(   &
                        nGC_382) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(&
                        nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl(&
                        nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(&
                        nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*coupl(     &
                        nGC_180)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_23)**2d0 + 10d0*coupl(nGC_351)*coupl(nGC_352 &
                        )*coupl(nGC_354)*coupl(nGC_355) + 10d0*coupl(nGC_357)* &
                        coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 10d0*   &
                        coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379))/(48d0*pi**2d0)
      coupl(nGC_2836) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)**2d0*coupl( &
                        nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl( &
                        nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl( &
                        nGC_337)*coupl(nGC_366)**2d0 + 5d0*Nc*coupl(nGC_336)** &
                        2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(      &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366   &
                        ) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)*coupl(   &
                        nGC_343) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)*  &
                        coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc* &
                        coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372)**2d0 + 5d0&
                        *Nc*coupl(nGC_346)*coupl(nGC_348)**2d0*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_384 &
                        )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349 &
                        )*coupl(nGC_384)**2d0 + 5d0*Nc*coupl(nGC_348)**2d0*    &
                        coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348)* &
                        coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384) + 5d0*Nc* &
                        coupl(nGC_364)*coupl(nGC_366)**2d0*coupl(nGC_367) + 5d0&
                        *Nc*coupl(nGC_370)*coupl(nGC_372)**2d0*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)**2d0*coupl(   &
                        nGC_385) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_352)*coupl(&
                        nGC_354)**2d0*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl&
                        (nGC_360)**2d0*coupl(nGC_361) + 5d0*coupl(nGC_376)*    &
                        coupl(nGC_378)**2d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3528) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZbL_QED2/2d0 + coupl(nGC_197)*dZtL_QED2/2d0 + coupl(  &
                        nGC_3180)
      coupl(nGC_3529) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_3683) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_3682) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_3525) = coupl(nGC_2951) + coupl(nGC_30)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_30)*dZHa_QED2/2d0
      coupl(nGC_2424) = cima*(coupl(nGC_198)*coupl(nGC_847) + coupl(nGC_199)*  &
                        coupl(nGC_843) + coupl(nGC_3)*coupl(nGC_825) + coupl(  &
                        nGC_4)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_3527) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2839) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_206) + coupl(nGC_1)*coupl(nGC_209) + coupl(nGC_2)* &
                        coupl(nGC_207) + coupl(nGC_2)*coupl(nGC_210))/(32d0*pi &
                        **2d0)
      coupl(nGC_3521) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_3522) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_2581) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321&
                        )*coupl(nGC_793) + 2d0*coupl(nGC_198)*coupl(nGC_199)*  &
                        coupl(nGC_231) + 2d0*coupl(nGC_199)*coupl(nGC_321)*    &
                        coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_3684) = coupl(nGC_3305) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_369_Hl) + coupl&
                        (nGC_TS_GC_372_Hh)
      coupl(nGC_2780) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                        nGC_349)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_385)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_340)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(      &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_385)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 6d0* &
                        cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_355)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_208)*coupl(nGC_361)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_208)*coupl(nGC_379)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_212)*coupl(nGC_355)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_361)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_379)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_831)*coupl(      &
                        nGC_847))/(48d0*pi**2d0)
      coupl(nGC_4036) = -coupl(nGC_2598)
      coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3890) = coupl(nGC_200)*dZZ_QED2/4d0 + coupl(nGC_3044)/2d0 +    &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_3892) = coupl(nGC_3077) + coupl(nGC_341)*dZbL_QCD2/2d0 + coupl(&
                        nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_3894) = -coupl(nGC_3076) - coupl(nGC_341)*dZbL_QED2/2d0 - coupl&
                        (nGC_341)*dZbR_QED2/2d0 - coupl(nGC_344)*dZHaG0_QED2/  &
                        2d0
      coupl(nGC_3895) = -coupl(nGC_3077) - coupl(nGC_341)*dZbL_QCD2/2d0 - coupl&
                        (nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_2830) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc*  &
                        coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346  &
                        )**3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl(  &
                        nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc* &
                        coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)**  &
                        3d0*coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361 &
                        ) + coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3573) = coupl(nGC_241)*dZGMinus
      coupl(nGC_2833) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0  &
                         + coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl(  &
                        nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2832) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0 &
                         - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl(  &
                        nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_2477) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_347)*coupl(nGC_809) + coupl(nGC_1)*coupl(  &
                        nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(     &
                        nGC_811) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_831) + coupl(nGC_2)*coupl&
                        (nGC_382)**2d0 + coupl(nGC_2)*coupl(nGC_385)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_4009) = -coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(     &
                        nGC_TS_GC_172_Hh) - coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_3748) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_muL_QED2 + coupl(nGC_3185)
      coupl(nGC_3749) = coupl(nGC_13)*dZcL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3179)
      coupl(nGC_3158) = coupl(nGC_1541)*dZee_QED2 + coupl(nGC_1542)*dcw_QED2 + &
                        coupl(nGC_1543)*dsw_QED2
      coupl(nGC_3570) = coupl(nGC_3298) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_351_Hl) + coupl(nGC_TS_GC_354_Hh)
      coupl(nGC_2789) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_335&
                        )*coupl(nGC_337) + Nc*coupl(nGC_1)*coupl(nGC_340)*coupl&
                        (nGC_883) + Nc*coupl(nGC_1)*coupl(nGC_349)*coupl(      &
                        nGC_809) + Nc*coupl(nGC_1)*coupl(nGC_367)*coupl(nGC_795&
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(nGC_373   &
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(nGC_385   &
                        ) + Nc*coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_337) - 4d0&
                        *Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_883) - 4d0*Nc&
                        *coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_809) - 4d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_367)*coupl(nGC_795) + Nc*coupl( &
                        nGC_2)*coupl(nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_2)*&
                        coupl(nGC_383)*coupl(nGC_385) + coupl(nGC_355)*coupl(  &
                        nGC_4)*coupl(nGC_893) + coupl(nGC_361)*coupl(nGC_4)*   &
                        coupl(nGC_877) + coupl(nGC_379)*coupl(nGC_4)*coupl(    &
                        nGC_887))/(48d0*pi**2d0)
      coupl(nGC_3740) = -coupl(nGC_3040)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_3741) = coupl(nGC_172)*dZHl_QED2/2d0 + coupl(nGC_172)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHhHl_QED2/2d0 -   &
                        coupl(nGC_179)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_3149&
                        )
      coupl(nGC_2808) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)*  &
                        coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl( &
                        nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_206&
                        )*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_1)*coupl&
                        (nGC_209)*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(    &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348) -  &
                        Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363)*coupl(   &
                        nGC_366) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333&
                        )*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl&
                        (nGC_369)*coupl(nGC_372) - Nc*coupl(nGC_2)*coupl(      &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_384) - Nc*coupl(nGC_2&
                        )*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336) - Nc*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)*coupl(      &
                        nGC_372) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )*coupl(nGC_384) - coupl(nGC_208)*coupl(nGC_351)*coupl(&
                        nGC_354)*coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_357)* &
                        coupl(nGC_360)*coupl(nGC_4) - coupl(nGC_208)*coupl(    &
                        nGC_375)*coupl(nGC_378)*coupl(nGC_4) - coupl(nGC_211)* &
                        coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4) - coupl(    &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4) -  &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_378)*coupl(    &
                        nGC_4))/(8d0*pi**2d0)
      coupl(nGC_3745) = coupl(nGC_3084) + coupl(nGC_345)*dZHl_QED2/2d0 + coupl(&
                        nGC_345)*dZdL_QED2/2d0 + coupl(nGC_345)*dZdR_QED2/2d0  &
                         + coupl(nGC_348)*dZHhHl_QED2/2d0
      coupl(nGC_3747) = coupl(nGC_3153) + coupl(nGC_77)*dZHh_QED2 + coupl(     &
                        nGC_77)*dZWMinus_QED2
      coupl(nGC_2901) = cima*(20d0*Nc*coupl(nGC_335)**2d0*coupl(nGC_859)**2d0  &
                         + 20d0*Nc*coupl(nGC_344)**2d0*coupl(nGC_883)**2d0 +   &
                        20d0*Nc*coupl(nGC_347)**2d0*coupl(nGC_809)**2d0 + 20d0*&
                        Nc*coupl(nGC_365)**2d0*coupl(nGC_795)**2d0 + 20d0*Nc*  &
                        coupl(nGC_371)**2d0*coupl(nGC_841)**2d0 + 20d0*Nc*coupl&
                        (nGC_383)**2d0*coupl(nGC_833)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(nGC_353  &
                        )**2d0*coupl(nGC_893)**2d0 + 20d0*coupl(nGC_359)**2d0* &
                        coupl(nGC_877)**2d0 + 20d0*coupl(nGC_377)**2d0*coupl(  &
                        nGC_887)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2900) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2903) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_335)*coupl(&
                        nGC_859) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(      &
                        nGC_344)*coupl(nGC_883) - 8d0*Nc*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_347)*coupl(nGC_809) - 8d0*Nc*cima*coupl( &
                        nGC_197)**2d0*coupl(nGC_365)*coupl(nGC_795) - 8d0*Nc*  &
                        cima*coupl(nGC_197)**2d0*coupl(nGC_371)*coupl(nGC_841  &
                        ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_383)*    &
                        coupl(nGC_833) + 6d0*cima*coupl(nGC_100)*coupl(nGC_909 &
                        ) + 3d0*cima*coupl(nGC_195)*coupl(nGC_230) - 8d0*cima* &
                        coupl(nGC_197)**2d0*coupl(nGC_353)*coupl(nGC_893) - 8d0&
                        *cima*coupl(nGC_197)**2d0*coupl(nGC_359)*coupl(nGC_877 &
                        ) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_377)*coupl( &
                        nGC_887) + 6d0*coupl(nGC_100)*coupl(nGC_198)*coupl(    &
                        nGC_847) + 6d0*coupl(nGC_100)*coupl(nGC_4)*coupl(      &
                        nGC_831) + 6d0*coupl(nGC_199)*coupl(nGC_230)*coupl(    &
                        nGC_843))/(48d0*pi**2d0)
      coupl(nGC_2902) = cima*(10d0*Nc*coupl(nGC_335)**2d0*coupl(nGC_336)**2d0  &
                         + 40d0*Nc*coupl(nGC_335)*coupl(nGC_336)**2d0*coupl(   &
                        nGC_859) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_859)**&
                        2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_344)**2d0  &
                         + 40d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_344)*coupl(   &
                        nGC_883) + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_883)**&
                        2d0 + 10d0*Nc*coupl(nGC_347)**2d0*coupl(nGC_348)**2d0  &
                         + 40d0*Nc*coupl(nGC_347)*coupl(nGC_348)**2d0*coupl(   &
                        nGC_809) + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_809)**&
                        2d0 + 10d0*Nc*coupl(nGC_365)**2d0*coupl(nGC_366)**2d0  &
                         + 40d0*Nc*coupl(nGC_365)*coupl(nGC_366)**2d0*coupl(   &
                        nGC_795) + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_795)**&
                        2d0 + 10d0*Nc*coupl(nGC_371)**2d0*coupl(nGC_372)**2d0  &
                         + 40d0*Nc*coupl(nGC_371)*coupl(nGC_372)**2d0*coupl(   &
                        nGC_841) + 10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_841)**&
                        2d0 + 10d0*Nc*coupl(nGC_383)**2d0*coupl(nGC_384)**2d0  &
                         + 40d0*Nc*coupl(nGC_383)*coupl(nGC_384)**2d0*coupl(   &
                        nGC_833) + 10d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_833)**&
                        2d0 + 6d0*coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(    &
                        nGC_224)*coupl(nGC_230) + 10d0*coupl(nGC_353)**2d0*    &
                        coupl(nGC_354)**2d0 + 40d0*coupl(nGC_353)*coupl(nGC_354&
                        )**2d0*coupl(nGC_893) + 10d0*coupl(nGC_354)**2d0*coupl(&
                        nGC_893)**2d0 + 10d0*coupl(nGC_359)**2d0*coupl(nGC_360 &
                        )**2d0 + 40d0*coupl(nGC_359)*coupl(nGC_360)**2d0*coupl(&
                        nGC_877) + 10d0*coupl(nGC_360)**2d0*coupl(nGC_877)**2d0&
                         + 10d0*coupl(nGC_377)**2d0*coupl(nGC_378)**2d0 + 40d0*&
                        coupl(nGC_377)*coupl(nGC_378)**2d0*coupl(nGC_887) +    &
                        10d0*coupl(nGC_378)**2d0*coupl(nGC_887)**2d0)/(48d0*pi &
                        **2d0)
      coupl(nGC_2905) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_335)**2d0  &
                         + 40d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_335)*coupl(   &
                        nGC_859) + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_859)**&
                        2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_344)**2d0  &
                         + 40d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_344)*coupl(   &
                        nGC_883) + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_883)**&
                        2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_347)**2d0  &
                         + 40d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_347)*coupl(   &
                        nGC_809) + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_809)**&
                        2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_365)**2d0  &
                         + 40d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_365)*coupl(   &
                        nGC_795) + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_795)**&
                        2d0 + 10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_371)**2d0  &
                         + 40d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_371)*coupl(   &
                        nGC_841) + 10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_841)**&
                        2d0 + 10d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_383)**2d0  &
                         + 40d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_383)*coupl(   &
                        nGC_833) + 10d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_833)**&
                        2d0 + 6d0*coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(    &
                        nGC_224)*coupl(nGC_230) + 10d0*coupl(nGC_351)**2d0*    &
                        coupl(nGC_353)**2d0 + 40d0*coupl(nGC_351)**2d0*coupl(  &
                        nGC_353)*coupl(nGC_893) + 10d0*coupl(nGC_351)**2d0*    &
                        coupl(nGC_893)**2d0 + 10d0*coupl(nGC_357)**2d0*coupl(  &
                        nGC_359)**2d0 + 40d0*coupl(nGC_357)**2d0*coupl(nGC_359 &
                        )*coupl(nGC_877) + 10d0*coupl(nGC_357)**2d0*coupl(     &
                        nGC_877)**2d0 + 10d0*coupl(nGC_375)**2d0*coupl(nGC_377 &
                        )**2d0 + 40d0*coupl(nGC_375)**2d0*coupl(nGC_377)*coupl(&
                        nGC_887) + 10d0*coupl(nGC_375)**2d0*coupl(nGC_887)**2d0&
                        )/(48d0*pi**2d0)
      coupl(nGC_2904) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_335)**2d0*coupl( &
                        nGC_336) + 4d0*Nc*coupl(nGC_333)*coupl(nGC_335)*coupl( &
                        nGC_336)*coupl(nGC_859) + Nc*coupl(nGC_333)*coupl(     &
                        nGC_336)*coupl(nGC_859)**2d0 + Nc*coupl(nGC_339)*coupl(&
                        nGC_342)*coupl(nGC_344)**2d0 + 4d0*Nc*coupl(nGC_339)*  &
                        coupl(nGC_342)*coupl(nGC_344)*coupl(nGC_883) + Nc*coupl&
                        (nGC_339)*coupl(nGC_342)*coupl(nGC_883)**2d0 + Nc*coupl&
                        (nGC_345)*coupl(nGC_347)**2d0*coupl(nGC_348) + 4d0*Nc* &
                        coupl(nGC_345)*coupl(nGC_347)*coupl(nGC_348)*coupl(    &
                        nGC_809) + Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(     &
                        nGC_809)**2d0 + Nc*coupl(nGC_363)*coupl(nGC_365)**2d0* &
                        coupl(nGC_366) + 4d0*Nc*coupl(nGC_363)*coupl(nGC_365)* &
                        coupl(nGC_366)*coupl(nGC_795) + Nc*coupl(nGC_363)*coupl&
                        (nGC_366)*coupl(nGC_795)**2d0 + Nc*coupl(nGC_369)*coupl&
                        (nGC_371)**2d0*coupl(nGC_372) + 4d0*Nc*coupl(nGC_369)* &
                        coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_841) + Nc*coupl&
                        (nGC_369)*coupl(nGC_372)*coupl(nGC_841)**2d0 + Nc*coupl&
                        (nGC_381)*coupl(nGC_383)**2d0*coupl(nGC_384) + 4d0*Nc* &
                        coupl(nGC_381)*coupl(nGC_383)*coupl(nGC_384)*coupl(    &
                        nGC_833) + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl(     &
                        nGC_833)**2d0 + coupl(nGC_351)*coupl(nGC_353)**2d0*    &
                        coupl(nGC_354) + 4d0*coupl(nGC_351)*coupl(nGC_353)*    &
                        coupl(nGC_354)*coupl(nGC_893) + coupl(nGC_351)*coupl(  &
                        nGC_354)*coupl(nGC_893)**2d0 + coupl(nGC_357)*coupl(   &
                        nGC_359)**2d0*coupl(nGC_360) + 4d0*coupl(nGC_357)*coupl&
                        (nGC_359)*coupl(nGC_360)*coupl(nGC_877) + coupl(nGC_357&
                        )*coupl(nGC_360)*coupl(nGC_877)**2d0 + coupl(nGC_375)* &
                        coupl(nGC_377)**2d0*coupl(nGC_378) + 4d0*coupl(nGC_375 &
                        )*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_887) + coupl(&
                        nGC_375)*coupl(nGC_378)*coupl(nGC_887)**2d0)/(24d0*pi**&
                        2d0)
      coupl(nGC_2907) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_335) + Nc*  &
                        coupl(nGC_333)**3d0*coupl(nGC_859) + Nc*coupl(nGC_342  &
                        )**3d0*coupl(nGC_344) + Nc*coupl(nGC_342)**3d0*coupl(  &
                        nGC_883) + Nc*coupl(nGC_345)**3d0*coupl(nGC_347) + Nc* &
                        coupl(nGC_345)**3d0*coupl(nGC_809) + Nc*coupl(nGC_363  &
                        )**3d0*coupl(nGC_365) + Nc*coupl(nGC_363)**3d0*coupl(  &
                        nGC_795) + Nc*coupl(nGC_369)**3d0*coupl(nGC_371) + Nc* &
                        coupl(nGC_369)**3d0*coupl(nGC_841) + Nc*coupl(nGC_381  &
                        )**3d0*coupl(nGC_383) + Nc*coupl(nGC_381)**3d0*coupl(  &
                        nGC_833) + coupl(nGC_351)**3d0*coupl(nGC_353) + coupl( &
                        nGC_351)**3d0*coupl(nGC_893) + coupl(nGC_357)**3d0*    &
                        coupl(nGC_359) + coupl(nGC_357)**3d0*coupl(nGC_877) +  &
                        coupl(nGC_375)**3d0*coupl(nGC_377) + coupl(nGC_375)**  &
                        3d0*coupl(nGC_887))/(8d0*pi**2d0)
      coupl(nGC_2906) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_344)*coupl(&
                        nGC_883) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(      &
                        nGC_347)*coupl(nGC_809) - 8d0*Nc*cima*coupl(nGC_206)** &
                        2d0*coupl(nGC_365)*coupl(nGC_795) + 10d0*Nc*cima*coupl(&
                        nGC_206)*coupl(nGC_209)*coupl(nGC_344)*coupl(nGC_883   &
                        ) + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                        nGC_347)*coupl(nGC_809) + 10d0*Nc*cima*coupl(nGC_206)* &
                        coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_795) - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_335)*coupl(nGC_859  &
                        ) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(nGC_371)*    &
                        coupl(nGC_841) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(&
                        nGC_383)*coupl(nGC_833) + 10d0*Nc*cima*coupl(nGC_207)* &
                        coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_859) + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_371)*coupl&
                        (nGC_841) + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*&
                        coupl(nGC_383)*coupl(nGC_833) - 8d0*Nc*cima*coupl(     &
                        nGC_209)**2d0*coupl(nGC_344)*coupl(nGC_883) - 8d0*Nc*  &
                        cima*coupl(nGC_209)**2d0*coupl(nGC_347)*coupl(nGC_809  &
                        ) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_365)*    &
                        coupl(nGC_795) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(&
                        nGC_335)*coupl(nGC_859) - 8d0*Nc*cima*coupl(nGC_210)** &
                        2d0*coupl(nGC_371)*coupl(nGC_841) - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_383)*coupl(nGC_833) + 3d0*cima*&
                        coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_208 &
                        )**2d0*coupl(nGC_353)*coupl(nGC_893) - 8d0*cima*coupl( &
                        nGC_208)**2d0*coupl(nGC_359)*coupl(nGC_877) - 8d0*cima*&
                        coupl(nGC_208)**2d0*coupl(nGC_377)*coupl(nGC_887) +    &
                        10d0*cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353)*&
                        coupl(nGC_893) + 10d0*cima*coupl(nGC_208)*coupl(nGC_211&
                        )*coupl(nGC_359)*coupl(nGC_877) + 10d0*cima*coupl(     &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_377)*coupl(nGC_887   &
                        ) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_353)*coupl( &
                        nGC_893) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_359)*&
                        coupl(nGC_877) - 8d0*cima*coupl(nGC_211)**2d0*coupl(   &
                        nGC_377)*coupl(nGC_887) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_847)**2d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_3520) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_TS_GC_245_Hh) = -coupl(nGC_245)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2980) = coupl(nGC_1459)*db_QED2 + coupl(nGC_1460)*dl3_QED4 +   &
                        coupl(nGC_1461)*dl2_QED4 + coupl(nGC_1462)*dl1_QED4 +  &
                        coupl(nGC_1463)*dl4_QED4 + coupl(nGC_1464)*dl5_QED4 +  &
                        coupl(nGC_1465)*da_QED2
      coupl(nGC_2838) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_206) - coupl(nGC_1)*coupl(nGC_209) - coupl(nGC_2)* &
                        coupl(nGC_207) - coupl(nGC_2)*coupl(nGC_210))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_3809) = coupl(nGC_241)*dZHlHh_QED2/2d0 + coupl(nGC_244)*       &
                        dZHMinusGMinus_QED2 + coupl(nGC_249)*dZHh_QED2/2d0 +   &
                        coupl(nGC_3013) + coupl(nGC_TS_GC_33_Hl) + coupl(      &
                        nGC_TS_GC_42_Hh)
      coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3579) = coupl(nGC_3064) + coupl(nGC_334)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*dZsL_QED2&
                        /2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3036) = coupl(nGC_2361)*dvev1_QED1 + coupl(nGC_2362)*dvev2_QED1&
                         + coupl(nGC_2363)*dZee_QED2 + coupl(nGC_2364)*dsw_QED2&
                         + coupl(nGC_2365)*db_QED2
      coupl(nGC_2518) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2519) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi** &
                        2d0)
      coupl(nGC_2637) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_833) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_833) - coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_382) - coupl(nGC_347)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(   &
                        nGC_383) - coupl(nGC_383)*coupl(nGC_384)**2d0 - coupl( &
                        nGC_383)*coupl(nGC_821)**2d0 - coupl(nGC_383)*coupl(   &
                        nGC_833)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2512) = coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2510) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2511) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_335 &
                        )*coupl(nGC_365)*coupl(nGC_367) - coupl(nGC_336)*coupl(&
                        nGC_366)*coupl(nGC_367) - coupl(nGC_338)*coupl(nGC_367 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2516) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2517) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(  &
                        nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347 &
                        )*coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl(&
                        nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2514) = coupl(nGC_13)**2d0*coupl(nGC_367)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2515) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_348 &
                        )*coupl(nGC_384)*coupl(nGC_385) - coupl(nGC_385)*coupl(&
                        nGC_809)*coupl(nGC_833) - coupl(nGC_385)*coupl(nGC_811 &
                        )*coupl(nGC_821))/(32d0*pi**2d0)
      coupl(nGC_3055) = coupl(nGC_1773)*dyc1_QED1_QCD2 + coupl(nGC_1774)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3931) = coupl(nGC_2962) + 2d0*coupl(nGC_58)*dZG0Ha_QED2 + 2d0* &
                        coupl(nGC_66)*dZHa_QED2
      coupl(nGC_2606) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(  &
                        nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346 &
                        )*coupl(nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(&
                        nGC_809)*coupl(nGC_833) - coupl(nGC_346)*coupl(nGC_811 &
                        )*coupl(nGC_821))/(32d0*pi**2d0)
      coupl(nGC_2607) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_344)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_344)*coupl(nGC_883) + 2d0&
                        *Nc*cMB*coupl(nGC_339)*coupl(nGC_883)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_335)**2d0*coupl(nGC_336) + 8d0*Nc*cMC*coupl(&
                        nGC_335)*coupl(nGC_336)*coupl(nGC_859) + 2d0*Nc*cMC*   &
                        coupl(nGC_336)*coupl(nGC_859)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_347)**2d0*coupl(nGC_348) + 8d0*Nc*cMD*coupl(nGC_347&
                        )*coupl(nGC_348)*coupl(nGC_809) + 2d0*Nc*cMD*coupl(    &
                        nGC_348)*coupl(nGC_809)**2d0 + 2d0*Nc*cMS*coupl(nGC_365&
                        )**2d0*coupl(nGC_366) + 8d0*Nc*cMS*coupl(nGC_365)*coupl&
                        (nGC_366)*coupl(nGC_795) + 2d0*Nc*cMS*coupl(nGC_366)*  &
                        coupl(nGC_795)**2d0 + 2d0*Nc*cMT*coupl(nGC_371)**2d0*  &
                        coupl(nGC_372) + 8d0*Nc*cMT*coupl(nGC_371)*coupl(      &
                        nGC_372)*coupl(nGC_841) + 2d0*Nc*cMT*coupl(nGC_372)*   &
                        coupl(nGC_841)**2d0 + 2d0*Nc*cMU*coupl(nGC_383)**2d0*  &
                        coupl(nGC_384) + 8d0*Nc*cMU*coupl(nGC_383)*coupl(      &
                        nGC_384)*coupl(nGC_833) + 2d0*Nc*cMU*coupl(nGC_384)*   &
                        coupl(nGC_833)**2d0 + 2d0*cME*coupl(nGC_353)**2d0*coupl&
                        (nGC_354) + 8d0*cME*coupl(nGC_353)*coupl(nGC_354)*coupl&
                        (nGC_893) + 2d0*cME*coupl(nGC_354)*coupl(nGC_893)**2d0 &
                         + 2d0*cMM*coupl(nGC_359)**2d0*coupl(nGC_360) + 8d0*cMM&
                        *coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_877) + 2d0*cMM&
                        *coupl(nGC_360)*coupl(nGC_877)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_377)**2d0*coupl(nGC_378) + 8d0*cMTA*coupl(nGC_377)*&
                        coupl(nGC_378)*coupl(nGC_887) + 2d0*cMTA*coupl(nGC_378 &
                        )*coupl(nGC_887)**2d0 + 2d0*cima*coupl(nGC_100)*coupl( &
                        nGC_272) + cima*coupl(nGC_230)*coupl(nGC_332))/(16d0*pi&
                        **2d0)
      coupl(nGC_2604) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(  &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_365) - coupl(nGC_334)*coupl(&
                        nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_338 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2605) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_347 &
                        )*coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_348)*coupl(&
                        nGC_382)*coupl(nGC_384) - coupl(nGC_350)*coupl(nGC_382 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2602) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_342 &
                        )*coupl(nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(&
                        nGC_815)*coupl(nGC_875) - coupl(nGC_343)*coupl(nGC_841 &
                        )*coupl(nGC_883))/(32d0*pi**2d0)
      coupl(nGC_2600) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321&
                        )*coupl(nGC_793) + 2d0*coupl(nGC_199)*coupl(nGC_231)*  &
                        coupl(nGC_847) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(&
                        nGC_847))/(16d0*pi**2d0)
      coupl(nGC_2601) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_370)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_370) - coupl(nGC_344)*coupl(nGC_370 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2765) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_207)**2d0 + coupl(nGC_381)**2d0 + coupl(nGC_382)** &
                        2d0 + coupl(nGC_383)*coupl(nGC_833) + coupl(nGC_384)** &
                        2d0 + coupl(nGC_385)**2d0 + coupl(nGC_386)*coupl(      &
                        nGC_821))/(64d0*pi**2d0)
      coupl(nGC_2764) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(nGC_346  &
                        )**2d0 + coupl(nGC_349)**2d0 + coupl(nGC_381)**2d0 +   &
                        coupl(nGC_383)*coupl(nGC_833) + coupl(nGC_384)**2d0 +  &
                        coupl(nGC_386)*coupl(nGC_821))/(64d0*pi**2d0)
      coupl(nGC_2767) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_337)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_340)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337)**2d0 +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)** &
                        2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_385)**2d0 + 3d0*cima*coupl(      &
                        nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_355)**2d0*  &
                        coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_361)**2d0*coupl(&
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_379)**2d0*coupl(nGC_4 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 + 3d0*   &
                        coupl(nGC_100)*coupl(nGC_831)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2766) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl(  &
                        nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*    &
                        coupl(nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_346&
                        )*coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)**2d0*    &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)**  &
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1 &
                        )*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                        ) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346)*   &
                        coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl&
                        (nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(   &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*coupl(nGC_337) -  &
                        4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_340)*coupl(nGC_343  &
                        ) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_346)*coupl(     &
                        nGC_349) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_364)*    &
                        coupl(nGC_367) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_370&
                        )*coupl(nGC_373) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(     &
                        nGC_382)*coupl(nGC_385) - 4d0*coupl(nGC_352)*coupl(    &
                        nGC_355)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_358)*coupl( &
                        nGC_361)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_376)*coupl( &
                        nGC_379)*coupl(nGC_4)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2761) = sq2**3d0*(Nc*cima*coupl(nGC_907)**3d0 - 12d0*coupl(    &
                        nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_2891) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_343)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_346)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_364)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(    &
                        nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                        nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_364)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(    &
                        nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(      &
                        nGC_209)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_364)**2d0 + 3d0*cima*coupl(    &
                        nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0*&
                        coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_376)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)**2d0 + 5d0*cima*coupl(nGC_208)*&
                        coupl(nGC_212)*coupl(nGC_358)**2d0 + 5d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_376)**2d0 - 4d0*cima*&
                        coupl(nGC_212)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_376)**2d0 + 3d0*coupl(   &
                        nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl&
                        (nGC_847)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2608) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_344)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_342)*coupl(nGC_344)*coupl(nGC_883) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_883)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_335)**2d0 + 8d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_335)*coupl(nGC_859) + 2d0*Nc*cMC*   &
                        coupl(nGC_333)*coupl(nGC_859)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_345)*coupl(nGC_347)**2d0 + 8d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_347)*coupl(nGC_809) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_809)**2d0 + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_365)**2d0 + 8d0*Nc*cMS*coupl(nGC_363)*coupl&
                        (nGC_365)*coupl(nGC_795) + 2d0*Nc*cMS*coupl(nGC_363)*  &
                        coupl(nGC_795)**2d0 + 2d0*Nc*cMT*coupl(nGC_369)*coupl( &
                        nGC_371)**2d0 + 8d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_371&
                        )*coupl(nGC_841) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(    &
                        nGC_841)**2d0 + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_383&
                        )**2d0 + 8d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_383)*coupl&
                        (nGC_833) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_833)** &
                        2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_353)**2d0 + 8d0*&
                        cME*coupl(nGC_351)*coupl(nGC_353)*coupl(nGC_893) + 2d0*&
                        cME*coupl(nGC_351)*coupl(nGC_893)**2d0 + 2d0*cMM*coupl(&
                        nGC_357)*coupl(nGC_359)**2d0 + 8d0*cMM*coupl(nGC_357)* &
                        coupl(nGC_359)*coupl(nGC_877) + 2d0*cMM*coupl(nGC_357)*&
                        coupl(nGC_877)**2d0 + 2d0*cMTA*coupl(nGC_375)*coupl(   &
                        nGC_377)**2d0 + 8d0*cMTA*coupl(nGC_375)*coupl(nGC_377)*&
                        coupl(nGC_887) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_887 &
                        )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + cima*&
                        coupl(nGC_230)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3920) = -coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(    &
                        nGC_TS_GC_173_Hh) - coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3923) = coupl(nGC_172)*dZHMinusGMinus_QED2/2d0 - coupl(nGC_172 &
                        )*dZHlHh_QED2/2d0 - coupl(nGC_178)*dZHh_QED2/2d0 -     &
                        coupl(nGC_178)*dZWMinus_QED2/2d0 - coupl(nGC_3146)
      coupl(nGC_3925) = -coupl(nGC_218)*dZHMinus_QED2 - coupl(nGC_218)*dZZ_QED2&
                        /2d0 - coupl(nGC_26)*dZAZ_QED2/2d0 - coupl(nGC_3163)
      coupl(nGC_2569) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_853) - coupl(nGC_377)**  &
                        2d0*coupl(nGC_853) - coupl(nGC_378)**2d0*coupl(nGC_853 &
                        ) - coupl(nGC_380)**2d0*coupl(nGC_853) + 8d0*coupl(    &
                        nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2567) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_374) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_374) - coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_815) - coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_815) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_875) - coupl(nGC_371)**2d0*coupl(nGC_875) - coupl( &
                        nGC_372)**2d0*coupl(nGC_875) - coupl(nGC_374)**2d0*    &
                        coupl(nGC_875))/(32d0*pi**2d0)
      coupl(nGC_2897) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*    &
                        coupl(nGC_175)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_22)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2565) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_875) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_875) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_373) - coupl(nGC_341)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_374) - coupl(nGC_372)**2d0*coupl(nGC_374) - coupl( &
                        nGC_374)*coupl(nGC_841)**2d0 - coupl(nGC_374)*coupl(   &
                        nGC_875)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2562) = coupl(nGC_13)**2d0*coupl(nGC_805)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2561) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_805) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_805) - coupl(nGC_334 &
                        )*coupl(nGC_338)*coupl(nGC_364) - coupl(nGC_337)*coupl(&
                        nGC_338)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_368) - coupl(nGC_366)**2d0*coupl(nGC_368) - coupl( &
                        nGC_368)*coupl(nGC_795)**2d0 - coupl(nGC_368)*coupl(   &
                        nGC_805)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2560) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_837) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_362) - coupl(nGC_360)**  &
                        2d0*coupl(nGC_362) - coupl(nGC_362)*coupl(nGC_837)**2d0&
                         - coupl(nGC_362)*coupl(nGC_877)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_837))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2768) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_334)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_343)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334)**2d0 +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343)** &
                        2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                        nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_382)**2d0 + 3d0*cima*coupl(      &
                        nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_352)**2d0*  &
                        coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_358)**2d0*coupl(&
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_376)**2d0*coupl(nGC_4 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 + 3d0*   &
                        coupl(nGC_100)*coupl(nGC_831)**2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3670) = coupl(nGC_3056) + coupl(nGC_370)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_373)*dZbL_QED2/2d0 + coupl(nGC_373)*   &
                        dZtR_QED2/2d0
      coupl(nGC_2894) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_343)*coupl(nGC_883) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_809) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_795) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_335) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_371   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_335) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343)*coupl&
                        (nGC_883) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_809) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_795   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_343)*coupl(nGC_883) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_809   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_795) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_383) + 6d0*cima*coupl(nGC_187)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_893   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_877) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_887) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_893) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_877) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_887) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_893) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_877) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_887) + 6d0*    &
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2685) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_807)**2d0 - coupl(nGC_893)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_3832) = -coupl(nGC_184)*dZWMinus_QED2/2d0 - coupl(nGC_3143)
      coupl(nGC_2748) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_345&
                        )**2d0 - coupl(nGC_347)*coupl(nGC_809) - coupl(nGC_348 &
                        )**2d0 - coupl(nGC_350)*coupl(nGC_811) - coupl(nGC_382 &
                        )**2d0 - coupl(nGC_385)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4049) = -coupl(nGC_2599)
      coupl(nGC_2739) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_339&
                        )**2d0 - coupl(nGC_341)*coupl(nGC_815) - coupl(nGC_342 &
                        )**2d0 - coupl(nGC_344)*coupl(nGC_883) - coupl(nGC_370 &
                        )**2d0 - coupl(nGC_373)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2462) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324 &
                        )*coupl(nGC_879) + 2d0*coupl(nGC_199)*coupl(nGC_237)*  &
                        coupl(nGC_831) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(&
                        nGC_831))/(16d0*pi**2d0)
      coupl(nGC_2463) = (Nc*coupl(nGC_1)*coupl(nGC_334)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_343)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_346)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_364)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_382)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_334)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_346)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_364)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_370)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_358)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_376)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2460) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324 &
                        )*coupl(nGC_879) + 2d0*coupl(nGC_198)*coupl(nGC_237)*  &
                        coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(  &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2461) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_367)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2466) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321 &
                        )*coupl(nGC_879) + 2d0*coupl(nGC_198)*coupl(nGC_231)*  &
                        coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(  &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2467) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321 &
                        )*coupl(nGC_879) + 2d0*coupl(nGC_199)*coupl(nGC_231)*  &
                        coupl(nGC_831) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(&
                        nGC_831))/(16d0*pi**2d0)
      coupl(nGC_2464) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_339) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_372) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_384 &
                        ) - 2d0*cME*coupl(nGC_354)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_360)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_378)*coupl(nGC_4)**2d0 + cima*coupl(nGC_272)*coupl(&
                        nGC_9) + coupl(nGC_272)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_272)*coupl(nGC_831)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2465) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_342) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_369) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_381 &
                        ) - 2d0*cME*coupl(nGC_351)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_357)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_375)*coupl(nGC_4)**2d0 + cima*coupl(nGC_261)*coupl(&
                        nGC_9) + coupl(nGC_261)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_261)*coupl(nGC_831)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3568) = coupl(nGC_3127) + coupl(nGC_381)*dZuL_QCD2/2d0 + coupl(&
                        nGC_381)*dZuR_QCD2/2d0
      coupl(nGC_2468) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_339) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_348) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_366) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_366) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384) - cME*coupl(&
                        nGC_208)*coupl(nGC_354)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_354)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_360)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_360)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_378)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_378)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_272) + coupl(nGC_199)*coupl(nGC_272 &
                        )*coupl(nGC_3) + coupl(nGC_272)*coupl(nGC_831)*coupl(  &
                        nGC_847))/(8d0*pi**2d0)
      coupl(nGC_2469) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_342) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_363) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381) - cME*coupl(&
                        nGC_208)*coupl(nGC_351)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_357)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_375)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_375)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_261) + coupl(nGC_199)*coupl(nGC_261 &
                        )*coupl(nGC_3) + coupl(nGC_261)*coupl(nGC_831)*coupl(  &
                        nGC_847))/(8d0*pi**2d0)
      coupl(nGC_3833) = -coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3547) = coupl(nGC_3102) + coupl(nGC_353)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 + coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_3649) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZdL_QED2/2d0 + coupl(nGC_197)*dZuL_QED2/2d0 + coupl(  &
                        nGC_3180)
      coupl(nGC_3648) = coupl(nGC_2977) + coupl(nGC_53)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_53)*dZHlHh_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_63)*dZHa_QED2/2d0 + coupl(nGC_63)*     &
                        dZHh_QED2/2d0
      coupl(nGC_2423) = cima*(-3d0*Nc*coupl(nGC_197)**2d0 - 3d0*coupl(nGC_197  &
                        )**2d0 - coupl(nGC_198)*coupl(nGC_847) - coupl(nGC_199 &
                        )*coupl(nGC_843) - coupl(nGC_3)*coupl(nGC_825) - coupl(&
                        nGC_4)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_3398) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*          &
                        dZHlHh_QED2/2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0 + coupl(&
                        nGC_3165)
      coupl(nGC_2589) = coupl(nGC_13)**2d0*coupl(nGC_364)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3891) = coupl(nGC_3076) + coupl(nGC_341)*dZbL_QED2/2d0 + coupl(&
                        nGC_341)*dZbR_QED2/2d0 + coupl(nGC_344)*dZHaG0_QED2/2d0
      coupl(nGC_3392) = coupl(nGC_180)*dZGMinus/2d0
      coupl(nGC_3643) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_3642) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_3645) = coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3396) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*         &
                        dZWMinus_QED2 + coupl(nGC_3150)
      coupl(nGC_3395) = coupl(nGC_2978) + coupl(nGC_53)*dZHaG0_QED2/2d0 + coupl&
                        (nGC_53)*dZHhHl_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHl_QED2/2d0
      coupl(nGC_3394) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3995) = -coupl(nGC_3116) - coupl(nGC_335)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_338)*dZcL_QED2/2d0 - coupl(nGC_338)*dZcR_QED2&
                        /2d0
      coupl(nGC_3994) = coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3997) = -coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3996) = -coupl(nGC_3117) - coupl(nGC_338)*dZcL_QCD2/2d0 - coupl&
                        (nGC_338)*dZcR_QCD2/2d0
      coupl(nGC_3991) = -coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 + coupl(             &
                        nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_3990) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3993) = coupl(nGC_3117) + coupl(nGC_338)*dZcL_QCD2/2d0 + coupl(&
                        nGC_338)*dZcR_QCD2/2d0
      coupl(nGC_3992) = coupl(nGC_3116) + coupl(nGC_335)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_338)*dZcL_QED2/2d0 + coupl(nGC_338)*dZcR_QED2&
                        /2d0
      coupl(nGC_3854) = coupl(nGC_3293) + coupl(nGC_MHC)*dZHMinus_QED2 + coupl(&
                        nGC_TS_GC_243_Hl) + coupl(nGC_TS_GC_251_Hh)
      coupl(nGC_3855) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_3830) = coupl(nGC_3083) + coupl(nGC_339)*dZbL_QCD2/2d0 + coupl(&
                        nGC_339)*dZbR_QCD2/2d0
      coupl(nGC_3998) = coupl(nGC_3314) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                        nGC_TS_GC_261_Hl) + coupl(nGC_TS_GC_272_Hh)
      coupl(nGC_3852) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3577) = coupl(nGC_3113) + coupl(nGC_377)*dZHa_QED2/2d0 + coupl(&
                        nGC_377)*dZtauMinusL_QED2/2d0 + coupl(nGC_377)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_3367) = coupl(nGC_248)*dZHMinus_QED2/2d0 + coupl(nGC_257)*     &
                        dZHaG0_QED2/2d0 + coupl(nGC_3033) + coupl(             &
                        nGC_TS_GC_52_Hh) + coupl(nGC_TS_GC_63_Hl)
      coupl(nGC_3363) = coupl(nGC_174)*dZA_QED2/2d0 + coupl(nGC_174)*dZHl_QED2/&
                        2d0 + coupl(nGC_174)*dZWMinus_QED2/2d0 + coupl(nGC_180 &
                        )*dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZHhHl_QED2/&
                        2d0 + coupl(nGC_21)*dZZA_QED2/2d0 + coupl(nGC_3009)
      coupl(nGC_3361) = coupl(nGC_245)*dZG0Ha_QED2 + coupl(nGC_246)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_254)*dZHa_QED2 + coupl(nGC_254)*      &
                        dZHh_QED2/2d0 + coupl(nGC_3015) + coupl(nGC_TS_GC_36_Hl&
                        ) + coupl(nGC_TS_GC_48_Hh)
      coupl(nGC_2718) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3897) = -coupl(nGC_172)*dZHl_QED2/2d0 - coupl(nGC_172)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_178)*dZHhHl_QED2/2d0 +   &
                        coupl(nGC_179)*dZHMinusGMinus_QED2/2d0 - coupl(nGC_3149&
                        )
      coupl(nGC_3369) = coupl(nGC_175)*dZGMinus/2d0
      coupl(nGC_3025) = coupl(nGC_1758)*dvev2_QED1 + coupl(nGC_1759)*dvev1_QED1&
                         + coupl(nGC_1760)*dl2_QED4 + coupl(nGC_1761)*dl1_QED4 &
                         + coupl(nGC_1762)*dl4_QED4 + coupl(nGC_1763)*dl3_QED4 &
                         + coupl(nGC_1764)*da_QED2 + coupl(nGC_1765)*dl5_QED4
      coupl(nGC_3024) = coupl(nGC_1869)*db_QED2 + coupl(nGC_1870)*dvev2_QED1 + &
                        coupl(nGC_1871)*dvev1_QED1 + coupl(nGC_1872)*dl2_QED4  &
                         + coupl(nGC_1873)*dl1_QED4 + coupl(nGC_1874)*dl4_QED4 &
                         + coupl(nGC_1875)*dl3_QED4 + coupl(nGC_1876)*da_QED2  &
                         + coupl(nGC_1877)*dl5_QED4
      coupl(nGC_3026) = coupl(nGC_2061)*db_QED2 + coupl(nGC_2062)*dvev2_QED1 + &
                        coupl(nGC_2063)*dvev1_QED1 + coupl(nGC_2064)*dl2_QED4  &
                         + coupl(nGC_2065)*dl1_QED4 + coupl(nGC_2066)*dl4_QED4 &
                         + coupl(nGC_2067)*dl3_QED4 + coupl(nGC_2068)*da_QED2  &
                         + coupl(nGC_2069)*dl5_QED4
      coupl(nGC_3021) = coupl(nGC_1645)*db_QED2 + coupl(nGC_1646)*dvev2_QED1 + &
                        coupl(nGC_1647)*dvev1_QED1 + coupl(nGC_1648)*dl2_QED4  &
                         + coupl(nGC_1649)*dl1_QED4 + coupl(nGC_1650)*dl4_QED4 &
                         + coupl(nGC_1651)*dl3_QED4 + coupl(nGC_1652)*da_QED2  &
                         + coupl(nGC_1653)*dl5_QED4
      coupl(nGC_3020) = coupl(nGC_1901)*dl4_QED4 + coupl(nGC_1902)*dl5_QED4 +  &
                        coupl(nGC_1903)*dvev2_QED1 + coupl(nGC_1904)*dvev1_QED1&
                         + coupl(nGC_1905)*db_QED2
      coupl(nGC_3023) = coupl(nGC_2131)*db_QED2 + coupl(nGC_2132)*dvev2_QED1 + &
                        coupl(nGC_2133)*dvev1_QED1 + coupl(nGC_2134)*dl2_QED4  &
                         + coupl(nGC_2135)*dl1_QED4 + coupl(nGC_2136)*dl4_QED4 &
                         + coupl(nGC_2137)*dl3_QED4 + coupl(nGC_2138)*da_QED2  &
                         + coupl(nGC_2139)*dl5_QED4
      coupl(nGC_3022) = coupl(nGC_2386)*dZee_QED2 + coupl(nGC_2387)*dsw_QED2 + &
                        coupl(nGC_2388)*dcw_QED2 + coupl(nGC_2389)*dvev1_QED1  &
                         + coupl(nGC_2390)*dvev2_QED1 + coupl(nGC_2391)*da_QED2
      coupl(nGC_4042) = -coupl(nGC_2528)
      coupl(nGC_4043) = -coupl(nGC_2505)
      coupl(nGC_4041) = -coupl(nGC_2504)
      coupl(nGC_4047) = -coupl(nGC_2470)
      coupl(nGC_2945) = (3d0*Nc*cima*coupl(nGC_14)**2d0 - Nc*cima*coupl(nGC_907&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_925)**2d0 - 6d0&
                        *Nc*coupl(nGC_14)*coupl(nGC_907)**2d0*sq2**2d0 + 9d0*  &
                        cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2416) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_344)*coupl(nGC_883) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_335)*coupl(nGC_859) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_347)*coupl(nGC_809) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_365)*coupl(nGC_795) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_371)*coupl(nGC_841) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_383)*coupl(nGC_833) -   &
                        4d0*cME**2d0*cima*coupl(nGC_353)*coupl(nGC_893) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_359)*coupl(nGC_877) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_377)*coupl(nGC_887) - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_230))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2415) = cima*(Nc*coupl(nGC_335)*coupl(nGC_859) + Nc*coupl(     &
                        nGC_344)*coupl(nGC_883) + Nc*coupl(nGC_347)*coupl(     &
                        nGC_809) + Nc*coupl(nGC_365)*coupl(nGC_795) + Nc*coupl(&
                        nGC_371)*coupl(nGC_841) + Nc*coupl(nGC_383)*coupl(     &
                        nGC_833) + coupl(nGC_353)*coupl(nGC_893) + coupl(      &
                        nGC_359)*coupl(nGC_877) + coupl(nGC_377)*coupl(nGC_887 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2412) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_831)**2d0 - cMW &
                        **2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_2943) = (cima*coupl(nGC_14)**2d0 + 2d0*cima*coupl(nGC_14)*coupl&
                        (nGC_925) - cima*coupl(nGC_907)**4d0*sq2**4d0 + cima*  &
                        coupl(nGC_925)**2d0 - 2d0*coupl(nGC_14)*coupl(nGC_907  &
                        )**2d0*sq2**2d0 - 2d0*coupl(nGC_907)**2d0*coupl(nGC_925&
                        )*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_2942) = (-cima*coupl(nGC_907)**4d0*sq2**4d0 + cima*coupl(      &
                        nGC_919)**2d0 - 2d0*coupl(nGC_907)**2d0*coupl(nGC_919)*&
                        sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_2747) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_206)**2d0 + coupl(nGC_345)**2d0 + coupl(nGC_346)** &
                        2d0 + coupl(nGC_347)*coupl(nGC_809) + coupl(nGC_348)** &
                        2d0 + coupl(nGC_349)**2d0 + coupl(nGC_350)*coupl(      &
                        nGC_811))/(64d0*pi**2d0*Nc)
      coupl(nGC_3144) = coupl(nGC_2244)*dZee_QED2 + coupl(nGC_2245)*da_QED2 +  &
                        coupl(nGC_2246)*dsw_QED2 + coupl(nGC_2247)*db_QED2
      coupl(nGC_3417) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_24)*           &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0&
                         + coupl(nGC_2982)
      coupl(nGC_2949) = coupl(nGC_1330)*dZee_QED2 + coupl(nGC_1331)*dcw_QED2 + &
                        coupl(nGC_1332)*dsw_QED2
      coupl(nGC_3411) = coupl(nGC_2974) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_71)*     &
                        dZHMinus_QED2
      coupl(nGC_3140) = coupl(nGC_1780)*dZee_QED2 + coupl(nGC_1781)*da_QED2 +  &
                        coupl(nGC_1782)*dsw_QED2 + coupl(nGC_1783)*db_QED2
      coupl(nGC_2418) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_366)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_360)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_272)**2d0 + cima*coupl(  &
                        nGC_332)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2787) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 + cima*coupl(nGC_195)* &
                        coupl(nGC_9) - 2d0*cima*coupl(nGC_199)**2d0*coupl(nGC_3&
                        )**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 +  &
                        cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima* &
                        coupl(nGC_831)**2d0*coupl(nGC_847)**2d0 + coupl(nGC_195&
                        )*coupl(nGC_3)**2d0 + coupl(nGC_195)*coupl(nGC_831)**  &
                        2d0 + coupl(nGC_199)**2d0*coupl(nGC_9) + coupl(nGC_847 &
                        )**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_2786) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337&
                        )*coupl(nGC_338) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_340)*coupl(nGC_815) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_349)*coupl(nGC_811) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(      &
                        nGC_805) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_385)*coupl(nGC_386) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_337)*coupl( &
                        nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_340)*coupl(nGC_815) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_811) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367)*&
                        coupl(nGC_805) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_373)*coupl(nGC_374) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_385)*coupl(nGC_386) + 6d0*cima* &
                        coupl(nGC_187)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_355)*coupl(nGC_4)*coupl(nGC_807) + cima*coupl&
                        (nGC_197)*coupl(nGC_361)*coupl(nGC_4)*coupl(nGC_837) + &
                        cima*coupl(nGC_197)*coupl(nGC_379)*coupl(nGC_4)*coupl( &
                        nGC_853) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*&
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_831) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_831))/(48d0*pi**2d0)
      coupl(nGC_2785) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_385) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_349) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_367) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_373) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_385) + 6d0*cima* &
                        coupl(nGC_174)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_355)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_361)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_379)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_21) + 6d0* &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_21)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_2784) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_336&
                        )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366)*coupl(      &
                        nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_384)*coupl(nGC_385) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_336)*coupl( &
                        nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_348)*coupl(nGC_349) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_366)*&
                        coupl(nGC_367) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_372)*coupl(nGC_373) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_384)*coupl(nGC_385) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_354)*coupl(nGC_355)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_378)*coupl(nGC_379)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_2783) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_206)* &
                        coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(nGC_1)*   &
                        coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*coupl(      &
                        nGC_337) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(   &
                        nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) -  &
                        8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) +  &
                        5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(  &
                        nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_206)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)*coupl&
                        (nGC_337) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(  &
                        nGC_370)*coupl(nGC_373) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) +  &
                        5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) - 8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(   &
                        nGC_355)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_361)*coupl(nGC_4) - 8d0*coupl(      &
                        nGC_208)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4) +  &
                        5d0*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_355)*coupl(&
                        nGC_4) + 5d0*coupl(nGC_212)*coupl(nGC_358)*coupl(      &
                        nGC_361)*coupl(nGC_4) + 5d0*coupl(nGC_212)*coupl(      &
                        nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_2782) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_337&
                        )*coupl(nGC_859) + Nc*coupl(nGC_1)*coupl(nGC_340)*coupl&
                        (nGC_344) + Nc*coupl(nGC_1)*coupl(nGC_347)*coupl(      &
                        nGC_349) + Nc*coupl(nGC_1)*coupl(nGC_365)*coupl(nGC_367&
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_373)*coupl(nGC_841   &
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_385)*coupl(nGC_833   &
                        ) + Nc*coupl(nGC_2)*coupl(nGC_337)*coupl(nGC_859) - 4d0&
                        *Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_344) - 4d0*Nc&
                        *coupl(nGC_2)*coupl(nGC_347)*coupl(nGC_349) - 4d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_365)*coupl(nGC_367) + Nc*coupl( &
                        nGC_2)*coupl(nGC_373)*coupl(nGC_841) + Nc*coupl(nGC_2)*&
                        coupl(nGC_385)*coupl(nGC_833) + coupl(nGC_353)*coupl(  &
                        nGC_355)*coupl(nGC_4) + coupl(nGC_359)*coupl(nGC_361)* &
                        coupl(nGC_4) + coupl(nGC_377)*coupl(nGC_379)*coupl(    &
                        nGC_4))/(48d0*pi**2d0)
      coupl(nGC_2862) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_2863) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_2861) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_3090) = coupl(nGC_1466)*db_QED2 + coupl(nGC_1467)*dydo1_QED3 + &
                        coupl(nGC_1468)*dydo2_QED3
      coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2706) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0*  &
                        coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl(  &
                        nGC_847) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2712) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3097) = coupl(nGC_2097)*db_QED2 + coupl(nGC_2098)*dym1_QED3 +  &
                        coupl(nGC_2099)*dym2_QED3
      coupl(nGC_2760) = sq2**3d0*(-Nc*cima*coupl(nGC_907)**3d0 + 12d0*coupl(   &
                        nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_3099) = coupl(nGC_1172)*dye2_QED3 + coupl(nGC_1173)*db_QED2 +  &
                        coupl(nGC_1174)*dye1_QED3
      coupl(nGC_2713) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_339)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_815) + coupl(  &
                        nGC_209)*coupl(nGC_342)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_344)*coupl(nGC_883) + coupl(nGC_210)*coupl(nGC_340 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_343)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2749) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_206)**2d0 - coupl(nGC_345)**2d0 - coupl(nGC_346)** &
                        2d0 - coupl(nGC_347)*coupl(nGC_809) - coupl(nGC_348)** &
                        2d0 - coupl(nGC_349)**2d0 - coupl(nGC_350)*coupl(      &
                        nGC_811))/(64d0*pi**2d0)
      coupl(nGC_4010) = coupl(nGC_173)*dZHMinusGMinus_QED2/2d0 - coupl(nGC_173 &
                        )*dZHlHh_QED2/2d0 - coupl(nGC_179)*dZHh_QED2/2d0 -     &
                        coupl(nGC_179)*dZWMinus_QED2/2d0 - coupl(nGC_3144)
      coupl(nGC_3347) = coupl(nGC_13)*dZsL_QED2
      coupl(nGC_3933) = -coupl(nGC_199)*dZWMinus_QED2 - coupl(nGC_199)*dZZ_QED2&
                        /2d0 - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl(nGC_3158)
      coupl(nGC_3616) = -coupl(nGC_3115) - coupl(nGC_386)*dZuL_QCD2/2d0 - coupl&
                        (nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_2425) = (Nc*cMB**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMC**2d0*   &
                        cima*coupl(nGC_197)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                        nGC_197)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_197)**2d0 + &
                        Nc*cMT**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMU**2d0*cima&
                        *coupl(nGC_197)**2d0 + cME**2d0*cima*coupl(nGC_197)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_197)**2d0 + cMTA**2d0*   &
                        cima*coupl(nGC_197)**2d0 + cMW**2d0*cima*coupl(nGC_198 &
                        )*coupl(nGC_847) + cMW**2d0*cima*coupl(nGC_199)*coupl( &
                        nGC_843) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_825) + &
                        cMW**2d0*cima*coupl(nGC_4)*coupl(nGC_831) - 2d0*cMW**  &
                        2d0*coupl(nGC_909) + cMZ**2d0*cima*coupl(nGC_198)*coupl&
                        (nGC_847) + cMZ**2d0*cima*coupl(nGC_199)*coupl(nGC_843 &
                        ) - cMZ**2d0*coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_3341) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_3731) = -coupl(nGC_3132) - coupl(nGC_383)*dZHa_QED2/2d0 - coupl&
                        (nGC_383)*dZuL_QED2/2d0 - coupl(nGC_383)*dZuR_QED2/2d0 &
                         - coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_3730) = coupl(nGC_3133) + coupl(nGC_383)*dZuL_QCD2/2d0 + coupl(&
                        nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_3733) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2951) + coupl(&
                        nGC_30)*dZHMinus_QED2/2d0 + coupl(nGC_30)*dZHa_QED2/2d0&
                         + coupl(nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*    &
                        dZZ_QED2/2d0
      coupl(nGC_3732) = -coupl(nGC_3133) - coupl(nGC_383)*dZuL_QCD2/2d0 - coupl&
                        (nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_3737) = coupl(nGC_2995) + coupl(nGC_38)*dZHa_QED2/2d0 + coupl( &
                        nGC_38)*dZHl_QED2 + coupl(nGC_41)*dZHaG0_QED2/2d0 +    &
                        coupl(nGC_47)*dZHhHl_QED2 + coupl(nGC_49)*dZG0Ha_QED2/ &
                        2d0
      coupl(nGC_3736) = coupl(nGC_38)*dZG0/2d0
      coupl(nGC_3739) = coupl(nGC_16)*dZHh_QED2/2d0 + 3d0*coupl(nGC_16)*       &
                        dZHl_QED2/2d0 + coupl(nGC_18)*dZHlHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_20)*dZHhHl_QED2/2d0 + coupl(nGC_2988)
      coupl(nGC_3738) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_4035) = -coupl(nGC_2496)
      coupl(nGC_3615) = -coupl(nGC_3114) - coupl(nGC_383)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_386)*dZuL_QED2/2d0 - coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_4031) = -coupl(nGC_2463)
      coupl(nGC_4030) = -coupl(nGC_2597)
      coupl(nGC_3946) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3947) = coupl(nGC_TS_GC_242_Hl) + coupl(nGC_TS_GC_250_Hh)
      coupl(nGC_3944) = coupl(nGC_2956) + 2d0*coupl(nGC_59)*dZHaG0_QED2
      coupl(nGC_2577) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_334)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_346)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_376)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2478) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_347)*coupl(nGC_809) + coupl(nGC_1)*coupl(  &
                        nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(     &
                        nGC_811) + coupl(nGC_2)*coupl(nGC_346)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_349)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2586) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335 &
                        )*coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl(&
                        nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(nGC_364 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2762) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(nGC_346 &
                        )**2d0 - coupl(nGC_349)**2d0 - coupl(nGC_381)**2d0 -   &
                        coupl(nGC_383)*coupl(nGC_833) - coupl(nGC_384)**2d0 -  &
                        coupl(nGC_386)*coupl(nGC_821))/(64d0*pi**2d0*Nc)
      coupl(nGC_3829) = coupl(nGC_3082) + coupl(nGC_339)*dZHh_QED2/2d0 + coupl(&
                        nGC_339)*dZbL_QED2/2d0 + coupl(nGC_339)*dZbR_QED2/2d0  &
                         + coupl(nGC_342)*dZHlHh_QED2/2d0
      coupl(nGC_2823) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_337)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_340)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_349)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_367)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_373)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_385)**2d0 &
                         + 6d0*cima*coupl(nGC_100)*coupl(nGC_909) + 3d0*cima*  &
                        coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197 &
                        )**2d0*coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_361)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_379)**2d0 + 6d0*cima*coupl(nGC_205)*coupl(   &
                        nGC_221) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0*  &
                        coupl(nGC_100)*coupl(nGC_198)*coupl(nGC_847) + 6d0*    &
                        coupl(nGC_100)*coupl(nGC_4)*coupl(nGC_831) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_221)*coupl(nGC_825) + 6d0*coupl(    &
                        nGC_199)*coupl(nGC_229)*coupl(nGC_843) + 6d0*coupl(    &
                        nGC_221)*coupl(nGC_3)*coupl(nGC_843) + 6d0*coupl(nGC_29&
                        )*coupl(nGC_3)*coupl(nGC_825))/(48d0*pi**2d0)
      coupl(nGC_2580) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_334) - Nc* &
                        coupl(nGC_342)*coupl(nGC_343) - Nc*coupl(nGC_345)*coupl&
                        (nGC_346) - Nc*coupl(nGC_363)*coupl(nGC_364) + Nc*coupl&
                        (nGC_369)*coupl(nGC_370) + Nc*coupl(nGC_381)*coupl(    &
                        nGC_382) - coupl(nGC_351)*coupl(nGC_352) - coupl(      &
                        nGC_357)*coupl(nGC_358) - coupl(nGC_375)*coupl(nGC_376 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2523) = coupl(nGC_197)*(-Nc*coupl(nGC_337)*coupl(nGC_338) + Nc*&
                        coupl(nGC_340)*coupl(nGC_815) + Nc*coupl(nGC_349)*coupl&
                        (nGC_811) + Nc*coupl(nGC_367)*coupl(nGC_805) - Nc*coupl&
                        (nGC_373)*coupl(nGC_374) - Nc*coupl(nGC_385)*coupl(    &
                        nGC_386) + coupl(nGC_355)*coupl(nGC_807) + coupl(      &
                        nGC_361)*coupl(nGC_837) + coupl(nGC_379)*coupl(nGC_853 &
                        ))/(24d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
