!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl24()
      allocate(vertices(9643)%branchR2(0:0))
      call avR2(9643, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(7228)%branchR2(0:0))
      call avR2(7228, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10733)%branchR2(0:0))
      call avR2(10733, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7099)%branchR2(0:0))
      call avR2(7099, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(4387)%branchR2(0:0))
      call avR2(4387, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(9201)%branchR2(0:0))
      call avR2(9201, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9524)%branchR2(0:0))
      call avR2(9524, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(7042)%branchR2(0:0))
      call avR2(7042, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10212)%branchR2(0:0))
      call avR2(10212, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(725)%branchR2(0:0))
      call avR2(725, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10734)%branchR2(0:0))
      call avR2(10734, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2086)%branchR2(0:0))
      call avR2(2086, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(8318)%branchR2(0:0))
      call avR2(8318, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(8812)%branchR2(0:0))
      call avR2(8812, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(5124)%branchR2(0:1))
      call avR2(5124, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(5124, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(4081)%branchR2(0:0))
      call avR2(4081, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(2760)%branchR2(0:0))
      call avR2(2760, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(8824)%branchR2(0:0))
      call avR2(8824, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(8127)%branchR2(0:1))
      call avR2(8127, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(8127, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(10138)%branchR2(0:0))
      call avR2(10138, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(3448)%branchR2(0:1))
      call avR2(3448, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(3448, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(10735)%branchR2(0:1))
      call avR2(10735, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10735, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(2618)%branchR2(0:0))
      call avR2(2618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(2769)%branchR2(0:0))
      call avR2(2769, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(7940)%branchR2(0:0))
      call avR2(7940, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(1878)%branchR2(0:0))
      call avR2(1878, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(10736)%branchR2(0:1))
      call avR2(10736, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2832/))

      call avR2(10736, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2833/))

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5348)%branchR2(0:0))
      call avR2(5348, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3052)%branchR2(0:3))
      call avR2(3052, 0, 59, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3052, 1, 59, 1, 0, FVFa0, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(3052, 2, 58, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(3052, 3, 58, 1, 0, FVFa0, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(7991)%branchR2(0:0))
      call avR2(7991, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(1902)%branchR2(0:0))
      call avR2(1902, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4173)%branchR2(0:0))
      call avR2(4173, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(2983)%branchR2(0:1))
      call avR2(2983, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(2983, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10737)%branchR2(0:1))
      call avR2(10737, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      call avR2(10737, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      allocate(vertices(10738)%branchR2(0:1))
      call avR2(10738, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2832/))

      call avR2(10738, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2833/))

      allocate(vertices(2364)%branchR2(0:0))
      call avR2(2364, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2036)%branchR2(0:0))
      call avR2(2036, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(10739)%branchR2(0:0))
      call avR2(10739, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(8422)%branchR2(0:1))
      call avR2(8422, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(8422, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(8436)%branchR2(0:0))
      call avR2(8436, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(2878)%branchR2(0:0))
      call avR2(2878, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(7503)%branchR2(0:0))
      call avR2(7503, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(10740)%branchR2(0:0))
      call avR2(10740, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(10448)%branchR2(0:0))
      call avR2(10448, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9499)%branchR2(0:0))
      call avR2(9499, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(2693)%branchR2(0:0))
      call avR2(2693, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(4933)%branchR2(0:0))
      call avR2(4933, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3483)%branchR2(0:1))
      call avR2(3483, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(3483, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(10741)%branchR2(0:1))
      call avR2(10741, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10741, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(10312)%branchR2(0:0))
      call avR2(10312, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9701)%branchR2(0:0))
      call avR2(9701, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(9827)%branchR2(0:0))
      call avR2(9827, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(7750)%branchR2(0:1))
      call avR2(7750, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2517, nGC_2515/))

      call avR2(7750, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2518, nGC_2516/))

      allocate(vertices(9691)%branchR2(0:0))
      call avR2(9691, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7884)%branchR2(0:0))
      call avR2(7884, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(9919)%branchR2(0:0))
      call avR2(9919, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9988)%branchR2(0:0))
      call avR2(9988, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8053)%branchR2(0:0))
      call avR2(8053, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(9416)%branchR2(0:0))
      call avR2(9416, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3679)%branchR2(0:0))
      call avR2(3679, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(10742)%branchR2(0:0))
      call avR2(10742, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(10036)%branchR2(0:0))
      call avR2(10036, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10743)%branchR2(0:0))
      call avR2(10743, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(10137)%branchR2(0:0))
      call avR2(10137, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5547)%branchR2(0:0))
      call avR2(5547, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(705)%branchR2(0:1))
      call avR2(705, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(705, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(4239)%branchR2(0:0))
      call avR2(4239, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1543)%branchR2(0:0))
      call avR2(1543, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7189)%branchR2(0:0))
      call avR2(7189, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(8832)%branchR2(0:0))
      call avR2(8832, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8630)%branchR2(0:1))
      call avR2(8630, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(8630, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(7014)%branchR2(0:0))
      call avR2(7014, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(9215)%branchR2(0:0))
      call avR2(9215, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2124)%branchR2(0:0))
      call avR2(2124, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4308)%branchR2(0:1))
      call avR2(4308, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(4308, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(8255)%branchR2(0:0))
      call avR2(8255, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(7314)%branchR2(0:3))
      call avR2(7314, 0, 54, 1, 0, VFFa0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(7314, 1, 54, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(7314, 2, 55, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(7314, 3, 55, 1, 0, VFFa0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(3899)%branchR2(0:0))
      call avR2(3899, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1693)%branchR2(0:1))
      call avR2(1693, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(1693, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(5848)%branchR2(0:0))
      call avR2(5848, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(6168)%branchR2(0:0))
      call avR2(6168, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5542)%branchR2(0:0))
      call avR2(5542, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(8945)%branchR2(0:0))
      call avR2(8945, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(2145)%branchR2(0:0))
      call avR2(2145, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7830)%branchR2(0:0))
      call avR2(7830, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2580/))

      allocate(vertices(10231)%branchR2(0:0))
      call avR2(10231, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10397)%branchR2(0:0))
      call avR2(10397, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2742)%branchR2(0:0))
      call avR2(2742, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(6184)%branchR2(0:0))
      call avR2(6184, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6491)%branchR2(0:0))
      call avR2(6491, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(10744)%branchR2(0:0))
      call avR2(10744, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(545)%branchR2(0:1))
      call avR2(545, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(545, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(7769)%branchR2(0:0))
      call avR2(7769, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6941)%branchR2(0:0))
      call avR2(6941, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2523/))

      allocate(vertices(8722)%branchR2(0:0))
      call avR2(8722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(5002)%branchR2(0:0))
      call avR2(5002, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3728)%branchR2(0:0))
      call avR2(3728, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5068)%branchR2(0:1))
      call avR2(5068, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(5068, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(1493)%branchR2(0:0))
      call avR2(1493, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(1489)%branchR2(0:0))
      call avR2(1489, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(995)%branchR2(0:1))
      call avR2(995, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2704/))

      call avR2(995, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8539)%branchR2(0:0))
      call avR2(8539, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(7256)%branchR2(0:0))
      call avR2(7256, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(10745)%branchR2(0:1))
      call avR2(10745, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      call avR2(10745, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      allocate(vertices(10746)%branchR2(0:0))
      call avR2(10746, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2818, nGC_2818,      &
      nGC_2818/))

      allocate(vertices(9457)%branchR2(0:0))
      call avR2(9457, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(10747)%branchR2(0:0))
      call avR2(10747, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(8119)%branchR2(0:0))
      call avR2(8119, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(10748)%branchR2(0:0))
      call avR2(10748, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2788, nGC_2787,      &
      nGC_2788/))

      allocate(vertices(5665)%branchR2(0:0))
      call avR2(5665, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4536)%branchR2(0:0))
      call avR2(4536, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(2798)%branchR2(0:0))
      call avR2(2798, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(4038)%branchR2(0:0))
      call avR2(4038, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3429)%branchR2(0:0))
      call avR2(3429, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(7712)%branchR2(0:0))
      call avR2(7712, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4057)%branchR2(0:0))
      call avR2(4057, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7815)%branchR2(0:0))
      call avR2(7815, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2925, nGC_2926,       &
      nGC_2926/))

      allocate(vertices(10749)%branchR2(0:1))
      call avR2(10749, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2895/))

      call avR2(10749, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(3476)%branchR2(0:0))
      call avR2(3476, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(7854)%branchR2(0:0))
      call avR2(7854, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(128)%branchR2(0:1))
      call avR2(128, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(128, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(6605)%branchR2(0:0))
      call avR2(6605, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8951)%branchR2(0:0))
      call avR2(8951, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(8048)%branchR2(0:0))
      call avR2(8048, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10750)%branchR2(0:1))
      call avR2(10750, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2932/))

      call avR2(10750, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(115)%branchR2(0:1))
      call avR2(115, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(115, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10751)%branchR2(0:0))
      call avR2(10751, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(6886)%branchR2(0:0))
      call avR2(6886, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(8863)%branchR2(0:0))
      call avR2(8863, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2526/))

      allocate(vertices(8551)%branchR2(0:0))
      call avR2(8551, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(6288)%branchR2(0:0))
      call avR2(6288, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4344)%branchR2(0:0))
      call avR2(4344, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(3500)%branchR2(0:0))
      call avR2(3500, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(8099)%branchR2(0:0))
      call avR2(8099, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(10752)%branchR2(0:0))
      call avR2(10752, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2818, nGC_2818,      &
      nGC_2818/))

      allocate(vertices(3099)%branchR2(0:0))
      call avR2(3099, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(10462)%branchR2(0:0))
      call avR2(10462, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9686)%branchR2(0:0))
      call avR2(9686, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(1393)%branchR2(0:0))
      call avR2(1393, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(5281)%branchR2(0:0))
      call avR2(5281, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4655)%branchR2(0:1))
      call avR2(4655, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2704/))

      call avR2(4655, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10082)%branchR2(0:0))
      call avR2(10082, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8844)%branchR2(0:0))
      call avR2(8844, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(5378)%branchR2(0:0))
      call avR2(5378, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8262)%branchR2(0:0))
      call avR2(8262, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(4842)%branchR2(0:1))
      call avR2(4842, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(4842, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(9060)%branchR2(0:0))
      call avR2(9060, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(2270)%branchR2(0:0))
      call avR2(2270, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2578/))

      allocate(vertices(10753)%branchR2(0:0))
      call avR2(10753, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(4083)%branchR2(0:0))
      call avR2(4083, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(9977)%branchR2(0:0))
      call avR2(9977, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(9539)%branchR2(0:0))
      call avR2(9539, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(7933)%branchR2(0:0))
      call avR2(7933, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4220)%branchR2(0:1))
      call avR2(4220, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(4220, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(2721)%branchR2(0:0))
      call avR2(2721, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(3977)%branchR2(0:1))
      call avR2(3977, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(3977, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(3066)%branchR2(0:0))
      call avR2(3066, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(8132)%branchR2(0:0))
      call avR2(8132, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(9541)%branchR2(0:0))
      call avR2(9541, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4038/))

      allocate(vertices(4851)%branchR2(0:0))
      call avR2(4851, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7899)%branchR2(0:1))
      call avR2(7899, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(7899, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(7767)%branchR2(0:1))
      call avR2(7767, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(7767, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(6604)%branchR2(0:0))
      call avR2(6604, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10754)%branchR2(0:1))
      call avR2(10754, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2932/))

      call avR2(10754, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10755)%branchR2(0:1))
      call avR2(10755, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2923, nGC_2923,    &
      nGC_2923/))

      call avR2(10755, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(4114)%branchR2(0:0))
      call avR2(4114, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(3981)%branchR2(0:0))
      call avR2(3981, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9695)%branchR2(0:0))
      call avR2(9695, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(9611)%branchR2(0:0))
      call avR2(9611, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4039/))

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7176)%branchR2(0:0))
      call avR2(7176, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(897)%branchR2(0:1))
      call avR2(897, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(897, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(6971)%branchR2(0:0))
      call avR2(6971, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(7175)%branchR2(0:0))
      call avR2(7175, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10105)%branchR2(0:0))
      call avR2(10105, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2485/))

      allocate(vertices(5383)%branchR2(0:0))
      call avR2(5383, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4950)%branchR2(0:0))
      call avR2(4950, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10756)%branchR2(0:5))
      call avR2(10756, 0, 160, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10756, 1, 163, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10756, 2, 162, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10756, 3, 164, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10756, 4, 161, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10756, 5, 159, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(9220)%branchR2(0:0))
      call avR2(9220, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9325)%branchR2(0:0))
      call avR2(9325, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4055/))

      allocate(vertices(7359)%branchR2(0:0))
      call avR2(7359, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(4172)%branchR2(0:0))
      call avR2(4172, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(9702)%branchR2(0:0))
      call avR2(9702, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(8894)%branchR2(0:0))
      call avR2(8894, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(2432)%branchR2(0:0))
      call avR2(2432, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2921,       &
      nGC_2920/))

      allocate(vertices(6634)%branchR2(0:0))
      call avR2(6634, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(10342)%branchR2(0:0))
      call avR2(10342, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7453)%branchR2(0:0))
      call avR2(7453, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(4712)%branchR2(0:0))
      call avR2(4712, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(3641)%branchR2(0:1))
      call avR2(3641, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(3641, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(10757)%branchR2(0:0))
      call avR2(10757, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(1581)%branchR2(0:0))
      call avR2(1581, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(6816)%branchR2(0:1))
      call avR2(6816, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(6816, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(5009)%branchR2(0:0))
      call avR2(5009, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2771,       &
      nGC_2773/))

      allocate(vertices(7504)%branchR2(0:0))
      call avR2(7504, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(3232)%branchR2(0:0))
      call avR2(3232, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(2134)%branchR2(0:0))
      call avR2(2134, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(7698)%branchR2(0:0))
      call avR2(7698, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9749)%branchR2(0:0))
      call avR2(9749, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2502/))

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(1199)%branchR2(0:0))
      call avR2(1199, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10758)%branchR2(0:1))
      call avR2(10758, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10758, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10759)%branchR2(0:1))
      call avR2(10759, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2918/))

      call avR2(10759, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(3439)%branchR2(0:0))
      call avR2(3439, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4079)%branchR2(0:0))
      call avR2(4079, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(9105)%branchR2(0:0))
      call avR2(9105, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(8302)%branchR2(0:0))
      call avR2(8302, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(8697)%branchR2(0:0))
      call avR2(8697, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10760)%branchR2(0:0))
      call avR2(10760, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(5367)%branchR2(0:0))
      call avR2(5367, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(9644)%branchR2(0:0))
      call avR2(9644, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10434)%branchR2(0:0))
      call avR2(10434, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(4014)%branchR2(0:0))
      call avR2(4014, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(3309)%branchR2(0:0))
      call avR2(3309, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(9759)%branchR2(0:0))
      call avR2(9759, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(8179)%branchR2(0:0))
      call avR2(8179, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3625)%branchR2(0:0))
      call avR2(3625, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5730)%branchR2(0:1))
      call avR2(5730, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2702/))

      call avR2(5730, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7234)%branchR2(0:0))
      call avR2(7234, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(5197)%branchR2(0:1))
      call avR2(5197, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(5197, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(8700)%branchR2(0:0))
      call avR2(8700, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(2893)%branchR2(0:1))
      call avR2(2893, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2707/))

      call avR2(2893, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2536)%branchR2(0:0))
      call avR2(2536, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(3865)%branchR2(0:0))
      call avR2(3865, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(4758)%branchR2(0:0))
      call avR2(4758, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(10402)%branchR2(0:0))
      call avR2(10402, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(5110)%branchR2(0:0))
      call avR2(5110, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(10761)%branchR2(0:1))
      call avR2(10761, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10761, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2847/))

      allocate(vertices(7024)%branchR2(0:0))
      call avR2(7024, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7783)%branchR2(0:0))
      call avR2(7783, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3862)%branchR2(0:0))
      call avR2(3862, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(10211)%branchR2(0:0))
      call avR2(10211, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(6682)%branchR2(0:0))
      call avR2(6682, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(7692)%branchR2(0:0))
      call avR2(7692, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2772,       &
      nGC_2773/))

      allocate(vertices(324)%branchR2(0:0))
      call avR2(324, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(5780)%branchR2(0:0))
      call avR2(5780, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10762)%branchR2(0:1))
      call avR2(10762, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10762, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(7705)%branchR2(0:0))
      call avR2(7705, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(4202)%branchR2(0:0))
      call avR2(4202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1532)%branchR2(0:0))
      call avR2(1532, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2921,       &
      nGC_2920/))

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5804)%branchR2(0:0))
      call avR2(5804, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(6854)%branchR2(0:0))
      call avR2(6854, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2579/))

      allocate(vertices(9117)%branchR2(0:0))
      call avR2(9117, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(10763)%branchR2(0:1))
      call avR2(10763, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2923, nGC_2923,    &
      nGC_2923/))

      call avR2(10763, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(7095)%branchR2(0:0))
      call avR2(7095, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9369)%branchR2(0:0))
      call avR2(9369, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4060/))

      allocate(vertices(9355)%branchR2(0:0))
      call avR2(9355, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6103)%branchR2(0:0))
      call avR2(6103, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(253)%branchR2(0:0))
      call avR2(253, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(1276)%branchR2(0:1))
      call avR2(1276, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2707/))

      call avR2(1276, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(9901)%branchR2(0:0))
      call avR2(9901, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8187)%branchR2(0:0))
      call avR2(8187, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9092)%branchR2(0:0))
      call avR2(9092, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4289)%branchR2(0:0))
      call avR2(4289, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(10280)%branchR2(0:0))
      call avR2(10280, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(5756)%branchR2(0:0))
      call avR2(5756, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10413)%branchR2(0:0))
      call avR2(10413, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6004)%branchR2(0:1))
      call avR2(6004, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(6004, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(10764)%branchR2(0:1))
      call avR2(10764, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2895/))

      call avR2(10764, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(3932)%branchR2(0:0))
      call avR2(3932, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(10765)%branchR2(0:1))
      call avR2(10765, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10765, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(858)%branchR2(0:1))
      call avR2(858, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(858, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(10766)%branchR2(0:0))
      call avR2(10766, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(9131)%branchR2(0:0))
      call avR2(9131, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(1590)%branchR2(0:0))
      call avR2(1590, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1692)%branchR2(0:0))
      call avR2(1692, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(6392)%branchR2(0:0))
      call avR2(6392, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(2554)%branchR2(0:0))
      call avR2(2554, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10767)%branchR2(0:0))
      call avR2(10767, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(4342)%branchR2(0:0))
      call avR2(4342, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2913/))

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(4035)%branchR2(0:0))
      call avR2(4035, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10337)%branchR2(0:0))
      call avR2(10337, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2402, nGC_2401/))

      allocate(vertices(6701)%branchR2(0:0))
      call avR2(6701, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(2727)%branchR2(0:0))
      call avR2(2727, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(8416)%branchR2(0:0))
      call avR2(8416, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(6146)%branchR2(0:0))
      call avR2(6146, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6943)%branchR2(0:0))
      call avR2(6943, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(3919)%branchR2(0:1))
      call avR2(3919, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(3919, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(3540)%branchR2(0:0))
      call avR2(3540, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(5006)%branchR2(0:0))
      call avR2(5006, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3834)%branchR2(0:0))
      call avR2(3834, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(1331)%branchR2(0:0))
      call avR2(1331, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7023)%branchR2(0:1))
      call avR2(7023, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(7023, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(8689)%branchR2(0:0))
      call avR2(8689, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(9080)%branchR2(0:0))
      call avR2(9080, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(7563)%branchR2(0:1))
      call avR2(7563, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(7563, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(9915)%branchR2(0:1))
      call avR2(9915, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_2437, nGC_2434,       &
      nGC_2435, nGC_2435/))

      call avR2(9915, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2436, nGC_2436/))

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7540)%branchR2(0:0))
      call avR2(7540, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(6090)%branchR2(0:0))
      call avR2(6090, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10768)%branchR2(0:1))
      call avR2(10768, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10768, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(2715)%branchR2(0:0))
      call avR2(2715, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(8681)%branchR2(0:0))
      call avR2(8681, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4029/))

      allocate(vertices(7053)%branchR2(0:0))
      call avR2(7053, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3420)%branchR2(0:0))
      call avR2(3420, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(8717)%branchR2(0:0))
      call avR2(8717, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(4337)%branchR2(0:0))
      call avR2(4337, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10769)%branchR2(0:0))
      call avR2(10769, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(4948)%branchR2(0:3))
      call avR2(4948, 0, 53, 1, 0, VFaF1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4948, 1, 53, 1, 0, VFaF1, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(4948, 2, 52, 1, 0, VFaF1, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4948, 3, 52, 1, 0, VFaF1, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(7879)%branchR2(0:0))
      call avR2(7879, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(3670)%branchR2(0:0))
      call avR2(3670, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(8043)%branchR2(0:0))
      call avR2(8043, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(10770)%branchR2(0:1))
      call avR2(10770, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2847/))

      call avR2(10770, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(9350)%branchR2(0:0))
      call avR2(9350, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(6265)%branchR2(0:0))
      call avR2(6265, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7044)%branchR2(0:0))
      call avR2(7044, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(7868)%branchR2(0:0))
      call avR2(7868, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8055)%branchR2(0:0))
      call avR2(8055, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(5591)%branchR2(0:1))
      call avR2(5591, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(5591, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10095)%branchR2(0:0))
      call avR2(10095, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(5140)%branchR2(0:1))
      call avR2(5140, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(5140, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(6104)%branchR2(0:0))
      call avR2(6104, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(4511)%branchR2(0:0))
      call avR2(4511, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2725/))

      allocate(vertices(8770)%branchR2(0:0))
      call avR2(8770, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(6930)%branchR2(0:0))
      call avR2(6930, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(1519)%branchR2(0:3))
      call avR2(1519, 0, 59, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(1519, 1, 59, 1, 0, FVFa0, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(1519, 2, 58, 1, 0, FVFa0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(1519, 3, 58, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(5502)%branchR2(0:0))
      call avR2(5502, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9520)%branchR2(0:0))
      call avR2(9520, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(6618)%branchR2(0:0))
      call avR2(6618, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(2416)%branchR2(0:0))
      call avR2(2416, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(3087)%branchR2(0:0))
      call avR2(3087, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(3926)%branchR2(0:0))
      call avR2(3926, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2771,       &
      nGC_2772/))

      allocate(vertices(2381)%branchR2(0:0))
      call avR2(2381, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(35)%branchR2(0:1))
      call avR2(35, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(35, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(4827)%branchR2(0:1))
      call avR2(4827, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(4827, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(9933)%branchR2(0:0))
      call avR2(9933, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(7182)%branchR2(0:0))
      call avR2(7182, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(2612)%branchR2(0:0))
      call avR2(2612, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(6153)%branchR2(0:0))
      call avR2(6153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9683)%branchR2(0:0))
      call avR2(9683, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(3717)%branchR2(0:0))
      call avR2(3717, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(1637)%branchR2(0:1))
      call avR2(1637, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2707/))

      call avR2(1637, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4470)%branchR2(0:0))
      call avR2(4470, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(6335)%branchR2(0:0))
      call avR2(6335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10771)%branchR2(0:0))
      call avR2(10771, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5243)%branchR2(0:0))
      call avR2(5243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(2898)%branchR2(0:0))
      call avR2(2898, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9334)%branchR2(0:0))
      call avR2(9334, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(4238)%branchR2(0:0))
      call avR2(4238, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(4424)%branchR2(0:0))
      call avR2(4424, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2919)%branchR2(0:0))
      call avR2(2919, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9352)%branchR2(0:0))
      call avR2(9352, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(6440)%branchR2(0:0))
      call avR2(6440, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(9848)%branchR2(0:0))
      call avR2(9848, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10772)%branchR2(0:1))
      call avR2(10772, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      call avR2(10772, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9736)%branchR2(0:0))
      call avR2(9736, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5187)%branchR2(0:0))
      call avR2(5187, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(9443)%branchR2(0:0))
      call avR2(9443, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4040/))

      allocate(vertices(5708)%branchR2(0:0))
      call avR2(5708, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10773)%branchR2(0:1))
      call avR2(10773, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2896/))

      call avR2(10773, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2895/))

      allocate(vertices(6937)%branchR2(0:0))
      call avR2(6937, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6762)%branchR2(0:0))
      call avR2(6762, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(7403)%branchR2(0:0))
      call avR2(7403, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(2336)%branchR2(0:0))
      call avR2(2336, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2706/))

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(603)%branchR2(0:0))
      call avR2(603, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(8837)%branchR2(0:0))
      call avR2(8837, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8757)%branchR2(0:1))
      call avR2(8757, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(8757, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(5521)%branchR2(0:0))
      call avR2(5521, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7390)%branchR2(0:0))
      call avR2(7390, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(9035)%branchR2(0:0))
      call avR2(9035, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(8512)%branchR2(0:0))
      call avR2(8512, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(9438)%branchR2(0:0))
      call avR2(9438, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8421)%branchR2(0:0))
      call avR2(8421, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(3916)%branchR2(0:0))
      call avR2(3916, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8596)%branchR2(0:0))
      call avR2(8596, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1725)%branchR2(0:0))
      call avR2(1725, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(6234)%branchR2(0:1))
      call avR2(6234, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2708/))

      call avR2(6234, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3469)%branchR2(0:0))
      call avR2(3469, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(511)%branchR2(0:1))
      call avR2(511, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(511, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(9167)%branchR2(0:0))
      call avR2(9167, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6574)%branchR2(0:0))
      call avR2(6574, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8332)%branchR2(0:0))
      call avR2(8332, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(8841)%branchR2(0:0))
      call avR2(8841, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6085)%branchR2(0:0))
      call avR2(6085, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10303)%branchR2(0:0))
      call avR2(10303, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2412)%branchR2(0:0))
      call avR2(2412, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(6542)%branchR2(0:0))
      call avR2(6542, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4029/))

      allocate(vertices(7725)%branchR2(0:0))
      call avR2(7725, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(6578)%branchR2(0:0))
      call avR2(6578, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(3556)%branchR2(0:0))
      call avR2(3556, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(4459)%branchR2(0:0))
      call avR2(4459, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2642/))

      allocate(vertices(4325)%branchR2(0:0))
      call avR2(4325, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(3752)%branchR2(0:0))
      call avR2(3752, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(3394)%branchR2(0:1))
      call avR2(3394, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(3394, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(10774)%branchR2(0:5))
      call avR2(10774, 0, 158, 1, 0, VVVV1, (/3, 1/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      call avR2(10774, 1, 155, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10774, 2, 154, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10774, 3, 157, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10774, 4, 156, 1, 0, VVVV1, (/3, 1/), (/nGC_2938, nGC_2938,    &
      nGC_2938/))

      call avR2(10774, 5, 153, 1, 0, VVVV1, (/3, 1/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      allocate(vertices(1943)%branchR2(0:0))
      call avR2(1943, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(9637)%branchR2(0:0))
      call avR2(9637, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(4539)%branchR2(0:1))
      call avR2(4539, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(4539, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(6387)%branchR2(0:0))
      call avR2(6387, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9149)%branchR2(0:0))
      call avR2(9149, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(10775)%branchR2(0:1))
      call avR2(10775, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      call avR2(10775, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      allocate(vertices(9963)%branchR2(0:0))
      call avR2(9963, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10776)%branchR2(0:0))
      call avR2(10776, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10060)%branchR2(0:0))
      call avR2(10060, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10215)%branchR2(0:0))
      call avR2(10215, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8933)%branchR2(0:0))
      call avR2(8933, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(9838)%branchR2(0:0))
      call avR2(9838, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10777)%branchR2(0:0))
      call avR2(10777, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(4527)%branchR2(0:0))
      call avR2(4527, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7779)%branchR2(0:0))
      call avR2(7779, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2814)%branchR2(0:0))
      call avR2(2814, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8091)%branchR2(0:0))
      call avR2(8091, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(10778)%branchR2(0:1))
      call avR2(10778, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10778, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(7381)%branchR2(0:0))
      call avR2(7381, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2461/))

      allocate(vertices(10779)%branchR2(0:0))
      call avR2(10779, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(3248)%branchR2(0:0))
      call avR2(3248, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9339)%branchR2(0:0))
      call avR2(9339, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(2868)%branchR2(0:0))
      call avR2(2868, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2527/))

      allocate(vertices(10182)%branchR2(0:0))
      call avR2(10182, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(6995)%branchR2(0:0))
      call avR2(6995, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(5509)%branchR2(0:0))
      call avR2(5509, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6827)%branchR2(0:0))
      call avR2(6827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(5664)%branchR2(0:0))
      call avR2(5664, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(9384)%branchR2(0:0))
      call avR2(9384, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(9379)%branchR2(0:0))
      call avR2(9379, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(9142)%branchR2(0:0))
      call avR2(9142, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(5399)%branchR2(0:0))
      call avR2(5399, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9086)%branchR2(0:0))
      call avR2(9086, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10363)%branchR2(0:0))
      call avR2(10363, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10780)%branchR2(0:0))
      call avR2(10780, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8924)%branchR2(0:0))
      call avR2(8924, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(4873)%branchR2(0:0))
      call avR2(4873, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(7654)%branchR2(0:0))
      call avR2(7654, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(10781)%branchR2(0:0))
      call avR2(10781, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(2521)%branchR2(0:0))
      call avR2(2521, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(9100)%branchR2(0:0))
      call avR2(9100, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

    end subroutine fill_vertices_mdl24
end module vertices_info24
