!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_2997) = coupl(nGC_1530)*db_QED2 + coupl(nGC_1531)*dl3_QED4 +   &
                        coupl(nGC_1532)*dl2_QED4 + coupl(nGC_1533)*dl1_QED4 +  &
                        coupl(nGC_1534)*dl4_QED4 + coupl(nGC_1535)*dl5_QED4
      coupl(nGC_3492) = coupl(nGC_349)*dZGMinus/2d0
      coupl(nGC_3493) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3145) = coupl(nGC_1411)*dZee_QED2 + coupl(nGC_1412)*da_QED2 +  &
                        coupl(nGC_1413)*dsw_QED2 + coupl(nGC_1414)*db_QED2
      coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3399) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3644) = coupl(nGC_99)*dZG0
      coupl(nGC_3646) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3331) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3815) = coupl(nGC_229)*dZGMinus
      coupl(nGC_3351) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3657) = coupl(nGC_221)*dZGMinus
      coupl(nGC_3389) = coupl(nGC_238)*dZGMinus/2d0
      coupl(nGC_3380) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3661) = coupl(nGC_62)*dZGMinus/2d0
      coupl(nGC_3721) = coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3689) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3688) = -coupl(nGC_173)*dZHMinus_QED2/2d0 - coupl(nGC_173)*    &
                        dZHh_QED2/2d0 - coupl(nGC_173)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_178)*dZHlHh_QED2/2d0 + coupl(nGC_179)*       &
                        dZGMinusHMinus_QED2/2d0 - coupl(nGC_3145)
      coupl(nGC_3828) = coupl(nGC_206)*dZbR_QCD2
      coupl(nGC_3826) = coupl(nGC_209)*dZbL_QCD2
      coupl(nGC_3822) = -coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2963) = coupl(nGC_1394)*db_QED2 + coupl(nGC_1395)*dl3_QED4 +   &
                        coupl(nGC_1396)*dl2_QED4 + coupl(nGC_1397)*dl1_QED4 +  &
                        coupl(nGC_1398)*dl4_QED4 + coupl(nGC_1399)*dl5_QED4 +  &
                        coupl(nGC_1400)*da_QED2
      coupl(nGC_3624) = coupl(nGC_73)*dZG0
      coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3630) = coupl(nGC_227)*dZG0
      coupl(nGC_3632) = coupl(nGC_379)*dZGMinus/2d0
      coupl(nGC_3637) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3638) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_3639) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_3441) = coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3445) = coupl(nGC_54)*dZGMinus/2d0
      coupl(nGC_3298) = -cima*dME_QED2
      coupl(nGC_3299) = -cima*dMM_QED2
      coupl(nGC_3296) = -cima*dMHA2_QED2
      coupl(nGC_3294) = -cima*dMHL2_QED2
      coupl(nGC_3295) = -cima*dMHH2_QED2
      coupl(nGC_3293) = -cima*dMHC2_QED2
      coupl(nGC_3523) = coupl(nGC_228)*dZGMinus
      coupl(nGC_3742) = coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3744) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3999) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3604) = -coupl(nGC_215)*dZG0/2d0
      coupl(nGC_3607) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3601) = coupl(nGC_54)*dZG0/2d0
      coupl(nGC_3513) = coupl(nGC_2997) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl( &
                        nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/2d0&
                         + coupl(nGC_72)*dZHMinusGMinus_QED2
      coupl(nGC_3512) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_3514) = coupl(nGC_37)*dZGMinus/2d0
      coupl(nGC_3517) = coupl(nGC_2997) + coupl(nGC_55)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)* &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
      coupl(nGC_3516) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_3776) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3770) = coupl(nGC_42)*dZGMinus
      coupl(nGC_3177) = coupl(nGC_1894)*dZee_QED2
      coupl(nGC_3175) = coupl(nGC_1295)*dZee_QED2 + coupl(nGC_1296)*dcw_QED2 + &
                        coupl(nGC_1297)*dsw_QED2
      coupl(nGC_3171) = coupl(nGC_1469)*dZee_QED2 + coupl(nGC_1470)*dcw_QED2 + &
                        coupl(nGC_1471)*dsw_QED2
      coupl(nGC_3170) = coupl(nGC_1275)*dZee_QED2 + coupl(nGC_1276)*dcw_QED2 + &
                        coupl(nGC_1277)*dsw_QED2
      coupl(nGC_3178) = coupl(nGC_1529)*dZee_QED2
      coupl(nGC_3857) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3589) = -coupl(nGC_368)*dZG0/2d0
      coupl(nGC_3983) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_3980) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_3986) = -coupl(nGC_173)*dZHl_QED2/2d0 - coupl(nGC_173)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 - coupl(nGC_179)*dZHhHl_QED2/2d0 - coupl(nGC_3145)
      coupl(nGC_3984) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_3988) = coupl(nGC_43)*dZG0
      coupl(nGC_3924) = -coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_3345) = coupl(nGC_329)*dZZA_QED2/2d0
      coupl(nGC_3610) = coupl(nGC_74)*dZGMinus
      coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3502) = coupl(nGC_99)*dZGMinus
      coupl(nGC_3314) = cima*dMW2_QED2
      coupl(nGC_3182) = coupl(nGC_2218)*dZee_QED2 + coupl(nGC_2219)*dcw_QED2 + &
                        coupl(nGC_2220)*dsw_QED2
      coupl(nGC_3180) = coupl(nGC_1321)*dZee_QED2 + coupl(nGC_1322)*dsw_QED2
      coupl(nGC_3181) = coupl(nGC_1888)*dZee_QED2 + coupl(nGC_1889)*dcw_QED2 + &
                        coupl(nGC_1890)*dsw_QED2
      coupl(nGC_3187) = coupl(nGC_2224)*dZee_QED2 + coupl(nGC_2225)*dcw_QED2 + &
                        coupl(nGC_2226)*dsw_QED2
      coupl(nGC_3185) = coupl(nGC_2347)*dZee_QED2 + coupl(nGC_2348)*dcw_QED2 + &
                        coupl(nGC_2349)*dsw_QED2
      coupl(nGC_3761) = coupl(nGC_52)*dZGMinus/2d0
      coupl(nGC_3765) = coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3768) = -coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3167) = coupl(nGC_1926)*db_QED2 + coupl(nGC_1927)*dvev1_QED1 + &
                        coupl(nGC_1928)*dcw_QED2 + coupl(nGC_1929)*dZee_QED2 + &
                        coupl(nGC_1930)*dvev2_QED1
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2953) = coupl(nGC_1401)*dZee_QED2 + coupl(nGC_1402)*dcw_QED2 + &
                        coupl(nGC_1403)*dsw_QED2
      coupl(nGC_3420) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3979) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_3978) = -coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_3889) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_3882) = coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_3884) = coupl(nGC_324)*dZGMinus/2d0
      coupl(nGC_3375) = coupl(nGC_367)*dZGMinus/2d0
      coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2591) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2596) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi** &
                        2d0)
      coupl(nGC_2594) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi** &
                        2d0)
      coupl(nGC_2595) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi** &
                        2d0)
      coupl(nGC_3856) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3379) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3571) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_3576) = coupl(nGC_325)*dZGMinus/2d0
      coupl(nGC_3378) = coupl(nGC_337)*dZGMinus/2d0
      coupl(nGC_3850) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_2683) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2680) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3799) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0 + &
                        coupl(nGC_3180)
      coupl(nGC_3795) = coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3790) = coupl(nGC_207)*dZcR_QCD2
      coupl(nGC_3150) = coupl(nGC_1256)*dZee_QED2 + coupl(nGC_1257)*dsw_QED2
      coupl(nGC_2924) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3154) = coupl(nGC_2248)*dZee_QED2 + coupl(nGC_2249)*dcw_QED2 + &
                        coupl(nGC_2250)*dsw_QED2
      coupl(nGC_3408) = coupl(nGC_28)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3407) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2923) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/( &
                        32d0*pi**2d0)
      coupl(nGC_3401) = coupl(nGC_173)*dZHMinus_QED2/2d0 + coupl(nGC_173)*     &
                        dZHh_QED2/2d0 + coupl(nGC_173)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_178)*dZHlHh_QED2/2d0 - coupl(nGC_179)*       &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_3145)
      coupl(nGC_2979) = coupl(nGC_1449)*db_QED2 + coupl(nGC_1450)*dl3_QED4 +   &
                        coupl(nGC_1451)*dl2_QED4 + coupl(nGC_1452)*dl1_QED4 +  &
                        coupl(nGC_1453)*dl4_QED4 + coupl(nGC_1454)*dl5_QED4 +  &
                        coupl(nGC_1455)*da_QED2
      coupl(nGC_2971) = coupl(nGC_1479)*db_QED2 + coupl(nGC_1480)*dl3_QED4 +   &
                        coupl(nGC_1481)*dl2_QED4 + coupl(nGC_1482)*dl1_QED4 +  &
                        coupl(nGC_1483)*dl4_QED4 + coupl(nGC_1484)*dl5_QED4 +  &
                        coupl(nGC_1485)*da_QED2
      coupl(nGC_2972) = coupl(nGC_1440)*db_QED2 + coupl(nGC_1441)*dl3_QED4 +   &
                        coupl(nGC_1442)*dl2_QED4 + coupl(nGC_1443)*dl1_QED4 +  &
                        coupl(nGC_1444)*dl4_QED4 + coupl(nGC_1445)*dl5_QED4 +  &
                        coupl(nGC_1446)*da_QED2
      coupl(nGC_2974) = coupl(nGC_2050)*db_QED2 + coupl(nGC_2051)*dl3_QED4 +   &
                        coupl(nGC_2052)*dl2_QED4 + coupl(nGC_2053)*dl1_QED4 +  &
                        coupl(nGC_2054)*dl4_QED4 + coupl(nGC_2055)*dl5_QED4
      coupl(nGC_2977) = coupl(nGC_1625)*db_QED2 + coupl(nGC_1626)*dl5_QED4 +   &
                        coupl(nGC_1627)*dl4_QED4 + coupl(nGC_1628)*da_QED2
      coupl(nGC_3083) = coupl(nGC_1891)*dyd13x3_QED1_QCD2 + coupl(nGC_1892)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3082) = coupl(nGC_1891)*dyd13x3_QED3 + coupl(nGC_1892)*        &
                        dyb2_QED3 + coupl(nGC_1893)*da_QED2
      coupl(nGC_3081) = coupl(nGC_2070)*dyd12x2_QED1_QCD2 + coupl(nGC_2072)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3080) = coupl(nGC_2070)*dyd12x2_QED3 + coupl(nGC_2071)*da_QED2 &
                         + coupl(nGC_2072)*dys2_QED3
      coupl(nGC_3087) = coupl(nGC_2104)*dyd12x2_QED1_QCD2 + coupl(nGC_2106)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3086) = coupl(nGC_2104)*dyd12x2_QED3 + coupl(nGC_2105)*da_QED2 &
                         + coupl(nGC_2106)*dys2_QED3
      coupl(nGC_3089) = coupl(nGC_1906)*dyd13x3_QED1_QCD2 + coupl(nGC_1907)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3088) = coupl(nGC_1906)*dyd13x3_QED3 + coupl(nGC_1907)*        &
                        dyb2_QED3 + coupl(nGC_1908)*da_QED2
      coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3442) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3969) = coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_3440) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 + coupl(nGC_3145)
      coupl(nGC_3447) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3898) = -coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3899) = coupl(nGC_230)*dZHa_QED2 + coupl(nGC_230)*dZZ_QED2 +   &
                        coupl(nGC_3170)
      coupl(nGC_3893) = coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3896) = -coupl(nGC_341)*dZG0/2d0
      coupl(nGC_2568) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2564) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3561) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3569) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3364) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_3365) = coupl(nGC_212)*dZZA_QED2/2d0
      coupl(nGC_3362) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_3360) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3368) = coupl(nGC_248)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3788) = coupl(nGC_210)*dZcL_QCD2
      coupl(nGC_3783) = coupl(nGC_332)*dZZA_QED2/2d0
      coupl(nGC_2947) = -3d0*cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_3146) = coupl(nGC_1641)*dZee_QED2 + coupl(nGC_1642)*da_QED2 +  &
                        coupl(nGC_1643)*dsw_QED2 + coupl(nGC_1644)*db_QED2
      coupl(nGC_3147) = coupl(nGC_2126)*dZee_QED2
      coupl(nGC_3416) = coupl(nGC_22)*dZGMinus/2d0
      coupl(nGC_3142) = coupl(nGC_2165)*dvev1_QED1 + coupl(nGC_2166)*dvev2_QED1&
                         + coupl(nGC_2167)*dZee_QED2 + coupl(nGC_2168)*dsw_QED2&
                         + coupl(nGC_2169)*db_QED2
      coupl(nGC_3143) = coupl(nGC_2163)*dZee_QED2 + coupl(nGC_2164)*dsw_QED2
      coupl(nGC_3412) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_3092) = coupl(nGC_2123)*db_QED2 + coupl(nGC_2124)*dyd12x2_QED3 &
                         + coupl(nGC_2125)*dys2_QED3
      coupl(nGC_3093) = coupl(nGC_2124)*dyd12x2_QED1_QCD2 + coupl(nGC_2125)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3094) = coupl(nGC_1931)*db_QED2 + coupl(nGC_1932)*dyd13x3_QED3 &
                         + coupl(nGC_1933)*dyb2_QED3
      coupl(nGC_3095) = coupl(nGC_1932)*dyd13x3_QED1_QCD2 + coupl(nGC_1933)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3096) = coupl(nGC_2020)*dye2_QED3 + coupl(nGC_2021)*db_QED2 +  &
                        coupl(nGC_2022)*dye1_QED3
      coupl(nGC_3098) = coupl(nGC_2282)*db_QED2 + coupl(nGC_2283)*dytau2_QED3  &
                         + coupl(nGC_2284)*dytau1_QED3
      coupl(nGC_3574) = -coupl(nGC_218)*(dZGMinusHMinus_QED2 +                 &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3942) = -coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3943) = 2d0*coupl(nGC_69)*dZG0
      coupl(nGC_3835) = coupl(nGC_3093) + coupl(nGC_365)*dZsL_QCD2/2d0 + coupl(&
                        nGC_365)*dZsR_QCD2/2d0
      coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3798) = -coupl(nGC_374)*dZG0/2d0
      coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3951) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3952) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3955) = -coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3152) = coupl(nGC_1934)*dZee_QED2 + coupl(nGC_1935)*dcw_QED2 + &
                        coupl(nGC_1936)*dsw_QED2
      coupl(nGC_3159) = coupl(nGC_2370)*dZee_QED2 + coupl(nGC_2371)*dsw_QED2
      coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3404) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_2984) = coupl(nGC_1323)*db_QED2 + coupl(nGC_1324)*dl3_QED4 +   &
                        coupl(nGC_1325)*dl2_QED4 + coupl(nGC_1326)*dl1_QED4 +  &
                        coupl(nGC_1327)*dl4_QED4 + coupl(nGC_1328)*dl5_QED4 +  &
                        coupl(nGC_1329)*da_QED2
      coupl(nGC_2973) = coupl(nGC_1553)*dl3_QED4 + coupl(nGC_1554)*dl2_QED4 +  &
                        coupl(nGC_1555)*dl1_QED4 + coupl(nGC_1556)*dl4_QED4 +  &
                        coupl(nGC_1557)*dl5_QED4 + coupl(nGC_1558)*da_QED2
      coupl(nGC_3559) = coupl(nGC_194)*dZWMinus_QED2 + coupl(nGC_194)*dZZ_QED2 &
                         - coupl(nGC_205)*dZAZ_QED2/2d0 + coupl(nGC_3175)
      coupl(nGC_3558) = -2d0*coupl(nGC_194)*dZWMinus_QED2 - 2d0*coupl(nGC_194)*&
                        dZZ_QED2 + coupl(nGC_205)*dZAZ_QED2 - 2d0*coupl(       &
                        nGC_3175)
      coupl(nGC_3555) = coupl(nGC_220)*dZGMinus
      coupl(nGC_3557) = coupl(nGC_237)*dZGMinus/2d0
      coupl(nGC_3551) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3550) = -coupl(nGC_356)*dZG0/2d0
      coupl(nGC_3553) = coupl(nGC_228)*dZHMinus_QED2 + coupl(nGC_2953)
      coupl(nGC_3313) = cima*dMZ2_QED2
      coupl(nGC_3312) = -cima*dMB_QCD2
      coupl(nGC_3311) = -cima*dMB_QED2
      coupl(nGC_3310) = -cima*dMS_QCD2
      coupl(nGC_3317) = coupl(nGC_781)*dMZ2_QED2
      coupl(nGC_3316) = coupl(nGC_777)*dMW2_QED2
      coupl(nGC_3315) = coupl(nGC_773)*dMW2_QED2
      coupl(nGC_3453) = 3d0*coupl(nGC_59)*dZG0/2d0
      coupl(nGC_3318) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3042) = coupl(nGC_1917)*dZee_QED2
      coupl(nGC_3139) = coupl(nGC_1135)*dZee_QED2 + coupl(nGC_1136)*dcw_QED2 + &
                        coupl(nGC_1137)*dsw_QED2
      coupl(nGC_3131) = coupl(nGC_2161)*dyt1_QED1_QCD2 + coupl(nGC_2162)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3130) = coupl(nGC_2160)*da_QED2 + coupl(nGC_2161)*dyt1_QED3 +  &
                        coupl(nGC_2162)*dyt2_QED3
      coupl(nGC_3137) = coupl(nGC_581)*dyt1_QED1_QCD2 + coupl(nGC_583)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3135) = coupl(nGC_1826)*dyc1_QED1_QCD2 + coupl(nGC_1827)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3134) = coupl(nGC_1825)*db_QED2 + coupl(nGC_1826)*dyc1_QED3 +  &
                        coupl(nGC_1827)*dyc2_QED3
      coupl(nGC_3047) = coupl(nGC_2350)*dZgs_QCD2
      coupl(nGC_3046) = coupl(nGC_1131)*dZgs_QCD2
      coupl(nGC_3045) = coupl(nGC_2285)*dZgs_QCD2
      coupl(nGC_3044) = coupl(nGC_1839)*dZee_QED2 + coupl(nGC_1840)*dcw_QED2 + &
                        coupl(nGC_1841)*dsw_QED2
      coupl(nGC_3041) = coupl(nGC_2295)*dZee_QED2
      coupl(nGC_3040) = coupl(nGC_2294)*dZee_QED2
      coupl(nGC_4024) = -2d0*coupl(nGC_15)*dZg_QCD2 - coupl(nGC_3046)
      coupl(nGC_4026) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3046)
      coupl(nGC_4027) = -4d0*coupl(nGC_15)*dZg_QCD2 - 2d0*coupl(nGC_3046)
      coupl(nGC_4020) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_3356) = coupl(nGC_2972) + coupl(nGC_33)*dZHhHl_QED2 + coupl(   &
                        nGC_34)*dZHMinusGMinus_QED2 + coupl(nGC_45)*dZHl_QED2
      coupl(nGC_3355) = coupl(nGC_45)*dZGMinus
      coupl(nGC_3606) = coupl(nGC_204)*dZWMinus_QED2 + coupl(nGC_3154)
      coupl(nGC_3353) = coupl(nGC_67)*(dZG0 + dZGMinus)
      coupl(nGC_2405) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0  &
                         + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 + Nc&
                        *coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 + coupl( &
                        nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(nGC_376)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3450) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3451) = coupl(nGC_187)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2548) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
