!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3456) = coupl(nGC_209)*dZsL_QCD2
      coupl(nGC_2948) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_2893) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_2892) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*    &
                        coupl(nGC_175)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
      coupl(nGC_3548) = coupl(nGC_356)*dZG0/2d0
      coupl(nGC_2896) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)**2d0  &
                         + coupl(nGC_343)**2d0 + coupl(nGC_346)**2d0 + coupl(  &
                        nGC_364)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_382)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2895) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)**2d0 &
                         - coupl(nGC_343)**2d0 - coupl(nGC_346)**2d0 - coupl(  &
                        nGC_364)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_382)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3542) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_3543) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_3143)
      coupl(nGC_3540) = coupl(nGC_230)*dZZA_QED2/2d0
      coupl(nGC_3546) = coupl(nGC_230)*dZZ_QED2 + coupl(nGC_3170)
      coupl(nGC_3544) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3545) = coupl(nGC_230)*dZG0
      coupl(nGC_3300) = -cima*dMTA_QED2
      coupl(nGC_3301) = -cima*dMU_QED2
      coupl(nGC_3302) = -cima*dMU_QCD2
      coupl(nGC_3304) = -cima*dMC_QCD2
      coupl(nGC_3305) = -cima*dMT_QED2
      coupl(nGC_3306) = -cima*dMT_QCD2
      coupl(nGC_3307) = -cima*dMD_QED2
      coupl(nGC_3308) = -cima*dMD_QCD2
      coupl(nGC_3309) = -cima*dMS_QED2
      coupl(nGC_3430) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3438) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/  &
                        2d0 + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3147)
      coupl(nGC_3439) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3129) = coupl(nGC_1418)*dyc1_QED1_QCD2 + coupl(nGC_1419)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2433) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2432) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2434) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_210)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2437) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2439) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2438) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3122) = coupl(nGC_2118)*dyc1_QED3 + coupl(nGC_2119)*dyc2_QED3  &
                         + coupl(nGC_2120)*da_QED2
      coupl(nGC_3123) = coupl(nGC_2118)*dyc1_QED1_QCD2 + coupl(nGC_2119)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3124) = coupl(nGC_2170)*da_QED2 + coupl(nGC_2171)*dyt1_QED3 +  &
                        coupl(nGC_2172)*dyt2_QED3
      coupl(nGC_3126) = coupl(nGC_1456)*dyup1_QED3 + coupl(nGC_1457)*da_QED2 + &
                        coupl(nGC_1458)*dyup2_QED3
      coupl(nGC_3127) = coupl(nGC_1456)*dyup1_QED1_QCD2 + coupl(nGC_1458)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2987) = coupl(nGC_1333)*db_QED2 + coupl(nGC_1334)*dl3_QED4 +   &
                        coupl(nGC_1335)*dl2_QED4 + coupl(nGC_1336)*dl1_QED4 +  &
                        coupl(nGC_1337)*dl4_QED4 + coupl(nGC_1338)*dl5_QED4 +  &
                        coupl(nGC_1339)*da_QED2
      coupl(nGC_2454) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3056) = coupl(nGC_2195)*db_QED2 + coupl(nGC_2196)*dyt1_QED3 +  &
                        coupl(nGC_2197)*dyt2_QED3
      coupl(nGC_3057) = coupl(nGC_2196)*dyt1_QED1_QCD2 + coupl(nGC_2197)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3050) = coupl(nGC_1951)*db_QED2 + coupl(nGC_1952)*dydo1_QED3 + &
                        coupl(nGC_1953)*dydo2_QED3
      coupl(nGC_3051) = coupl(nGC_1952)*dydo1_QED1_QCD2 + coupl(nGC_1953)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_4011) = -coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_4013) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_3045)
      coupl(nGC_3058) = coupl(nGC_2383)*db_QED2 + coupl(nGC_2384)*dyd13x3_QED3 &
                         + coupl(nGC_2385)*dyb2_QED3
      coupl(nGC_3059) = coupl(nGC_2384)*dyd13x3_QED1_QCD2 + coupl(nGC_2385)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_4017) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_4016) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3932) = -coupl(nGC_200)*dZWMinus_QED2/4d0 - coupl(nGC_3044)/2d0
      coupl(nGC_3930) = coupl(nGC_26)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3935) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3934) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3849) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3848) = coupl(nGC_3302) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_3846) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_3845) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_3844) = -coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3842) = coupl(nGC_362)*dZG0/2d0
      coupl(nGC_3840) = coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3076) = coupl(nGC_1895)*db_QED2 + coupl(nGC_1896)*dyd13x3_QED3 &
                         + coupl(nGC_1897)*dyb2_QED3
      coupl(nGC_2663) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3928) = -coupl(nGC_218)*dZZA_QED2/2d0 - coupl(nGC_26)*dZA_QED2/&
                        2d0 - coupl(nGC_3042)
      coupl(nGC_2556) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2552) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3148) = coupl(nGC_1720)*dZee_QED2 + coupl(nGC_1721)*dsw_QED2
      coupl(nGC_2489) = (coupl(nGC_1)*coupl(nGC_370)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_373)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2&
                        )*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_369)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_371)*coupl(nGC_841) +     &
                        coupl(nGC_2)*coupl(nGC_372)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_374)*coupl(nGC_875))/(32d0*pi**2d0)
      coupl(nGC_2916) = cima*(20d0*Nc*coupl(nGC_333)**4d0 + 20d0*Nc*coupl(     &
                        nGC_342)**4d0 + 20d0*Nc*coupl(nGC_345)**4d0 + 20d0*Nc* &
                        coupl(nGC_363)**4d0 + 20d0*Nc*coupl(nGC_369)**4d0 +    &
                        20d0*Nc*coupl(nGC_381)**4d0 + 3d0*coupl(nGC_224)**2d0  &
                         + 20d0*coupl(nGC_351)**4d0 + 20d0*coupl(nGC_357)**4d0 &
                         + 20d0*coupl(nGC_375)**4d0 + 6d0*coupl(nGC_77)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_2888) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl( &
                        nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl( &
                        nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)** &
                        2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(      &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343 &
                        )**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(   &
                        nGC_370)**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*  &
                        coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc* &
                        coupl(nGC_343)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0&
                        *Nc*coupl(nGC_345)*coupl(nGC_346)**2d0*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*coupl(nGC_346)**2d0*    &
                        coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)* &
                        coupl(nGC_348)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc* &
                        coupl(nGC_363)*coupl(nGC_364)**2d0*coupl(nGC_366) + 5d0&
                        *Nc*coupl(nGC_369)*coupl(nGC_370)**2d0*coupl(nGC_372   &
                        ) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)**2d0*coupl(   &
                        nGC_384) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_351)*coupl(&
                        nGC_352)**2d0*coupl(nGC_354) + 5d0*coupl(nGC_357)*coupl&
                        (nGC_358)**2d0*coupl(nGC_360) + 5d0*coupl(nGC_375)*    &
                        coupl(nGC_376)**2d0*coupl(nGC_378))/(24d0*pi**2d0)
      coupl(nGC_2913) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_336) + Nc*  &
                        coupl(nGC_339)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345  &
                        )**3d0*coupl(nGC_348) + Nc*coupl(nGC_363)**3d0*coupl(  &
                        nGC_366) + Nc*coupl(nGC_369)**3d0*coupl(nGC_372) + Nc* &
                        coupl(nGC_381)**3d0*coupl(nGC_384) + coupl(nGC_351)**  &
                        3d0*coupl(nGC_354) + coupl(nGC_357)**3d0*coupl(nGC_360 &
                        ) + coupl(nGC_375)**3d0*coupl(nGC_378))/(4d0*pi**2d0)
      coupl(nGC_3424) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3338) = 2d0*coupl(nGC_68)*dZGMinus
      coupl(nGC_3334) = coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_203)*     &
                        dZZ_QED2/2d0 + coupl(nGC_3139) + coupl(nGC_7)*dZAZ_QED2&
                        /2d0
      coupl(nGC_3330) = coupl(nGC_3087) + coupl(nGC_363)*dZsL_QCD2/2d0 + coupl(&
                        nGC_363)*dZsR_QCD2/2d0
      coupl(nGC_3115) = coupl(nGC_2335)*dyup1_QED1_QCD2 + coupl(nGC_2336)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3114) = coupl(nGC_2334)*db_QED2 + coupl(nGC_2335)*dyup1_QED3 + &
                        coupl(nGC_2336)*dyup2_QED3
      coupl(nGC_3117) = coupl(nGC_1776)*dyc1_QED1_QCD2 + coupl(nGC_1777)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3116) = coupl(nGC_1775)*db_QED2 + coupl(nGC_1776)*dyc1_QED3 +  &
                        coupl(nGC_1777)*dyc2_QED3
      coupl(nGC_3111) = coupl(nGC_1992)*dye2_QED3 + coupl(nGC_1993)*db_QED2 +  &
                        coupl(nGC_1994)*dye1_QED3
      coupl(nGC_3110) = coupl(nGC_2221)*dytau2_QED3 + coupl(nGC_2222)*         &
                        dytau1_QED3 + coupl(nGC_2223)*da_QED2
      coupl(nGC_3113) = coupl(nGC_2251)*db_QED2 + coupl(nGC_2252)*dytau2_QED3  &
                         + coupl(nGC_2253)*dytau1_QED3
      coupl(nGC_3118) = coupl(nGC_571)*db_QED2 + coupl(nGC_573)*dyt1_QED3 +    &
                        coupl(nGC_575)*dyt2_QED3
      coupl(nGC_3685) = coupl(nGC_3306) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_3687) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_3686) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_3681) = coupl(nGC_13)*dZbR_QED2
      coupl(nGC_2428) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*   &
                        cima*coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(     &
                        nGC_207)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0 + &
                        Nc*cMD**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*cima&
                        *coupl(nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_206  &
                        )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_209)**2d0 + Nc*cMT &
                        **2d0*cima*coupl(nGC_207)**2d0 + Nc*cMT**2d0*cima*coupl&
                        (nGC_210)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_207)**2d0  &
                         + Nc*cMU**2d0*cima*coupl(nGC_210)**2d0 + cME**2d0*cima&
                        *coupl(nGC_208)**2d0 + cME**2d0*cima*coupl(nGC_211)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_208)**2d0 + cMM**2d0*cima&
                        *coupl(nGC_211)**2d0 + cMTA**2d0*cima*coupl(nGC_208)** &
                        2d0 + cMTA**2d0*cima*coupl(nGC_211)**2d0 + cMW**2d0*   &
                        cima*coupl(nGC_199)**2d0 + cMW**2d0*cima*coupl(nGC_847 &
                        )**2d0 - cMW**2d0*coupl(nGC_195))/(8d0*pi**2d0)
      coupl(nGC_2429) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2426) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(      &
                        nGC_207)**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*   &
                        coupl(nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl( &
                        nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(   &
                        nGC_212)**2d0 - coupl(nGC_847)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2427) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_847)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_2422) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_363)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_357)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_261)**2d0 + cima*coupl(  &
                        nGC_329)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2420) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342) - &
                        4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc*&
                        cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*cMS**  &
                        2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**2d0*   &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*coupl( &
                        nGC_381)*coupl(nGC_384) - 4d0*cME**2d0*coupl(nGC_351)* &
                        coupl(nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*coupl(    &
                        nGC_360) - 4d0*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378  &
                        ) + 2d0*coupl(nGC_261)*coupl(nGC_272) + coupl(nGC_329)*&
                        coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_2421) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0  &
                         + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc&
                        *coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + coupl( &
                        nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_3149) = coupl(nGC_1153)*dZee_QED2 + coupl(nGC_1154)*da_QED2 +  &
                        coupl(nGC_1155)*dsw_QED2 + coupl(nGC_1156)*db_QED2
      coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4006) = coupl(nGC_3310) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_4007) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_4004) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_4005) = coupl(nGC_3309) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_363_Hl) + coupl&
                        (nGC_TS_GC_366_Hh)
      coupl(nGC_4002) = coupl(nGC_26)*dZGMinus
      coupl(nGC_4003) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_4000) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_4001) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_26)*dZA_QED2/ &
                        2d0 + coupl(nGC_3042)
      coupl(nGC_2442) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 + coupl&
                        (nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4008) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_3061) = coupl(nGC_1133)*dydo1_QED1_QCD2 + coupl(nGC_1134)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3060) = coupl(nGC_1132)*db_QED2 + coupl(nGC_1133)*dydo1_QED3 + &
                        coupl(nGC_1134)*dydo2_QED3
      coupl(nGC_3063) = coupl(nGC_1787)*dyup1_QED1_QCD2 + coupl(nGC_1788)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3062) = coupl(nGC_1786)*db_QED2 + coupl(nGC_1787)*dyup1_QED3 + &
                        coupl(nGC_1788)*dyup2_QED3
      coupl(nGC_3065) = coupl(nGC_1416)*dyc1_QED1_QCD2 + coupl(nGC_1417)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3064) = coupl(nGC_1415)*db_QED2 + coupl(nGC_1416)*dyc1_QED3 +  &
                        coupl(nGC_1417)*dyc2_QED3
      coupl(nGC_3067) = coupl(nGC_2116)*dyd12x2_QED1_QCD2 + coupl(nGC_2117)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3066) = coupl(nGC_2115)*db_QED2 + coupl(nGC_2116)*dyd12x2_QED3 &
                         + coupl(nGC_2117)*dys2_QED3
      coupl(nGC_3591) = coupl(nGC_3129) + coupl(nGC_333)*dZcL_QCD2/2d0 + coupl(&
                        nGC_333)*dZcR_QCD2/2d0
      coupl(nGC_3593) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_3592) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_197)*dZtauMinusL_QED2/  &
                        2d0 + coupl(nGC_3180)
      coupl(nGC_3595) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3596) = 3d0*coupl(nGC_57)*dZGMinus/2d0
      coupl(nGC_2952) = coupl(nGC_1229)*dZee_QED2
      coupl(nGC_3598) = coupl(nGC_2987) + coupl(nGC_36)*dZHa_QED2 + coupl(     &
                        nGC_36)*dZHh_QED2/2d0 + coupl(nGC_36)*dZHl_QED2/2d0 +  &
                        coupl(nGC_41)*dZHlHh_QED2/2d0 + coupl(nGC_47)*         &
                        dZG0Ha_QED2 + coupl(nGC_48)*dZHhHl_QED2/2d0
      coupl(nGC_2488) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*  &
                        coupl(nGC_340)**2d0 + coupl(nGC_1)*coupl(nGC_343)**2d0 &
                         + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(   &
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +   &
                        coupl(nGC_2)*coupl(nGC_369)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_371)*coupl(nGC_841) + coupl(nGC_2)*coupl(nGC_372)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_374)*coupl(nGC_875))/(32d0&
                        *pi**2d0)
      coupl(nGC_2951) = coupl(nGC_1269)*dZee_QED2 + coupl(nGC_1270)*dcw_QED2
      coupl(nGC_3922) = coupl(nGC_3110) + coupl(nGC_375)*dZHl_QED2/2d0 + coupl(&
                        nGC_375)*dZtauMinusL_QED2/2d0 + coupl(nGC_375)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_378)*dZHhHl_QED2/2d0
      coupl(nGC_3926) = coupl(nGC_3130) + coupl(nGC_369)*dZHl_QED2/2d0 + coupl(&
                        nGC_369)*dZtL_QED2/2d0 + coupl(nGC_369)*dZtR_QED2/2d0  &
                         + coupl(nGC_372)*dZHhHl_QED2/2d0
      coupl(nGC_3927) = coupl(nGC_3131) + coupl(nGC_369)*dZtL_QCD2/2d0 + coupl(&
                        nGC_369)*dZtR_QCD2/2d0
      coupl(nGC_2954) = coupl(nGC_1206)*db_QED2 + coupl(nGC_1207)*dZee_QED2 +  &
                        coupl(nGC_1208)*dcw_QED2 + coupl(nGC_1209)*da_QED2
      coupl(nGC_3858) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2955) = coupl(nGC_1306)*dZee_QED2 + coupl(nGC_1307)*dcw_QED2 + &
                        coupl(nGC_1308)*dsw_QED2
      coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3419) = coupl(nGC_218)*dZGMinus
      coupl(nGC_2576) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_343)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_342)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370) + 2d0*Nc* &
                        cMC*coupl(nGC_333)*coupl(nGC_334)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_333)*coupl(nGC_364)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_334)*coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*   &
                        coupl(nGC_345)*coupl(nGC_346)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_345)*coupl(nGC_382)**2d0 + 2d0*Nc*cMD*coupl(nGC_346&
                        )*coupl(nGC_381)*coupl(nGC_382) + 2d0*Nc*cMS*coupl(    &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl( &
                        nGC_363)*coupl(nGC_364)**2d0 + 2d0*Nc*cMT*coupl(nGC_342&
                        )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(    &
                        nGC_343)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_369&
                        )*coupl(nGC_370)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl&
                        (nGC_346)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346)** &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_382)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_376)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_321) + cima*coupl(nGC_229)*coupl(nGC_329   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_231))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2958) = coupl(nGC_1697)*db_QED2 + coupl(nGC_1698)*dl3_QED4 +   &
                        coupl(nGC_1699)*dl2_QED4 + coupl(nGC_1700)*dl1_QED4 +  &
                        coupl(nGC_1701)*dl4_QED4 + coupl(nGC_1702)*dl5_QED4
      coupl(nGC_2822) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_342)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_369)**2d0 + 20d0*Nc*coupl(nGC_340)*coupl(nGC_342)* &
                        coupl(nGC_369)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_342  &
                        )**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0*coupl( &
                        nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 + 10d0*coupl( &
                        nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(nGC_375 &
                        )**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3939) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_2959) = coupl(nGC_1421)*db_QED2 + coupl(nGC_1422)*dl3_QED4 +   &
                        coupl(nGC_1423)*dl2_QED4 + coupl(nGC_1424)*dl1_QED4 +  &
                        coupl(nGC_1425)*dl4_QED4 + coupl(nGC_1426)*dl5_QED4 +  &
                        coupl(nGC_1427)*da_QED2
      coupl(nGC_3929) = -coupl(nGC_26)*dZGMinus
      coupl(nGC_2521) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi** &
                        2d0)
      coupl(nGC_2520) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi** &
                        2d0)
      coupl(nGC_2527) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*coupl&
                        (nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc*coupl&
                        (nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl(      &
                        nGC_360)*coupl(nGC_361) + coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3414) = coupl(nGC_3096) + coupl(nGC_352)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_355)*dZeMinusR_QED2/2d0 + coupl(nGC_355&
                        )*dZnu_eL_QED2/2d0
      coupl(nGC_3938) = coupl(nGC_I)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2528) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl&
                        (nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc*coupl&
                        (nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl(      &
                        nGC_357)*coupl(nGC_361) + coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3415) = coupl(nGC_355)*dZGMinus/2d0
      coupl(nGC_3303) = -cima*dMC_QED2
      coupl(nGC_2529) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324&
                        )*coupl(nGC_793) + 2d0*coupl(nGC_199)*coupl(nGC_237)*  &
                        coupl(nGC_847) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(&
                        nGC_847))/(16d0*pi**2d0)
      coupl(nGC_2635) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_887) - coupl(nGC_377)**  &
                        2d0*coupl(nGC_887) + 8d0*coupl(nGC_377)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_378)**2d0*coupl(nGC_887) - coupl(      &
                        nGC_380)**2d0*coupl(nGC_887))/(32d0*pi**2d0)
      coupl(nGC_2634) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2633) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_371) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_371) - coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_883) - coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_883) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_841) - coupl(nGC_371)**2d0*coupl(nGC_841) - coupl( &
                        nGC_372)**2d0*coupl(nGC_841) - coupl(nGC_374)**2d0*    &
                        coupl(nGC_841))/(32d0*pi**2d0)
      coupl(nGC_2632) = coupl(nGC_13)**2d0*coupl(nGC_841)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2631) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_841) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_841) - coupl(nGC_340 &
                        )*coupl(nGC_344)*coupl(nGC_373) - coupl(nGC_343)*coupl(&
                        nGC_344)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_371) - coupl(nGC_371)*coupl(nGC_372)**2d0 - coupl( &
                        nGC_371)*coupl(nGC_841)**2d0 - coupl(nGC_371)*coupl(   &
                        nGC_875)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2630) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3328) = coupl(nGC_99)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3329) = coupl(nGC_3086) + coupl(nGC_363)*dZHl_QED2/2d0 + coupl(&
                        nGC_363)*dZsL_QED2/2d0 + coupl(nGC_363)*dZsR_QED2/2d0  &
                         + coupl(nGC_366)*dZHhHl_QED2/2d0
      coupl(nGC_3323) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3320) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*          &
                        dZmuMinusL_QED2 + coupl(nGC_3187) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_3326) = coupl(nGC_47)*dZG0/2d0
      coupl(nGC_3410) = coupl(nGC_71)*dZGMinus
      coupl(nGC_3102) = coupl(nGC_2027)*dye2_QED3 + coupl(nGC_2028)*db_QED2 +  &
                        coupl(nGC_2029)*dye1_QED3
      coupl(nGC_3103) = coupl(nGC_2101)*db_QED2 + coupl(nGC_2102)*dym1_QED3 +  &
                        coupl(nGC_2103)*dym2_QED3
      coupl(nGC_3452) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3101) = coupl(nGC_1203)*db_QED2 + coupl(nGC_1204)*dytau2_QED3  &
                         + coupl(nGC_1205)*dytau1_QED3
      coupl(nGC_3106) = coupl(nGC_1544)*da_QED2 + coupl(nGC_1545)*dym1_QED3 +  &
                        coupl(nGC_1546)*dym2_QED3
      coupl(nGC_3107) = coupl(nGC_1836)*dytau2_QED3 + coupl(nGC_1837)*         &
                        dytau1_QED3 + coupl(nGC_1838)*da_QED2
      coupl(nGC_3104) = coupl(nGC_1138)*db_QED2 + coupl(nGC_1139)*dytau2_QED3  &
                         + coupl(nGC_1140)*dytau1_QED3
      coupl(nGC_3105) = coupl(nGC_1688)*dye2_QED3 + coupl(nGC_1689)*da_QED2 +  &
                        coupl(nGC_1690)*dye1_QED3
      coupl(nGC_3458) = coupl(nGC_206)*dZsR_QCD2
      coupl(nGC_3459) = coupl(nGC_56)*dZGMinus/2d0
      coupl(nGC_3108) = coupl(nGC_1981)*dye2_QED3 + coupl(nGC_1982)*da_QED2 +  &
                        coupl(nGC_1983)*dye1_QED3
      coupl(nGC_3109) = coupl(nGC_1571)*da_QED2 + coupl(nGC_1572)*dym1_QED3 +  &
                        coupl(nGC_1573)*dym2_QED3
      coupl(nGC_2989) = coupl(nGC_1383)*db_QED2 + coupl(nGC_1384)*dl3_QED4 +   &
                        coupl(nGC_1385)*dl2_QED4 + coupl(nGC_1386)*dl1_QED4 +  &
                        coupl(nGC_1387)*dl4_QED4 + coupl(nGC_1388)*dl5_QED4 +  &
                        coupl(nGC_1389)*da_QED2
      coupl(nGC_2988) = coupl(nGC_1175)*dl3_QED4 + coupl(nGC_1176)*dl2_QED4 +  &
                        coupl(nGC_1177)*dl1_QED4 + coupl(nGC_1178)*dl4_QED4 +  &
                        coupl(nGC_1179)*dl5_QED4 + coupl(nGC_1180)*da_QED2
      coupl(nGC_2459) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*   &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) - Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) - Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) - Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) - Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) + coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) + coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2458) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc*  &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) + Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) + Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) + Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) + Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) - coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) - coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) - coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_3696) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZtR_QED2 + coupl(nGC_3181)
      coupl(nGC_3697) = coupl(nGC_207)*dZtR_QCD2
      coupl(nGC_3694) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZtL_QED2 + coupl(nGC_3182)
      coupl(nGC_3695) = coupl(nGC_210)*dZtL_QCD2
      coupl(nGC_2453) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2452) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2451) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_2450) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0&
                        *pi**2d0)
      coupl(nGC_2457) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2456) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2455) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3910) = coupl(nGC_58)*dZG0/2d0
      coupl(nGC_3913) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3078) = coupl(nGC_1957)*dydo2_QED3 + coupl(nGC_1958)*dydo1_QED3&
                         + coupl(nGC_1959)*da_QED2
      coupl(nGC_3079) = coupl(nGC_1957)*dydo2_QED1_QCD2 + coupl(nGC_1958)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_3413) = coupl(nGC_21)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_22)* &
                        dZHlHh_QED2/2d0 + coupl(nGC_24)*dZHh_QED2/2d0 + coupl( &
                        nGC_2954)
      coupl(nGC_3077) = coupl(nGC_1896)*dyd13x3_QED1_QCD2 + coupl(nGC_1897)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3074) = coupl(nGC_2173)*db_QED2 + coupl(nGC_2174)*dyd12x2_QED3 &
                         + coupl(nGC_2175)*dys2_QED3
      coupl(nGC_3075) = coupl(nGC_2174)*dyd12x2_QED1_QCD2 + coupl(nGC_2175)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3072) = coupl(nGC_2030)*db_QED2 + coupl(nGC_2031)*dydo1_QED3 + &
                        coupl(nGC_2032)*dydo2_QED3
      coupl(nGC_3073) = coupl(nGC_2031)*dydo1_QED1_QCD2 + coupl(nGC_2032)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3070) = coupl(nGC_1914)*db_QED2 + coupl(nGC_1915)*dyd13x3_QED3 &
                         + coupl(nGC_1916)*dyb2_QED3
      coupl(nGC_3071) = coupl(nGC_1915)*dyd13x3_QED1_QCD2 + coupl(nGC_1916)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2857) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_366)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_360)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_354)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2431) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3586) = coupl(nGC_368)*dZG0/2d0
      coupl(nGC_3587) = -coupl(nGC_3074) - coupl(nGC_365)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_368)*dZsL_QED2/2d0 - coupl(nGC_368)*dZsR_QED2&
                        /2d0
      coupl(nGC_3585) = coupl(nGC_3075) + coupl(nGC_368)*dZsL_QCD2/2d0 + coupl(&
                        nGC_368)*dZsR_QCD2/2d0
      coupl(nGC_3582) = coupl(nGC_3067) + coupl(nGC_364)*dZcL_QCD2/2d0 + coupl(&
                        nGC_364)*dZsR_QCD2/2d0
      coupl(nGC_3583) = -coupl(nGC_200)*dZZ_QED2/4d0 - coupl(nGC_3044)/2d0 -   &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_2858) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_21)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2435) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2436) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3120) = coupl(nGC_2351)*dyup1_QED3 + coupl(nGC_2352)*da_QED2 + &
                        coupl(nGC_2353)*dyup2_QED3
      coupl(nGC_3121) = coupl(nGC_2351)*dyup1_QED1_QCD2 + coupl(nGC_2353)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3125) = coupl(nGC_2171)*dyt1_QED1_QCD2 + coupl(nGC_2172)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3524) = coupl(nGC_28)*dZGMinus
      coupl(nGC_3919) = -4d0*coupl(nGC_189)*dZWMinus_QED2 - 2d0*coupl(nGC_3159)
      coupl(nGC_3918) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_3159)
      coupl(nGC_3915) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_3914) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3656) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_3654) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_3150)
      coupl(nGC_3655) = coupl(nGC_3294) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
      coupl(nGC_3653) = coupl(nGC_100)*dZGMinus
      coupl(nGC_3650) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_3651) = coupl(nGC_223)*dZHl_QED2 + coupl(nGC_2955)
      coupl(nGC_2496) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_337)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_349)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2495) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0*Nc&
                        *cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(nGC_337&
                        )*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349)*coupl&
                        (nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(nGC_333)*  &
                        coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*coupl(      &
                        nGC_337)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_340)**2d0*&
                        coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(      &
                        nGC_342)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*   &
                        coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl( &
                        nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**  &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_174 &
                        )*coupl(nGC_324) + 4d0*cima*coupl(nGC_21)*coupl(nGC_237&
                        ) + cima*coupl(nGC_229)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_2494) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349&
                        )*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(    &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl( &
                        nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(    &
                        nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_372&
                        )*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_348)*coupl&
                        (nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)** &
                        2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_360)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_378)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_324) + cima*coupl(nGC_229)*coupl(nGC_332   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3659) = -coupl(nGC_172)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_172&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_178)*dZHh_QED2/2d0 +     &
                        coupl(nGC_178)*dZWMinus_QED2/2d0 + coupl(nGC_3146)
      coupl(nGC_3667) = coupl(nGC_3058) + coupl(nGC_340)*dZbR_QED2/2d0 + coupl(&
                        nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*               &
                        dZHMinusGMinus_QED2/2d0
      coupl(nGC_3666) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3381) = coupl(nGC_33)*dZGMinus
      coupl(nGC_3383) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_3384) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_3385) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_3386) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_3387) = coupl(nGC_2989) + coupl(nGC_32)*dZHMinus_QED2 + coupl( &
                        nGC_32)*dZHh_QED2/2d0 + coupl(nGC_32)*dZHl_QED2/2d0 +  &
                        coupl(nGC_40)*dZHlHh_QED2/2d0 + coupl(nGC_44)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_46)*dZGMinusHMinus_QED2
      coupl(nGC_3868) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 - coupl(              &
                        nGC_TS_GC_214_Hh) - coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_3628) = coupl(nGC_49)*dZG0
      coupl(nGC_3664) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_3987) = -coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_3861) = -coupl(nGC_218)*dZGMinus
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
