!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_3863) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_3862) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_3865) = coupl(nGC_3308) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_3864) = coupl(nGC_3307) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_345_Hl) + coupl&
                        (nGC_TS_GC_348_Hh)
      coupl(nGC_3867) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_3866) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_2636) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_887) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_377) - coupl(nGC_377)*   &
                        coupl(nGC_378)**2d0 - coupl(nGC_377)*coupl(nGC_853)**  &
                        2d0 - coupl(nGC_377)*coupl(nGC_887)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_887))/(32d0*pi**2d0)
      coupl(nGC_3752) = coupl(nGC_13)*dZcR_QED2
      coupl(nGC_3554) = coupl(nGC_200)*dZWMinus_QED2/4d0 + coupl(nGC_3044)/2d0
      coupl(nGC_3781) = coupl(nGC_253)*dZG0/2d0
      coupl(nGC_3033) = coupl(nGC_1316)*dl4_QED4 + coupl(nGC_1317)*dl5_QED4 +  &
                        coupl(nGC_1318)*dvev2_QED1 + coupl(nGC_1319)*dvev1_QED1&
                         + coupl(nGC_1320)*db_QED2
      coupl(nGC_3031) = coupl(nGC_1664)*db_QED2 + coupl(nGC_1665)*dvev1_QED1 + &
                        coupl(nGC_1666)*dcw_QED2 + coupl(nGC_1667)*dZee_QED2 + &
                        coupl(nGC_1668)*dvev2_QED1
      coupl(nGC_3037) = coupl(nGC_2321)*dvev1_QED1 + coupl(nGC_2322)*dvev2_QED1&
                         + coupl(nGC_2323)*dZee_QED2 + coupl(nGC_2324)*dsw_QED2&
                         + coupl(nGC_2325)*db_QED2
      coupl(nGC_3035) = coupl(nGC_1148)*dsw_QED2 + coupl(nGC_1149)*da_QED2 +   &
                        coupl(nGC_1150)*dvev1_QED1 + coupl(nGC_1151)*dvev2_QED1&
                         + coupl(nGC_1152)*dZee_QED2
      coupl(nGC_3038) = coupl(nGC_1708)*dZee_QED2
      coupl(nGC_3039) = coupl(nGC_2100)*dZee_QED2
      coupl(nGC_3428) = coupl(nGC_3061) + coupl(nGC_346)*dZdR_QCD2/2d0 + coupl(&
                        nGC_346)*dZuL_QCD2/2d0
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2956) = coupl(nGC_1714)*db_QED2 + coupl(nGC_1715)*dl3_QED4 +   &
                        coupl(nGC_1716)*dl2_QED4 + coupl(nGC_1717)*dl1_QED4 +  &
                        coupl(nGC_1718)*dl4_QED4 + coupl(nGC_1719)*dl5_QED4
      coupl(nGC_2491) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_375)**2d0*coupl(&
                        nGC_4) + coupl(nGC_377)*coupl(nGC_4)*coupl(nGC_887) +  &
                        coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(nGC_380)*coupl&
                        (nGC_4)*coupl(nGC_853) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3421) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2951) + coupl(&
                        nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZ_QED2/2d0
      coupl(nGC_3132) = coupl(nGC_2038)*db_QED2 + coupl(nGC_2039)*dyup1_QED3 + &
                        coupl(nGC_2040)*dyup2_QED3
      coupl(nGC_3423) = coupl(nGC_196)*dZZ_QED2 + coupl(nGC_204)*dZAZ_QED2 +   &
                        coupl(nGC_3152)
      coupl(nGC_2490) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_375  &
                        )**2d0 + coupl(nGC_377)*coupl(nGC_887) + coupl(nGC_378 &
                        )**2d0 + coupl(nGC_380)*coupl(nGC_853) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3427) = coupl(nGC_3060) + coupl(nGC_346)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_346)*dZdR_QED2/2d0 + coupl(nGC_346)*dZuL_QED2&
                        /2d0 + coupl(nGC_349)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3426) = coupl(nGC_3063) + coupl(nGC_382)*dZdL_QCD2/2d0 + coupl(&
                        nGC_382)*dZuR_QCD2/2d0
      coupl(nGC_TS_GC_251_Hh) = -coupl(nGC_251)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2796) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334&
                        )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(      &
                        nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl( &
                        nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_348) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364)*&
                        coupl(nGC_366) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_370)*coupl(nGC_372) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima* &
                        coupl(nGC_175)*coupl(nGC_879) + cima*coupl(nGC_197)*   &
                        coupl(nGC_352)*coupl(nGC_354)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_175)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_22)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_2582) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_342 &
                        )*coupl(nGC_369)*coupl(nGC_370) - coupl(nGC_370)*coupl(&
                        nGC_815)*coupl(nGC_875) - coupl(nGC_370)*coupl(nGC_841 &
                        )*coupl(nGC_883))/(32d0*pi**2d0)
      coupl(nGC_2813) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc*  &
                        coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346)*&
                        coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(nGC_367  &
                        )**3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 + Nc*   &
                        coupl(nGC_382)*coupl(nGC_385)**3d0 + coupl(nGC_352)*   &
                        coupl(nGC_355)**3d0 + coupl(nGC_358)*coupl(nGC_361)**  &
                        3d0 + coupl(nGC_376)*coupl(nGC_379)**3d0)/(24d0*pi**2d0&
                        )
      coupl(nGC_2812) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(nGC_340&
                        )**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*coupl(    &
                        nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0*Nc*   &
                        coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0*    &
                        coupl(nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2811) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2810) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2816) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 +   &
                        10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0*&
                        Nc*coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*  &
                        coupl(nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl&
                        (nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**&
                        2d0 + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(nGC_352)**2d0&
                        *coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358)**2d0*coupl( &
                        nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*coupl(nGC_379 &
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_2814) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 + &
                        Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*coupl( &
                        nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(nGC_364)**&
                        2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370)**2d0*coupl(&
                        nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*coupl(nGC_385)**&
                        2d0 + coupl(nGC_352)**2d0*coupl(nGC_355)**2d0 + coupl( &
                        nGC_358)**2d0*coupl(nGC_361)**2d0 + coupl(nGC_376)**2d0&
                        *coupl(nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3917) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_3843) = -coupl(nGC_3103) - coupl(nGC_359)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 - coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3728) = coupl(nGC_196)*dZWMinus_QED2 + coupl(nGC_3152)
      coupl(nGC_3729) = coupl(nGC_3132) + coupl(nGC_383)*dZHa_QED2/2d0 + coupl(&
                        nGC_383)*dZuL_QED2/2d0 + coupl(nGC_383)*dZuR_QED2/2d0  &
                         + coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_3727) = coupl(nGC_252)*dZGMinus/2d0
      coupl(nGC_3725) = -coupl(nGC_3137) - coupl(nGC_371)*dZtL_QCD2/2d0 - coupl&
                        (nGC_371)*dZtR_QCD2/2d0
      coupl(nGC_3723) = coupl(nGC_3137) + coupl(nGC_371)*dZtL_QCD2/2d0 + coupl(&
                        nGC_371)*dZtR_QCD2/2d0
      coupl(nGC_2927) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_336)**2d0  &
                         + coupl(nGC_339)**2d0 + coupl(nGC_348)**2d0 + coupl(  &
                        nGC_366)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2922) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                        nGC_342)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(     &
                        nGC_209)*coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                        nGC_369)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(     &
                        nGC_210)*coupl(nGC_381)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_342)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_345)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_381)**2d0 + 3d0*cima*coupl(    &
                        nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0* &
                        coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_375)**2d0 + 10d0*cima*coupl(nGC_208)*coupl(  &
                        nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0*cima*coupl(&
                        nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 - 8d0*cima*&
                        coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*coupl(   &
                        nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_77)*coupl( &
                        nGC_847)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3503) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/ &
                        2d0
      coupl(nGC_2703) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2731) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(     &
                        nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_370)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_373)**2d0 + coupl(nGC_210)*   &
                        coupl(nGC_369)**2d0 + coupl(nGC_210)*coupl(nGC_371)*   &
                        coupl(nGC_841) + coupl(nGC_210)*coupl(nGC_372)**2d0 +  &
                        coupl(nGC_210)*coupl(nGC_374)*coupl(nGC_875))/(32d0*pi &
                        **2d0)
      coupl(nGC_2929) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl(&
                        nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(      &
                        nGC_345)*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366 &
                        ) + coupl(nGC_369)*coupl(nGC_372) + coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0*Nc)
      coupl(nGC_3357) = coupl(nGC_3078) + coupl(nGC_345)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_348)*dZHh_QED2/2d0 + coupl(nGC_348)*dZdL_QED2&
                        /2d0 + coupl(nGC_348)*dZdR_QED2/2d0
      coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2700) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2530) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_341 &
                        )*coupl(nGC_373)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_373) - coupl(nGC_344)*coupl(nGC_371 &
                        )*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_2531) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(&
                        nGC_815)*coupl(nGC_875) - coupl(nGC_340)*coupl(nGC_841 &
                        )*coupl(nGC_883))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2534) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347 &
                        )*coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl(&
                        nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(nGC_385 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_3352) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2738) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_206)**2d0 + coupl(nGC_339)**2d0 + coupl(nGC_340)** &
                        2d0 + coupl(nGC_341)*coupl(nGC_815) + coupl(nGC_342)** &
                        2d0 + coupl(nGC_343)**2d0 + coupl(nGC_344)*coupl(      &
                        nGC_883))/(64d0*pi**2d0*Nc)
      coupl(nGC_3054) = coupl(nGC_1772)*db_QED2 + coupl(nGC_1773)*dyc1_QED3 +  &
                        coupl(nGC_1774)*dyc2_QED3
      coupl(nGC_3580) = coupl(nGC_3065) + coupl(nGC_334)*dZcR_QCD2/2d0 + coupl(&
                        nGC_334)*dZsL_QCD2/2d0
      coupl(nGC_2566) = coupl(nGC_13)**2d0*coupl(nGC_875)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4018) = -coupl(nGC_3315) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_3618) = -coupl(nGC_200)*dZZA_QED2/4d0 - coupl(nGC_3041)/2d0 -  &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_3349) = coupl(nGC_13)*dZsR_QED2
      coupl(nGC_3612) = coupl(nGC_3114) + coupl(nGC_383)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_386)*dZuL_QED2/2d0 + coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_3613) = coupl(nGC_3115) + coupl(nGC_386)*dZuL_QCD2/2d0 + coupl(&
                        nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_3340) = coupl(nGC_100)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3617) = -coupl(nGC_386)*dZG0/2d0
      coupl(nGC_2585) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2584) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2587) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3945) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(     &
                        nGC_TS_GC_236_Hl)
      coupl(nGC_2628) = coupl(nGC_13)**2d0*coupl(nGC_795)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2583) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2624) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_893) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_353) - coupl(nGC_353)*   &
                        coupl(nGC_354)**2d0 - coupl(nGC_353)*coupl(nGC_807)**  &
                        2d0 - coupl(nGC_353)*coupl(nGC_893)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_893))/(32d0*pi**2d0)
      coupl(nGC_2625) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_877) - coupl(nGC_359)**  &
                        2d0*coupl(nGC_877) + 8d0*coupl(nGC_359)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_360)**2d0*coupl(nGC_877) - coupl(      &
                        nGC_362)**2d0*coupl(nGC_877))/(32d0*pi**2d0)
      coupl(nGC_2627) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_795) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_795) - coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_364) - coupl(nGC_335)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_365) - coupl(nGC_365)*coupl(nGC_366)**2d0 - coupl( &
                        nGC_365)*coupl(nGC_795)**2d0 - coupl(nGC_365)*coupl(   &
                        nGC_805)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2620) = coupl(nGC_13)**2d0*coupl(nGC_809)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2622) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2623) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_893) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_893) + 8d0*coupl(nGC_353)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_354)**2d0*coupl(nGC_893) - coupl(      &
                        nGC_356)**2d0*coupl(nGC_893))/(32d0*pi**2d0)
      coupl(nGC_3750) = coupl(nGC_13)*dZcL_QED2
      coupl(nGC_3614) = coupl(nGC_386)*dZG0/2d0
      coupl(nGC_3754) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_26)*dZA_QED2/ &
                        2d0 + coupl(nGC_26)*dZHMinus_QED2 + coupl(nGC_3042)
      coupl(nGC_3112) = coupl(nGC_2047)*db_QED2 + coupl(nGC_2048)*dym1_QED3 +  &
                        coupl(nGC_2049)*dym2_QED3
      coupl(nGC_2996) = coupl(nGC_1574)*db_QED2 + coupl(nGC_1575)*dl3_QED4 +   &
                        coupl(nGC_1576)*dl2_QED4 + coupl(nGC_1577)*dl1_QED4 +  &
                        coupl(nGC_1578)*dl4_QED4 + coupl(nGC_1579)*dl5_QED4
      coupl(nGC_3507) = coupl(nGC_3135) + coupl(nGC_335)*dZcL_QCD2/2d0 + coupl(&
                        nGC_335)*dZcR_QCD2/2d0
      coupl(nGC_2994) = coupl(nGC_1367)*db_QED2 + coupl(nGC_1368)*dl3_QED4 +   &
                        coupl(nGC_1369)*dl2_QED4 + coupl(nGC_1370)*dl1_QED4 +  &
                        coupl(nGC_1371)*dl4_QED4 + coupl(nGC_1372)*dl5_QED4 +  &
                        coupl(nGC_1373)*da_QED2
      coupl(nGC_2995) = coupl(nGC_1360)*db_QED2 + coupl(nGC_1361)*dl3_QED4 +   &
                        coupl(nGC_1362)*dl2_QED4 + coupl(nGC_1363)*dl1_QED4 +  &
                        coupl(nGC_1364)*dl4_QED4 + coupl(nGC_1365)*dl5_QED4 +  &
                        coupl(nGC_1366)*da_QED2
      coupl(nGC_2992) = coupl(nGC_2392)*db_QED2 + coupl(nGC_2393)*dl3_QED4 +   &
                        coupl(nGC_2394)*dl2_QED4 + coupl(nGC_2395)*dl1_QED4 +  &
                        coupl(nGC_2396)*dl4_QED4 + coupl(nGC_2397)*dl5_QED4 +  &
                        coupl(nGC_2398)*da_QED2
      coupl(nGC_2990) = coupl(nGC_1514)*db_QED2 + coupl(nGC_1515)*dl5_QED4 +   &
                        coupl(nGC_1516)*dl4_QED4 + coupl(nGC_1517)*da_QED2
      coupl(nGC_2991) = coupl(nGC_1340)*db_QED2 + coupl(nGC_1341)*dl3_QED4 +   &
                        coupl(nGC_1342)*dl2_QED4 + coupl(nGC_1343)*dl1_QED4 +  &
                        coupl(nGC_1344)*dl4_QED4 + coupl(nGC_1345)*dl5_QED4 +  &
                        coupl(nGC_1346)*da_QED2
      coupl(nGC_3465) = coupl(nGC_3111) + coupl(nGC_353)*dZHa_QED2/2d0 + coupl(&
                        nGC_353)*dZeMinusL_QED2/2d0 + coupl(nGC_353)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_3467) = coupl(nGC_70)*dZG0
      coupl(nGC_3466) = -coupl(nGC_3111) - coupl(nGC_353)*dZHa_QED2/2d0 - coupl&
                        (nGC_353)*dZeMinusL_QED2/2d0 - coupl(nGC_353)*         &
                        dZeMinusR_QED2/2d0 - coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_3461) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2998) = coupl(nGC_1192)*db_QED2 + coupl(nGC_1193)*dl3_QED4 +   &
                        coupl(nGC_1194)*dl2_QED4 + coupl(nGC_1195)*dl1_QED4 +  &
                        coupl(nGC_1196)*dl4_QED4 + coupl(nGC_1197)*dl5_QED4
      coupl(nGC_2999) = coupl(nGC_1562)*db_QED2 + coupl(nGC_1563)*dl3_QED4 +   &
                        coupl(nGC_1564)*dl2_QED4 + coupl(nGC_1565)*dl1_QED4 +  &
                        coupl(nGC_1566)*dl4_QED4 + coupl(nGC_1567)*dl5_QED4
      coupl(nGC_2448) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_2449) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3669) = coupl(nGC_340)*dZGMinus/2d0
      coupl(nGC_3668) = coupl(nGC_3059) + coupl(nGC_340)*dZbR_QCD2/2d0 + coupl(&
                        nGC_340)*dZtL_QCD2/2d0
      coupl(nGC_2440) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_2441) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_3665) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_2445) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_3660) = coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_2691) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl( &
                        nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl(   &
                        nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2690) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl( &
                        nGC_363)*coupl(nGC_366)**2d0 - coupl(nGC_363)*coupl(   &
                        nGC_795)**2d0 - coupl(nGC_363)*coupl(nGC_805)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2693) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl( &
                        nGC_369)*coupl(nGC_372)**2d0 - coupl(nGC_369)*coupl(   &
                        nGC_841)**2d0 - coupl(nGC_369)*coupl(nGC_875)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2692) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2695) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2694) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl( &
                        nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl(   &
                        nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2697) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_853)**2d0 - coupl(nGC_887)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2696) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2699) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345 &
                        )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl( &
                        nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl(   &
                        nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_3166) = coupl(nGC_2291)*dZee_QED2 + coupl(nGC_2292)*dcw_QED2 + &
                        coupl(nGC_2293)*dsw_QED2
      coupl(nGC_3949) = coupl(nGC_201)*dZZA_QED2/4d0 + coupl(nGC_3040)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_2526) = coupl(nGC_197)*(-Nc*coupl(nGC_335)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_883) + Nc*coupl(nGC_349)*coupl&
                        (nGC_809) + Nc*coupl(nGC_367)*coupl(nGC_795) - Nc*coupl&
                        (nGC_371)*coupl(nGC_373) - Nc*coupl(nGC_383)*coupl(    &
                        nGC_385) + coupl(nGC_355)*coupl(nGC_893) + coupl(      &
                        nGC_361)*coupl(nGC_877) + coupl(nGC_379)*coupl(nGC_887 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2558) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_807) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_356) - coupl(nGC_354)**  &
                        2d0*coupl(nGC_356) - coupl(nGC_356)*coupl(nGC_807)**2d0&
                         - coupl(nGC_356)*coupl(nGC_893)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_807))/(32d0*pi**2d0)
      coupl(nGC_3183) = coupl(nGC_1141)*dZee_QED2 + coupl(nGC_1142)*dcw_QED2 + &
                        coupl(nGC_1143)*dsw_QED2
      coupl(nGC_3186) = coupl(nGC_2157)*dZee_QED2 + coupl(nGC_2158)*dcw_QED2 + &
                        coupl(nGC_2159)*dsw_QED2
      coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3184) = coupl(nGC_1559)*dZee_QED2 + coupl(nGC_1560)*dcw_QED2 + &
                        coupl(nGC_1561)*dsw_QED2
      coupl(nGC_4060) = -coupl(nGC_2458)
      coupl(nGC_3032) = coupl(nGC_1258)*dl4_QED4 + coupl(nGC_1259)*dl5_QED4 +  &
                        coupl(nGC_1260)*dvev2_QED1 + coupl(nGC_1261)*dvev1_QED1&
                         + coupl(nGC_1262)*db_QED2
      coupl(nGC_3760) = coupl(nGC_257)*dZGMinus/2d0
      coupl(nGC_3766) = -coupl(nGC_3072) - coupl(nGC_347)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_350)*dZdL_QED2/2d0 - coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_3767) = -coupl(nGC_3073) - coupl(nGC_350)*dZdL_QCD2/2d0 - coupl&
                        (nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_3764) = coupl(nGC_3073) + coupl(nGC_350)*dZdL_QCD2/2d0 + coupl(&
                        nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_3030) = coupl(nGC_1217)*db_QED2 + coupl(nGC_1218)*dvev2_QED1 + &
                        coupl(nGC_1219)*dvev1_QED1 + coupl(nGC_1220)*dl2_QED4  &
                         + coupl(nGC_1221)*dl1_QED4 + coupl(nGC_1222)*dl4_QED4 &
                         + coupl(nGC_1223)*dl3_QED4 + coupl(nGC_1224)*da_QED2  &
                         + coupl(nGC_1225)*dl5_QED4
      coupl(nGC_3164) = coupl(nGC_2110)*db_QED2 + coupl(nGC_2111)*da_QED2 +    &
                        coupl(nGC_2112)*dcw_QED2 + coupl(nGC_2113)*dZee_QED2 + &
                        coupl(nGC_2114)*dsw_QED2
      coupl(nGC_3165) = coupl(nGC_1181)*db_QED2 + coupl(nGC_1182)*dZee_QED2 +  &
                        coupl(nGC_1183)*dcw_QED2 + coupl(nGC_1184)*da_QED2
      coupl(nGC_3009) = coupl(nGC_1960)*dZee_QED2 + coupl(nGC_1961)*da_QED2 +  &
                        coupl(nGC_1962)*dsw_QED2 + coupl(nGC_1963)*db_QED2
      coupl(nGC_3008) = coupl(nGC_2023)*dZee_QED2 + coupl(nGC_2024)*da_QED2 +  &
                        coupl(nGC_2025)*dsw_QED2 + coupl(nGC_2026)*db_QED2
      coupl(nGC_3160) = coupl(nGC_2241)*dZee_QED2 + coupl(nGC_2242)*dcw_QED2 + &
                        coupl(nGC_2243)*dsw_QED2
      coupl(nGC_3161) = coupl(nGC_1298)*db_QED2 + coupl(nGC_1299)*da_QED2 +    &
                        coupl(nGC_1300)*dcw_QED2 + coupl(nGC_1301)*dZee_QED2 + &
                        coupl(nGC_1302)*dsw_QED2
      coupl(nGC_3162) = coupl(nGC_1703)*db_QED2 + coupl(nGC_1704)*da_QED2 +    &
                        coupl(nGC_1705)*dcw_QED2 + coupl(nGC_1706)*dZee_QED2 + &
                        coupl(nGC_1707)*dsw_QED2
      coupl(nGC_3163) = coupl(nGC_1309)*dZee_QED2 + coupl(nGC_1310)*dcw_QED2 + &
                        coupl(nGC_1311)*dsw_QED2
      coupl(nGC_3003) = coupl(nGC_1784)*dZee_QED2 + coupl(nGC_1785)*dsw_QED2
      coupl(nGC_3002) = coupl(nGC_1510)*dZee_QED2 + coupl(nGC_1511)*dsw_QED2
      coupl(nGC_3001) = coupl(nGC_1547)*db_QED2 + coupl(nGC_1548)*dl3_QED4 +   &
                        coupl(nGC_1549)*dl2_QED4 + coupl(nGC_1550)*dl1_QED4 +  &
                        coupl(nGC_1551)*dl4_QED4 + coupl(nGC_1552)*dl5_QED4
      coupl(nGC_3000) = coupl(nGC_2296)*db_QED2 + coupl(nGC_2297)*dl3_QED4 +   &
                        coupl(nGC_2298)*dl2_QED4 + coupl(nGC_2299)*dl1_QED4 +  &
                        coupl(nGC_2300)*dl4_QED4 + coupl(nGC_2301)*dl5_QED4
      coupl(nGC_3007) = coupl(nGC_2366)*dZee_QED2 + coupl(nGC_2367)*da_QED2 +  &
                        coupl(nGC_2368)*dsw_QED2 + coupl(nGC_2369)*db_QED2
      coupl(nGC_3006) = coupl(nGC_1954)*dZee_QED2 + coupl(nGC_1955)*dcw_QED2 + &
                        coupl(nGC_1956)*dsw_QED2
      coupl(nGC_3005) = coupl(nGC_1185)*dZee_QED2 + coupl(nGC_1186)*dsw_QED2
      coupl(nGC_3004) = coupl(nGC_1447)*dZee_QED2 + coupl(nGC_1448)*dsw_QED2
      coupl(nGC_2844) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_366)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_360)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_354)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_2845) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_793) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
      coupl(nGC_2969) = coupl(nGC_1722)*db_QED2 + coupl(nGC_1723)*dl3_QED4 +   &
                        coupl(nGC_1724)*dl2_QED4 + coupl(nGC_1725)*dl1_QED4 +  &
                        coupl(nGC_1726)*dl4_QED4 + coupl(nGC_1727)*dl5_QED4
      coupl(nGC_2847) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*coupl&
                        (nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl(     &
                        nGC_346)*coupl(nGC_349) - coupl(nGC_364)*coupl(nGC_367 &
                        ) - coupl(nGC_370)*coupl(nGC_373) - coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2840) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(    &
                        nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(&
                        nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(     &
                        nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(&
                        nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355 &
                        ) - coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_376)*    &
                        coupl(nGC_379))/(12d0*pi**2d0)
      coupl(nGC_3034) = coupl(nGC_1842)*dsw_QED2 + coupl(nGC_1843)*da_QED2 +   &
                        coupl(nGC_1844)*dvev1_QED1 + coupl(nGC_1845)*dvev2_QED1&
                         + coupl(nGC_1846)*dZee_QED2
      coupl(nGC_2842) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl(&
                        nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364 &
                        )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(   &
                        nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0*  &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207)**&
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(      &
                        nGC_207)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337   &
                        ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209 &
                        )*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209 &
                        )**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(   &
                        nGC_209)**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*  &
                        coupl(nGC_209)**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_340)*coupl(nGC_343   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_346)*coupl(   &
                        nGC_349) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_364)*  &
                        coupl(nGC_367) - 4d0*coupl(nGC_208)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_208)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_208)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379) + 5d0*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)*coupl(nGC_355) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)*  &
                        coupl(nGC_379) - 4d0*coupl(nGC_212)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_212)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_212)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_2962) = coupl(nGC_1792)*db_QED2 + coupl(nGC_1793)*dl3_QED4 +   &
                        coupl(nGC_1794)*dl2_QED4 + coupl(nGC_1795)*dl1_QED4 +  &
                        coupl(nGC_1796)*dl4_QED4 + coupl(nGC_1797)*dl5_QED4
      coupl(nGC_2961) = coupl(nGC_1157)*dl3_QED4 + coupl(nGC_1158)*dl2_QED4 +  &
                        coupl(nGC_1159)*dl1_QED4 + coupl(nGC_1160)*dl4_QED4 +  &
                        coupl(nGC_1161)*dl5_QED4 + coupl(nGC_1162)*da_QED2
      coupl(nGC_2960) = coupl(nGC_1404)*db_QED2 + coupl(nGC_1405)*dl3_QED4 +   &
                        coupl(nGC_1406)*dl2_QED4 + coupl(nGC_1407)*dl1_QED4 +  &
                        coupl(nGC_1408)*dl4_QED4 + coupl(nGC_1409)*dl5_QED4 +  &
                        coupl(nGC_1410)*da_QED2
      coupl(nGC_2848) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)*coupl(&
                        nGC_337) + coupl(nGC_340)*coupl(nGC_343) + coupl(      &
                        nGC_346)*coupl(nGC_349) + coupl(nGC_364)*coupl(nGC_367 &
                        ) + coupl(nGC_370)*coupl(nGC_373) + coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0*Nc)
      coupl(nGC_2965) = coupl(nGC_1629)*db_QED2 + coupl(nGC_1630)*dl3_QED4 +   &
                        coupl(nGC_1631)*dl2_QED4 + coupl(nGC_1632)*dl1_QED4 +  &
                        coupl(nGC_1633)*dl4_QED4 + coupl(nGC_1634)*dl5_QED4
      coupl(nGC_2964) = coupl(nGC_1163)*dl3_QED4 + coupl(nGC_1164)*dl2_QED4 +  &
                        coupl(nGC_1165)*dl1_QED4 + coupl(nGC_1166)*dl4_QED4 +  &
                        coupl(nGC_1167)*dl5_QED4 + coupl(nGC_1168)*da_QED2
      coupl(nGC_2406) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_334  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_346)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_382)**2d0 - cME**2d0*cima&
                        *coupl(nGC_352)**2d0 - cMM**2d0*cima*coupl(nGC_358)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_376)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_231)**2d0 + 2d0*cima*coupl(nGC_321)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_3508) = -coupl(nGC_3134) - coupl(nGC_335)*dZHa_QED2/2d0 - coupl&
                        (nGC_335)*dZcL_QED2/2d0 - coupl(nGC_335)*dZcR_QED2/2d0 &
                         - coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_2654) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3526) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_29)*dZHMinus_QED2 + coupl(nGC_3039)
      coupl(nGC_2401) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0  &
                         + Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 + Nc&
                        *coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 + coupl( &
                        nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(nGC_379)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2741) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_206)**2d0 - coupl(nGC_339)**2d0 - coupl(nGC_340)** &
                        2d0 - coupl(nGC_341)*coupl(nGC_815) - coupl(nGC_342)** &
                        2d0 - coupl(nGC_343)**2d0 - coupl(nGC_344)*coupl(      &
                        nGC_883))/(64d0*pi**2d0)
      coupl(nGC_3911) = coupl(nGC_2999) + 3d0*coupl(nGC_58)*dZHa_QED2/2d0 +    &
                        coupl(nGC_66)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_73)*     &
                        dZG0Ha_QED2/2d0
      coupl(nGC_3716) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl(&
                        nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 + &
                        coupl(nGC_3161)
      coupl(nGC_3715) = coupl(nGC_224)*dZZA_QED2/2d0
      coupl(nGC_3714) = -coupl(nGC_3095) - coupl(nGC_344)*dZbL_QCD2/2d0 - coupl&
                        (nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_3713) = -coupl(nGC_3094) - coupl(nGC_341)*dZG0Ha_QED2/2d0 -    &
                        coupl(nGC_344)*dZHa_QED2/2d0 - coupl(nGC_344)*dZbL_QED2&
                        /2d0 - coupl(nGC_344)*dZbR_QED2/2d0
      coupl(nGC_3712) = coupl(nGC_3095) + coupl(nGC_344)*dZbL_QCD2/2d0 + coupl(&
                        nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_3711) = coupl(nGC_3094) + coupl(nGC_341)*dZG0Ha_QED2/2d0 +     &
                        coupl(nGC_344)*dZHa_QED2/2d0 + coupl(nGC_344)*dZbL_QED2&
                        /2d0 + coupl(nGC_344)*dZbR_QED2/2d0
      coupl(nGC_3710) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_187)*dZHa_QED2/2d0 +     &
                        coupl(nGC_187)*dZWMinus_QED2/2d0 + coupl(nGC_3004) +   &
                        coupl(nGC_31)*dZZA_QED2/2d0
      coupl(nGC_2652) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_348)**3d0 - coupl(nGC_348)* &
                        coupl(nGC_809)**2d0 - coupl(nGC_348)*coupl(nGC_811)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2402) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_337  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_349)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_385)**2d0 - cME**2d0*cima&
                        *coupl(nGC_355)**2d0 - cMM**2d0*cima*coupl(nGC_361)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_379)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_237)**2d0 + 2d0*cima*coupl(nGC_324)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_3718) = coupl(nGC_187)*dZHMinus_QED2/2d0 + coupl(nGC_187)*     &
                        dZHa_QED2/2d0 + coupl(nGC_3004)
      coupl(nGC_3486) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_3483) = coupl(nGC_3125) + coupl(nGC_372)*dZtL_QCD2/2d0 + coupl(&
                        nGC_372)*dZtR_QCD2/2d0
      coupl(nGC_3482) = coupl(nGC_3124) + coupl(nGC_369)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_372)*dZHh_QED2/2d0 + coupl(nGC_372)*dZtL_QED2&
                        /2d0 + coupl(nGC_372)*dZtR_QED2/2d0
      coupl(nGC_3481) = coupl(nGC_3109) + coupl(nGC_357)*dZHl_QED2/2d0 + coupl(&
                        nGC_357)*dZmuMinusL_QED2/2d0 + coupl(nGC_357)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_360)*dZHhHl_QED2/2d0
      coupl(nGC_3480) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZtauMinusR_QED2 + coupl(nGC_3186) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3663) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +   &
                        coupl(nGC_210)*dZZA_QED2/2d0 + coupl(nGC_3177)
      coupl(nGC_2950) = coupl(nGC_2359)*dZee_QED2 + coupl(nGC_2360)*dcw_QED2
      coupl(nGC_3489) = coupl(nGC_385)*dZGMinus/2d0
      coupl(nGC_3138) = coupl(nGC_2046)*dZee_QED2
      coupl(nGC_2487) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_365)*coupl(nGC_795) + coupl(nGC_1)*coupl(  &
                        nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(     &
                        nGC_805) + coupl(nGC_2)*coupl(nGC_364)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_367)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2400) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc* &
                        cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0*  &
                        coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337) - &
                        Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT**2d0&
                        *coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*coupl(    &
                        nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355) - cMM&
                        **2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0*coupl( &
                        nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*coupl(    &
                        nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/(16d0*pi &
                        **2d0)
      coupl(nGC_3418) = coupl(nGC_218)*dZZ_QED2/2d0 + coupl(nGC_26)*dZAZ_QED2/ &
                        2d0 + coupl(nGC_3163)
      coupl(nGC_2957) = coupl(nGC_1691)*db_QED2 + coupl(nGC_1692)*dl3_QED4 +   &
                        coupl(nGC_1693)*dl2_QED4 + coupl(nGC_1694)*dl1_QED4 +  &
                        coupl(nGC_1695)*dl4_QED4 + coupl(nGC_1696)*dl5_QED4
      coupl(nGC_2660) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC*&
                        coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(nGC_366&
                        ) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0)
      coupl(nGC_2661) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) - coupl(nGC_366)**3d0 - coupl(nGC_366)*coupl( &
                        nGC_795)**2d0 - coupl(nGC_366)*coupl(nGC_805)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2662) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl( &
                        nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2664) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) - coupl(nGC_372)**3d0 - coupl(nGC_372)*coupl( &
                        nGC_841)**2d0 - coupl(nGC_372)*coupl(nGC_875)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2665) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl( &
                        nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2666) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2667) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2668) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_853)**2d0 - coupl(nGC_887)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2967) = coupl(nGC_1635)*db_QED2 + coupl(nGC_1636)*dl3_QED4 +   &
                        coupl(nGC_1637)*dl2_QED4 + coupl(nGC_1638)*dl1_QED4 +  &
                        coupl(nGC_1639)*dl4_QED4 + coupl(nGC_1640)*dl5_QED4
      coupl(nGC_2966) = coupl(nGC_1376)*db_QED2 + coupl(nGC_1377)*dl3_QED4 +   &
                        coupl(nGC_1378)*dl2_QED4 + coupl(nGC_1379)*dl1_QED4 +  &
                        coupl(nGC_1380)*dl4_QED4 + coupl(nGC_1381)*dl5_QED4 +  &
                        coupl(nGC_1382)*da_QED2
      coupl(nGC_3133) = coupl(nGC_2039)*dyup1_QED1_QCD2 + coupl(nGC_2040)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3908) = coupl(nGC_3295) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
      coupl(nGC_3909) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3903) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3900) = -coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_3907) = coupl(nGC_250)*dZG0
      coupl(nGC_3905) = coupl(nGC_258)*dZGMinus/2d0
      coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4028) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 + coupl(     &
                        nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_3422) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*         &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHMinus_QED2/ &
                        2d0 + coupl(nGC_24)*dZHl_QED2/2d0 + coupl(nGC_2954)
      coupl(nGC_2746) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_345&
                        )**2d0 + coupl(nGC_347)*coupl(nGC_809) + coupl(nGC_348 &
                        )**2d0 + coupl(nGC_350)*coupl(nGC_811) + coupl(nGC_382 &
                        )**2d0 + coupl(nGC_385)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3425) = coupl(nGC_3062) + coupl(nGC_382)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_382)*dZdL_QED2/2d0 + coupl(nGC_382)*dZuR_QED2&
                        /2d0 + coupl(nGC_385)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3136) = coupl(nGC_579)*db_QED2 + coupl(nGC_581)*dyt1_QED3 +    &
                        coupl(nGC_583)*dyt2_QED3
      coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3623) = coupl(nGC_13)*dZuR_QED2
      coupl(nGC_3621) = coupl(nGC_13)*dZuL_QED2
      coupl(nGC_3627) = coupl(nGC_245)*dZG0/2d0
      coupl(nGC_2484) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_2485) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl(&
                        nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3629) = coupl(nGC_2971) + coupl(nGC_35)*dZHhHl_QED2 + coupl(   &
                        nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
      coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2480) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(&
                        nGC_4) + coupl(nGC_353)*coupl(nGC_4)*coupl(nGC_893) +  &
                        coupl(nGC_354)**2d0*coupl(nGC_4) + coupl(nGC_356)*coupl&
                        (nGC_4)*coupl(nGC_807) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2483) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3876) = coupl(nGC_11)*dZg_QCD2/4d0 + coupl(nGC_3047)/2d0
      coupl(nGC_3877) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3046)
      coupl(nGC_3874) = coupl(nGC_3106) + coupl(nGC_357)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_360)*dZHh_QED2/2d0 + coupl(nGC_360)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_360)*dZmuMinusR_QED2/  &
                        2d0
      coupl(nGC_3875) = 2d0*coupl(nGC_16)*dZHhHl_QED2 + 2d0*coupl(nGC_18)*     &
                        dZHl_QED2 + coupl(nGC_2964)
      coupl(nGC_3872) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZuR_QED2 + coupl(nGC_3181)
      coupl(nGC_3873) = coupl(nGC_207)*dZuR_QCD2
      coupl(nGC_3870) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZuL_QED2 + coupl(nGC_3182)
      coupl(nGC_3871) = coupl(nGC_210)*dZuL_QCD2
      coupl(nGC_2714) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2716) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2710) = coupl(nGC_197)*(coupl(nGC_198)*coupl(nGC_211) + 2d0*   &
                        coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_212)*coupl(  &
                        nGC_843) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2711) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_847) + coupl(nGC_206)*coupl(nGC_339)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_815) + coupl(  &
                        nGC_206)*coupl(nGC_342)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_344)*coupl(nGC_883) + coupl(nGC_207)*coupl(nGC_370 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3878) = 2d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3046)
      coupl(nGC_3519) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_3977) = -coupl(nGC_173)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_173&
                        )*dZHhHl_QED2/2d0 + coupl(nGC_178)*dZHMinus_QED2/2d0 + &
                        coupl(nGC_178)*dZHl_QED2/2d0 + coupl(nGC_178)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_3146)
      coupl(nGC_3976) = coupl(nGC_200)*dZZA_QED2/4d0 + coupl(nGC_3041)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_3975) = coupl(nGC_13)*dZdR_QED2
      coupl(nGC_3973) = coupl(nGC_13)*dZdL_QED2
      coupl(nGC_2820) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_366)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_340)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_373)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_340  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_348)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_348)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_348)*coupl(    &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*coupl(     &
                        nGC_366)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0*   &
                        coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(  &
                        nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3971) = coupl(nGC_3315) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_172_Hl) - coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_3970) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_2821) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                        nGC_337)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*  &
                        coupl(nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(     &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl( &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(   &
                        nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)**2d0*  &
                        coupl(nGC_342) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_342)*coupl(nGC_373)**2d0 + 5d0*Nc*coupl(     &
                        nGC_340)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*  &
                        coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_372)*coupl(    &
                        nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl( &
                        nGC_349)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*  &
                        coupl(nGC_385)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(     &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)*coupl(   &
                        nGC_384) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_366)*coupl( &
                        nGC_367)**2d0 + 5d0*Nc*coupl(nGC_369)*coupl(nGC_372)*  &
                        coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_381)*coupl(     &
                        nGC_384)*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_174)*coupl&
                        (nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0*coupl&
                        (nGC_351)*coupl(nGC_354)*coupl(nGC_355)**2d0 + 5d0*    &
                        coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_361)**2d0 + 5d0&
                        *coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_379)**2d0)/(  &
                        24d0*pi**2d0)
      coupl(nGC_4025) = 4d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3046)
      coupl(nGC_2399) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(     &
                        nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(&
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(     &
                        nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(      &
                        nGC_358)*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379 &
                        ))/(48d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
