!******************************************************************************!
!                                                                              !
!    ctparameter105.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter105.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter105
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter105()
  if (dZcR_QED2_scheme .eq. 1) then
    dZcR_QED2 = (2d0*Ten578*coupl(nGC_2)**2d0 + 2d0*Ten579*coupl(nGC_207)**2d0 &
                 + 2d0*Ten584*coupl(nGC_2)**2d0 + 2d0*Ten585*coupl(nGC_207)**  &
                2d0 - 4d0*Ten595*cMC_reg**2d0*coupl(nGC_2)**2d0 + 4d0*Ten602*  &
                cMC_reg**2d0*coupl(nGC_2)**2d0 + pi**2d0*(-coupl(nGC_2)**2d0/pi&
                **2d0 - coupl(nGC_207)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZcR_QED2 = cone*real(dZcR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter105
end module ctparameter105
