!******************************************************************************!
!                                                                              !
!    fill_couplings.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings
  use fill_couplings1
  use fill_ctcouplings1
  use fill_couplings2
  use fill_couplings3
  use fill_ctcouplings2
  use fill_couplings4
  use fill_ctcouplings3
  use fill_ctcouplings4
  use fill_ctcouplings5
  use fill_ctcouplings6
  use fill_ctcouplings7
  contains
    subroutine fill_couplings_mdl()
      couplings_init = .true.
      call fill_couplings_mdl1
      call fill_couplings_mdl2
      call fill_couplings_mdl3
      call fill_couplings_mdl4
    end subroutine fill_couplings_mdl
    subroutine fill_CTcouplings_mdl()
      ctcouplings_init = .true.
      call fill_CTcouplings_mdl1
      call fill_CTcouplings_mdl2
      call fill_CTcouplings_mdl3
      call fill_CTcouplings_mdl4
      call fill_CTcouplings_mdl5
      call fill_CTcouplings_mdl6
      call fill_CTcouplings_mdl7
    end subroutine fill_CTcouplings_mdl
end module fill_couplings
