!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl21()
      allocate(vertices(4208)%branchR2(0:0))
      call avR2(4208, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(5986)%branchR2(0:0))
      call avR2(5986, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(9840)%branchR2(0:0))
      call avR2(9840, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(10536)%branchR2(0:0))
      call avR2(10536, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(3164)%branchR2(0:0))
      call avR2(3164, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3935)%branchR2(0:1))
      call avR2(3935, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(3935, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(8737)%branchR2(0:0))
      call avR2(8737, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(5584)%branchR2(0:3))
      call avR2(5584, 0, 51, 1, 0, FaFV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(5584, 1, 51, 1, 0, FaFV0, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(5584, 2, 50, 1, 0, FaFV0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(5584, 3, 50, 1, 0, FaFV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(9442)%branchR2(0:0))
      call avR2(9442, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(9720)%branchR2(0:0))
      call avR2(9720, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9569)%branchR2(0:0))
      call avR2(9569, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2994)%branchR2(0:0))
      call avR2(2994, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(10537)%branchR2(0:0))
      call avR2(10537, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(7263)%branchR2(0:0))
      call avR2(7263, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2537/))

      allocate(vertices(1792)%branchR2(0:0))
      call avR2(1792, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9583)%branchR2(0:0))
      call avR2(9583, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(6147)%branchR2(0:0))
      call avR2(6147, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(6108)%branchR2(0:0))
      call avR2(6108, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(5157)%branchR2(0:1))
      call avR2(5157, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(5157, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(10538)%branchR2(0:1))
      call avR2(10538, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2832/))

      call avR2(10538, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2833/))

      allocate(vertices(5815)%branchR2(0:0))
      call avR2(5815, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(10539)%branchR2(0:0))
      call avR2(10539, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(2098)%branchR2(0:0))
      call avR2(2098, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3014)%branchR2(0:0))
      call avR2(3014, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4036/))

      allocate(vertices(10054)%branchR2(0:0))
      call avR2(10054, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(8015)%branchR2(0:1))
      call avR2(8015, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2707/))

      call avR2(8015, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8117)%branchR2(0:0))
      call avR2(8117, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(2559)%branchR2(0:1))
      call avR2(2559, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(2559, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(9608)%branchR2(0:0))
      call avR2(9608, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(8493)%branchR2(0:0))
      call avR2(8493, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2534)%branchR2(0:0))
      call avR2(2534, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(4879)%branchR2(0:0))
      call avR2(4879, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(4005)%branchR2(0:0))
      call avR2(4005, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3986)%branchR2(0:1))
      call avR2(3986, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2704/))

      call avR2(3986, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(5373)%branchR2(0:0))
      call avR2(5373, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(8799)%branchR2(0:0))
      call avR2(8799, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(4074)%branchR2(0:0))
      call avR2(4074, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(6308)%branchR2(0:0))
      call avR2(6308, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2597/))

      allocate(vertices(6334)%branchR2(0:0))
      call avR2(6334, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8259)%branchR2(0:0))
      call avR2(8259, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(4049)%branchR2(0:1))
      call avR2(4049, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(4049, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(7776)%branchR2(0:0))
      call avR2(7776, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,       &
      nGC_2921/))

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(9837)%branchR2(0:0))
      call avR2(9837, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(8858)%branchR2(0:0))
      call avR2(8858, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(2468)%branchR2(0:0))
      call avR2(2468, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2095)%branchR2(0:0))
      call avR2(2095, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(4384)%branchR2(0:3))
      call avR2(4384, 0, 53, 1, 0, VFaF1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4384, 1, 53, 1, 0, VFaF1, (/1, 2/), (/nGC_2736, nGC_2738/))

      call avR2(4384, 2, 52, 1, 0, VFaF1, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(4384, 3, 52, 1, 0, VFaF1, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(9218)%branchR2(0:0))
      call avR2(9218, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2388)%branchR2(0:0))
      call avR2(2388, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(10540)%branchR2(0:0))
      call avR2(10540, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(6603)%branchR2(0:0))
      call avR2(6603, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(6841)%branchR2(0:0))
      call avR2(6841, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8733)%branchR2(0:0))
      call avR2(8733, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7032)%branchR2(0:0))
      call avR2(7032, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6283)%branchR2(0:0))
      call avR2(6283, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4693)%branchR2(0:0))
      call avR2(4693, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2497/))

      allocate(vertices(9804)%branchR2(0:0))
      call avR2(9804, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(6319)%branchR2(0:0))
      call avR2(6319, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(2645)%branchR2(0:0))
      call avR2(2645, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(5656)%branchR2(0:0))
      call avR2(5656, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(6795)%branchR2(0:0))
      call avR2(6795, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6068)%branchR2(0:0))
      call avR2(6068, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(8238)%branchR2(0:0))
      call avR2(8238, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(8922)%branchR2(0:0))
      call avR2(8922, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_2441, nGC_2455,       &
      nGC_2455, nGC_2442/))

      allocate(vertices(5818)%branchR2(0:0))
      call avR2(5818, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(4825)%branchR2(0:0))
      call avR2(4825, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(3824)%branchR2(0:0))
      call avR2(3824, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(10267)%branchR2(0:0))
      call avR2(10267, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9847)%branchR2(0:0))
      call avR2(9847, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(8461)%branchR2(0:0))
      call avR2(8461, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(3203)%branchR2(0:0))
      call avR2(3203, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(2909)%branchR2(0:0))
      call avR2(2909, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(10541)%branchR2(0:0))
      call avR2(10541, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2464/))

      allocate(vertices(4269)%branchR2(0:1))
      call avR2(4269, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(4269, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(6361)%branchR2(0:0))
      call avR2(6361, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(6024)%branchR2(0:0))
      call avR2(6024, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(9743)%branchR2(0:0))
      call avR2(9743, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(5178)%branchR2(0:0))
      call avR2(5178, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6538)%branchR2(0:0))
      call avR2(6538, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6626)%branchR2(0:0))
      call avR2(6626, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(4874)%branchR2(0:0))
      call avR2(4874, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(2178)%branchR2(0:1))
      call avR2(2178, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(2178, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(8159)%branchR2(0:0))
      call avR2(8159, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10370)%branchR2(0:0))
      call avR2(10370, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(6597)%branchR2(0:0))
      call avR2(6597, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9295)%branchR2(0:0))
      call avR2(9295, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(6791)%branchR2(0:1))
      call avR2(6791, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(6791, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(5465)%branchR2(0:0))
      call avR2(5465, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(7059)%branchR2(0:0))
      call avR2(7059, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(10542)%branchR2(0:0))
      call avR2(10542, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10543)%branchR2(0:0))
      call avR2(10543, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(4413)%branchR2(0:1))
      call avR2(4413, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(4413, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(7472)%branchR2(0:0))
      call avR2(7472, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(2423)%branchR2(0:0))
      call avR2(2423, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(5647)%branchR2(0:1))
      call avR2(5647, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(5647, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(10544)%branchR2(0:0))
      call avR2(10544, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(10545)%branchR2(0:0))
      call avR2(10545, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(1160)%branchR2(0:1))
      call avR2(1160, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(1160, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(5593)%branchR2(0:0))
      call avR2(5593, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4043/))

      allocate(vertices(8383)%branchR2(0:0))
      call avR2(8383, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(9976)%branchR2(0:0))
      call avR2(9976, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3028)%branchR2(0:0))
      call avR2(3028, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(2546)%branchR2(0:0))
      call avR2(2546, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(4658)%branchR2(0:0))
      call avR2(4658, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10366)%branchR2(0:0))
      call avR2(10366, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4635)%branchR2(0:0))
      call avR2(4635, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2926, nGC_2926,       &
      nGC_2925/))

      allocate(vertices(5485)%branchR2(0:0))
      call avR2(5485, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(5519)%branchR2(0:0))
      call avR2(5519, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3761)%branchR2(0:0))
      call avR2(3761, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(10018)%branchR2(0:0))
      call avR2(10018, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(9885)%branchR2(0:0))
      call avR2(9885, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9359)%branchR2(0:0))
      call avR2(9359, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4044/))

      allocate(vertices(3951)%branchR2(0:0))
      call avR2(3951, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(8839)%branchR2(0:0))
      call avR2(8839, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(9817)%branchR2(0:0))
      call avR2(9817, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10546)%branchR2(0:0))
      call avR2(10546, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2733)%branchR2(0:0))
      call avR2(2733, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(9944)%branchR2(0:0))
      call avR2(9944, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2539/))

      allocate(vertices(5393)%branchR2(0:0))
      call avR2(5393, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(4323)%branchR2(0:0))
      call avR2(4323, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(8206)%branchR2(0:0))
      call avR2(8206, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(7665)%branchR2(0:1))
      call avR2(7665, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(7665, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(6228)%branchR2(0:0))
      call avR2(6228, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(9585)%branchR2(0:0))
      call avR2(9585, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2358)%branchR2(0:0))
      call avR2(2358, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(8579)%branchR2(0:0))
      call avR2(8579, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2614/))

      allocate(vertices(1200)%branchR2(0:0))
      call avR2(1200, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(1165)%branchR2(0:0))
      call avR2(1165, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4609)%branchR2(0:0))
      call avR2(4609, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(8244)%branchR2(0:0))
      call avR2(8244, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9463)%branchR2(0:0))
      call avR2(9463, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7690)%branchR2(0:0))
      call avR2(7690, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(7470)%branchR2(0:0))
      call avR2(7470, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10547)%branchR2(0:0))
      call avR2(10547, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(3730)%branchR2(0:0))
      call avR2(3730, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(4786)%branchR2(0:0))
      call avR2(4786, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(9842)%branchR2(0:0))
      call avR2(9842, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(7841)%branchR2(0:1))
      call avR2(7841, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(7841, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(10548)%branchR2(0:1))
      call avR2(10548, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      call avR2(10548, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(10367)%branchR2(0:0))
      call avR2(10367, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1789)%branchR2(0:1))
      call avR2(1789, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(1789, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(4358)%branchR2(0:0))
      call avR2(4358, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(4182)%branchR2(0:1))
      call avR2(4182, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2486, nGC_2487/))

      call avR2(4182, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(4937)%branchR2(0:0))
      call avR2(4937, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2771,       &
      nGC_2772/))

      allocate(vertices(9472)%branchR2(0:0))
      call avR2(9472, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7446)%branchR2(0:1))
      call avR2(7446, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(7446, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(5920)%branchR2(0:0))
      call avR2(5920, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(10304)%branchR2(0:0))
      call avR2(10304, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(5191)%branchR2(0:0))
      call avR2(5191, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9756)%branchR2(0:0))
      call avR2(9756, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(3805)%branchR2(0:0))
      call avR2(3805, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(7497)%branchR2(0:1))
      call avR2(7497, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(7497, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(8892)%branchR2(0:0))
      call avR2(8892, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2257)%branchR2(0:1))
      call avR2(2257, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(2257, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(7069)%branchR2(0:0))
      call avR2(7069, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6800)%branchR2(0:0))
      call avR2(6800, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(4389)%branchR2(0:0))
      call avR2(4389, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6846)%branchR2(0:0))
      call avR2(6846, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(3770)%branchR2(0:0))
      call avR2(3770, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(3098)%branchR2(0:0))
      call avR2(3098, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2701/))

      allocate(vertices(9151)%branchR2(0:0))
      call avR2(9151, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(9210)%branchR2(0:0))
      call avR2(9210, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(7295)%branchR2(0:0))
      call avR2(7295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6609)%branchR2(0:0))
      call avR2(6609, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(3362)%branchR2(0:1))
      call avR2(3362, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(3362, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(3542)%branchR2(0:0))
      call avR2(3542, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(2939)%branchR2(0:0))
      call avR2(2939, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5239)%branchR2(0:1))
      call avR2(5239, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(5239, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(8006)%branchR2(0:0))
      call avR2(8006, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2902/))

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(7494)%branchR2(0:0))
      call avR2(7494, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(7717)%branchR2(0:0))
      call avR2(7717, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(3018)%branchR2(0:0))
      call avR2(3018, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(3819)%branchR2(0:0))
      call avR2(3819, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6673)%branchR2(0:0))
      call avR2(6673, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7929)%branchR2(0:0))
      call avR2(7929, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(5744)%branchR2(0:0))
      call avR2(5744, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5634)%branchR2(0:1))
      call avR2(5634, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(5634, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(10549)%branchR2(0:1))
      call avR2(10549, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2884/))

      call avR2(10549, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2883/))

      allocate(vertices(6707)%branchR2(0:0))
      call avR2(6707, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3818)%branchR2(0:0))
      call avR2(3818, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(4958)%branchR2(0:0))
      call avR2(4958, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(5768)%branchR2(0:0))
      call avR2(5768, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(2080)%branchR2(0:0))
      call avR2(2080, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2599/))

      allocate(vertices(9545)%branchR2(0:0))
      call avR2(9545, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4040)%branchR2(0:0))
      call avR2(4040, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2969)%branchR2(0:0))
      call avR2(2969, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(4956)%branchR2(0:0))
      call avR2(4956, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7689)%branchR2(0:0))
      call avR2(7689, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(10550)%branchR2(0:0))
      call avR2(10550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(8917)%branchR2(0:0))
      call avR2(8917, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2525/))

      allocate(vertices(4799)%branchR2(0:0))
      call avR2(4799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10551)%branchR2(0:1))
      call avR2(10551, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2833/))

      call avR2(10551, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7452)%branchR2(0:0))
      call avR2(7452, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(5452)%branchR2(0:0))
      call avR2(5452, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(7706)%branchR2(0:0))
      call avR2(7706, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10552)%branchR2(0:0))
      call avR2(10552, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(6356)%branchR2(0:0))
      call avR2(6356, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(2527)%branchR2(0:0))
      call avR2(2527, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10553)%branchR2(0:0))
      call avR2(10553, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(5119)%branchR2(0:0))
      call avR2(5119, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(238)%branchR2(0:1))
      call avR2(238, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(238, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(9454)%branchR2(0:0))
      call avR2(9454, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7340)%branchR2(0:0))
      call avR2(7340, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(6704)%branchR2(0:0))
      call avR2(6704, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(10081)%branchR2(0:0))
      call avR2(10081, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(5932)%branchR2(0:0))
      call avR2(5932, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(4425)%branchR2(0:0))
      call avR2(4425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7547)%branchR2(0:1))
      call avR2(7547, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(7547, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(6720)%branchR2(0:0))
      call avR2(6720, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(3661)%branchR2(0:0))
      call avR2(3661, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(1899)%branchR2(0:0))
      call avR2(1899, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(1876)%branchR2(0:0))
      call avR2(1876, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9500)%branchR2(0:0))
      call avR2(9500, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(5785)%branchR2(0:1))
      call avR2(5785, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(5785, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(4890)%branchR2(0:0))
      call avR2(4890, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(3771)%branchR2(0:3))
      call avR2(3771, 0, 51, 1, 0, FaFV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3771, 1, 51, 1, 0, FaFV0, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(3771, 2, 50, 1, 0, FaFV0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(3771, 3, 50, 1, 0, FaFV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(7413)%branchR2(0:0))
      call avR2(7413, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(6239)%branchR2(0:0))
      call avR2(6239, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(7324)%branchR2(0:0))
      call avR2(7324, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7459)%branchR2(0:0))
      call avR2(7459, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10214)%branchR2(0:0))
      call avR2(10214, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8735)%branchR2(0:0))
      call avR2(8735, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(6889)%branchR2(0:1))
      call avR2(6889, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(6889, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(8893)%branchR2(0:0))
      call avR2(8893, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(4390)%branchR2(0:0))
      call avR2(4390, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(6375)%branchR2(0:0))
      call avR2(6375, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(8676)%branchR2(0:1))
      call avR2(8676, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2702/))

      call avR2(8676, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1965)%branchR2(0:0))
      call avR2(1965, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(1932)%branchR2(0:0))
      call avR2(1932, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10126)%branchR2(0:0))
      call avR2(10126, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2409, nGC_2407,       &
      nGC_2408/))

      allocate(vertices(6556)%branchR2(0:0))
      call avR2(6556, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4036/))

      allocate(vertices(8173)%branchR2(0:0))
      call avR2(8173, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(5335)%branchR2(0:0))
      call avR2(5335, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(6672)%branchR2(0:0))
      call avR2(6672, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10127)%branchR2(0:0))
      call avR2(10127, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(7831)%branchR2(0:0))
      call avR2(7831, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2803,       &
      nGC_2804/))

      allocate(vertices(3569)%branchR2(0:0))
      call avR2(3569, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(10238)%branchR2(0:0))
      call avR2(10238, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(8944)%branchR2(0:0))
      call avR2(8944, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(3668)%branchR2(0:0))
      call avR2(3668, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(7301)%branchR2(0:0))
      call avR2(7301, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(5588)%branchR2(0:0))
      call avR2(5588, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(9242)%branchR2(0:0))
      call avR2(9242, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(8601)%branchR2(0:0))
      call avR2(8601, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(5520)%branchR2(0:0))
      call avR2(5520, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(8218)%branchR2(0:0))
      call avR2(8218, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(10233)%branchR2(0:0))
      call avR2(10233, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(1967)%branchR2(0:0))
      call avR2(1967, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(7206)%branchR2(0:0))
      call avR2(7206, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9562)%branchR2(0:0))
      call avR2(9562, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9618)%branchR2(0:0))
      call avR2(9618, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5859)%branchR2(0:0))
      call avR2(5859, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(7932)%branchR2(0:0))
      call avR2(7932, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2925, nGC_2926,       &
      nGC_2926/))

      allocate(vertices(3377)%branchR2(0:0))
      call avR2(3377, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3610)%branchR2(0:0))
      call avR2(3610, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(3166)%branchR2(0:1))
      call avR2(3166, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(3166, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(10554)%branchR2(0:1))
      call avR2(10554, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2811, nGC_2811,    &
      nGC_2811/))

      call avR2(10554, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2810, nGC_2810,    &
      nGC_2810/))

      allocate(vertices(3499)%branchR2(0:0))
      call avR2(3499, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(8637)%branchR2(0:0))
      call avR2(8637, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(9390)%branchR2(0:0))
      call avR2(9390, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3021)%branchR2(0:0))
      call avR2(3021, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(6904)%branchR2(0:0))
      call avR2(6904, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(7391)%branchR2(0:0))
      call avR2(7391, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5350)%branchR2(0:0))
      call avR2(5350, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4035/))

      allocate(vertices(3946)%branchR2(0:0))
      call avR2(3946, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(6342)%branchR2(0:0))
      call avR2(6342, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2579/))

      allocate(vertices(5802)%branchR2(0:0))
      call avR2(5802, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(4513)%branchR2(0:1))
      call avR2(4513, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(4513, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(183)%branchR2(0:1))
      call avR2(183, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2707/))

      call avR2(183, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10555)%branchR2(0:1))
      call avR2(10555, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2928/))

      call avR2(10555, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2927/))

      allocate(vertices(8328)%branchR2(0:0))
      call avR2(8328, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(3710)%branchR2(0:0))
      call avR2(3710, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(71)%branchR2(0:1))
      call avR2(71, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(71, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(5641)%branchR2(0:0))
      call avR2(5641, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(8576)%branchR2(0:0))
      call avR2(8576, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(6339)%branchR2(0:0))
      call avR2(6339, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(10556)%branchR2(0:0))
      call avR2(10556, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(6495)%branchR2(0:0))
      call avR2(6495, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2771, nGC_2773,       &
      nGC_2772/))

      allocate(vertices(4256)%branchR2(0:1))
      call avR2(4256, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(4256, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(2689)%branchR2(0:0))
      call avR2(2689, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(5036)%branchR2(0:0))
      call avR2(5036, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(4064)%branchR2(0:0))
      call avR2(4064, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(3776)%branchR2(0:0))
      call avR2(3776, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(10088)%branchR2(0:0))
      call avR2(10088, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2526/))

      allocate(vertices(4594)%branchR2(0:0))
      call avR2(4594, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(9333)%branchR2(0:0))
      call avR2(9333, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2416, nGC_2415/))

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(899)%branchR2(0:1))
      call avR2(899, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(899, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4989)%branchR2(0:0))
      call avR2(4989, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(3114)%branchR2(0:0))
      call avR2(3114, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(6722)%branchR2(0:0))
      call avR2(6722, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(7203)%branchR2(0:0))
      call avR2(7203, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(10557)%branchR2(0:0))
      call avR2(10557, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5861)%branchR2(0:0))
      call avR2(5861, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(10558)%branchR2(0:1))
      call avR2(10558, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10558, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(3646)%branchR2(0:0))
      call avR2(3646, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(10559)%branchR2(0:1))
      call avR2(10559, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10559, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(5686)%branchR2(0:0))
      call avR2(5686, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(5429)%branchR2(0:0))
      call avR2(5429, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(4354)%branchR2(0:1))
      call avR2(4354, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(4354, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(1427)%branchR2(0:0))
      call avR2(1427, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(8669)%branchR2(0:0))
      call avR2(8669, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2505/))

      allocate(vertices(9576)%branchR2(0:0))
      call avR2(9576, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2915)%branchR2(0:0))
      call avR2(2915, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(2653)%branchR2(0:0))
      call avR2(2653, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10244)%branchR2(0:1))
      call avR2(10244, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2457, nGC_2457/))

      call avR2(10244, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2456, nGC_2456/))

      allocate(vertices(9523)%branchR2(0:0))
      call avR2(9523, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(9089)%branchR2(0:0))
      call avR2(9089, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10059)%branchR2(0:0))
      call avR2(10059, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1319)%branchR2(0:0))
      call avR2(1319, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2544/))

      allocate(vertices(4095)%branchR2(0:0))
      call avR2(4095, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(3035)%branchR2(0:0))
      call avR2(3035, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(3159)%branchR2(0:0))
      call avR2(3159, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4517)%branchR2(0:0))
      call avR2(4517, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(10004)%branchR2(0:0))
      call avR2(10004, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10560)%branchR2(0:1))
      call avR2(10560, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10560, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6671)%branchR2(0:0))
      call avR2(6671, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(6152)%branchR2(0:0))
      call avR2(6152, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(6670)%branchR2(0:0))
      call avR2(6670, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8911)%branchR2(0:0))
      call avR2(8911, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10561)%branchR2(0:0))
      call avR2(10561, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7897)%branchR2(0:0))
      call avR2(7897, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6823)%branchR2(0:1))
      call avR2(6823, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(6823, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(6225)%branchR2(0:1))
      call avR2(6225, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(6225, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10132)%branchR2(0:0))
      call avR2(10132, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(2914)%branchR2(0:1))
      call avR2(2914, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(2914, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(1536)%branchR2(0:0))
      call avR2(1536, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9808)%branchR2(0:0))
      call avR2(9808, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2484/))

      allocate(vertices(9072)%branchR2(0:0))
      call avR2(9072, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1251)%branchR2(0:1))
      call avR2(1251, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(1251, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(5632)%branchR2(0:0))
      call avR2(5632, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9825)%branchR2(0:0))
      call avR2(9825, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4669)%branchR2(0:0))
      call avR2(4669, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(6395)%branchR2(0:3))
      call avR2(6395, 0, 54, 1, 0, VFFa0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6395, 1, 54, 1, 0, VFFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6395, 2, 55, 1, 0, VFFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6395, 3, 55, 1, 0, VFFa0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(2980)%branchR2(0:3))
      call avR2(2980, 0, 56, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(2980, 1, 56, 1, 0, FaVF0, (/1, 2/), (/nGC_2748, nGC_2749/))

      call avR2(2980, 2, 57, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(2980, 3, 57, 1, 0, FaVF0, (/1, 2/), (/nGC_2746, nGC_2747/))

      allocate(vertices(10562)%branchR2(0:1))
      call avR2(10562, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10562, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(7066)%branchR2(0:0))
      call avR2(7066, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6231)%branchR2(0:0))
      call avR2(6231, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4668)%branchR2(0:0))
      call avR2(4668, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(3171)%branchR2(0:0))
      call avR2(3171, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3825)%branchR2(0:0))
      call avR2(3825, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,       &
      nGC_2921/))

      allocate(vertices(9389)%branchR2(0:0))
      call avR2(9389, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(4571)%branchR2(0:1))
      call avR2(4571, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(4571, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(9489)%branchR2(0:0))
      call avR2(9489, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2420, nGC_2419/))

      allocate(vertices(10328)%branchR2(0:0))
      call avR2(10328, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8207)%branchR2(0:0))
      call avR2(8207, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(9498)%branchR2(0:0))
      call avR2(9498, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4048/))

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(5295)%branchR2(0:0))
      call avR2(5295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(7045)%branchR2(0:0))
      call avR2(7045, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10563)%branchR2(0:0))
      call avR2(10563, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10325)%branchR2(0:0))
      call avR2(10325, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2138)%branchR2(0:0))
      call avR2(2138, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(4050)%branchR2(0:0))
      call avR2(4050, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(310)%branchR2(0:1))
      call avR2(310, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(310, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(4336)%branchR2(0:1))
      call avR2(4336, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(4336, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(10564)%branchR2(0:0))
      call avR2(10564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(7877)%branchR2(0:0))
      call avR2(7877, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4035/))

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(8970)%branchR2(0:0))
      call avR2(8970, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2422, nGC_2421/))

      allocate(vertices(5226)%branchR2(0:1))
      call avR2(5226, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(5226, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(9912)%branchR2(0:0))
      call avR2(9912, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6446)%branchR2(0:0))
      call avR2(6446, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10348)%branchR2(0:0))
      call avR2(10348, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2450/))

      allocate(vertices(3529)%branchR2(0:0))
      call avR2(3529, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8880)%branchR2(0:0))
      call avR2(8880, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(6320)%branchR2(0:0))
      call avR2(6320, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6046)%branchR2(0:1))
      call avR2(6046, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(6046, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(9913)%branchR2(0:0))
      call avR2(9913, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(6138)%branchR2(0:0))
      call avR2(6138, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10565)%branchR2(0:0))
      call avR2(10565, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(6243)%branchR2(0:1))
      call avR2(6243, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(6243, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(8413)%branchR2(0:0))
      call avR2(8413, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(4295)%branchR2(0:0))
      call avR2(4295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(3876)%branchR2(0:0))
      call avR2(3876, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6655)%branchR2(0:0))
      call avR2(6655, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4049/))

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(5751)%branchR2(0:0))
      call avR2(5751, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10167)%branchR2(0:0))
      call avR2(10167, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(10566)%branchR2(0:0))
      call avR2(10566, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(6770)%branchR2(0:1))
      call avR2(6770, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(6770, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(7722)%branchR2(0:1))
      call avR2(7722, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(7722, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(6057)%branchR2(0:1))
      call avR2(6057, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(6057, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3718)%branchR2(0:1))
      call avR2(3718, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2708/))

      call avR2(3718, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(5344)%branchR2(0:0))
      call avR2(5344, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(8114)%branchR2(0:0))
      call avR2(8114, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(6473)%branchR2(0:0))
      call avR2(6473, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(6467)%branchR2(0:0))
      call avR2(6467, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(4076)%branchR2(0:0))
      call avR2(4076, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(6809)%branchR2(0:1))
      call avR2(6809, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(6809, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1759)%branchR2(0:0))
      call avR2(1759, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(6456)%branchR2(0:1))
      call avR2(6456, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(6456, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(3219)%branchR2(0:0))
      call avR2(3219, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(998)%branchR2(0:1))
      call avR2(998, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(998, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(2758)%branchR2(0:0))
      call avR2(2758, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(9241)%branchR2(0:0))
      call avR2(9241, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(8338)%branchR2(0:0))
      call avR2(8338, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(2990)%branchR2(0:0))
      call avR2(2990, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(4082)%branchR2(0:0))
      call avR2(4082, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4853)%branchR2(0:3))
      call avR2(4853, 0, 51, 1, 0, FaFV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4853, 1, 51, 1, 0, FaFV0, (/1, 2/), (/nGC_2762, nGC_2763/))

      call avR2(4853, 2, 50, 1, 0, FaFV0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4853, 3, 50, 1, 0, FaFV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(5668)%branchR2(0:0))
      call avR2(5668, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,       &
      nGC_2921/))

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(2241)%branchR2(0:0))
      call avR2(2241, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9778)%branchR2(0:0))
      call avR2(9778, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9326)%branchR2(0:0))
      call avR2(9326, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(2448)%branchR2(0:0))
      call avR2(2448, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4042/))

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(6413)%branchR2(0:0))
      call avR2(6413, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(4870)%branchR2(0:0))
      call avR2(4870, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(5365)%branchR2(0:1))
      call avR2(5365, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(5365, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10390)%branchR2(0:0))
      call avR2(10390, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10567)%branchR2(0:0))
      call avR2(10567, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(6465)%branchR2(0:0))
      call avR2(6465, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6248)%branchR2(0:0))
      call avR2(6248, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2726/))

      allocate(vertices(6346)%branchR2(0:0))
      call avR2(6346, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10568)%branchR2(0:1))
      call avR2(10568, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2930/))

      call avR2(10568, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(1948)%branchR2(0:0))
      call avR2(1948, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(10569)%branchR2(0:0))
      call avR2(10569, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(4272)%branchR2(0:0))
      call avR2(4272, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(5153)%branchR2(0:0))
      call avR2(5153, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(9867)%branchR2(0:0))
      call avR2(9867, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4039/))

      allocate(vertices(1804)%branchR2(0:0))
      call avR2(1804, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(4177)%branchR2(0:0))
      call avR2(4177, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(4883)%branchR2(0:0))
      call avR2(4883, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2505/))

      allocate(vertices(9263)%branchR2(0:0))
      call avR2(9263, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(3254)%branchR2(0:0))
      call avR2(3254, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2922/))

      allocate(vertices(4782)%branchR2(0:0))
      call avR2(4782, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10335)%branchR2(0:0))
      call avR2(10335, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(7211)%branchR2(0:0))
      call avR2(7211, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5705)%branchR2(0:1))
      call avR2(5705, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(5705, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(8904)%branchR2(0:0))
      call avR2(8904, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7018)%branchR2(0:0))
      call avR2(7018, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(7539)%branchR2(0:0))
      call avR2(7539, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(10570)%branchR2(0:1))
      call avR2(10570, 0, 137, 1, 0, VVVV1, (/2, 2/), (/nGC_2923, nGC_2923,    &
      nGC_2923/))

      call avR2(10570, 1, 138, 1, 0, VVVV1, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2921, nGC_2920,        &
      nGC_2921/))

      allocate(vertices(8631)%branchR2(0:0))
      call avR2(8631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10571)%branchR2(0:1))
      call avR2(10571, 0, 129, 1, 0, VVS0, (/2, 1/), (/nGC_2659/))

      call avR2(10571, 1, 130, 1, 0, VVS0, (/2, 1/), (/nGC_2660/))

      allocate(vertices(544)%branchR2(0:0))
      call avR2(544, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(787)%branchR2(0:1))
      call avR2(787, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(787, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(7710)%branchR2(0:0))
      call avR2(7710, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(8429)%branchR2(0:0))
      call avR2(8429, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(8518)%branchR2(0:0))
      call avR2(8518, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(9197)%branchR2(0:0))
      call avR2(9197, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2409, nGC_2407,        &
      nGC_2408/))

      allocate(vertices(1783)%branchR2(0:0))
      call avR2(1783, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(2331)%branchR2(0:0))
      call avR2(2331, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(4888)%branchR2(0:0))
      call avR2(4888, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(7492)%branchR2(0:0))
      call avR2(7492, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8084)%branchR2(0:0))
      call avR2(8084, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(7859)%branchR2(0:0))
      call avR2(7859, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(4859)%branchR2(0:1))
      call avR2(4859, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(4859, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(7037)%branchR2(0:0))
      call avR2(7037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(4924)%branchR2(0:0))
      call avR2(4924, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10572)%branchR2(0:0))
      call avR2(10572, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(7732)%branchR2(0:1))
      call avR2(7732, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(7732, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(7807)%branchR2(0:0))
      call avR2(7807, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(8269)%branchR2(0:0))
      call avR2(8269, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9198)%branchR2(0:0))
      call avR2(9198, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(7594)%branchR2(0:0))
      call avR2(7594, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(5116)%branchR2(0:0))
      call avR2(5116, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(8359)%branchR2(0:0))
      call avR2(8359, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8714)%branchR2(0:0))
      call avR2(8714, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(7475)%branchR2(0:1))
      call avR2(7475, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(7475, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(4374)%branchR2(0:1))
      call avR2(4374, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(4374, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(10121)%branchR2(0:0))
      call avR2(10121, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9153)%branchR2(0:0))
      call avR2(9153, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8910)%branchR2(0:0))
      call avR2(8910, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10336)%branchR2(0:0))
      call avR2(10336, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(8787)%branchR2(0:0))
      call avR2(8787, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5192)%branchR2(0:0))
      call avR2(5192, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(287)%branchR2(0:0))
      call avR2(287, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(10573)%branchR2(0:1))
      call avR2(10573, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2918/))

      call avR2(10573, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(4975)%branchR2(0:0))
      call avR2(4975, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10574)%branchR2(0:1))
      call avR2(10574, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      call avR2(10574, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2923, nGC_2923,    &
      nGC_2923/))

      allocate(vertices(6429)%branchR2(0:0))
      call avR2(6429, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(3744)%branchR2(0:0))
      call avR2(3744, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(10575)%branchR2(0:0))
      call avR2(10575, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5902)%branchR2(0:1))
      call avR2(5902, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(5902, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(2937)%branchR2(0:0))
      call avR2(2937, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8083)%branchR2(0:0))
      call avR2(8083, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(1295)%branchR2(0:0))
      call avR2(1295, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(9609)%branchR2(0:0))
      call avR2(9609, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9297)%branchR2(0:0))
      call avR2(9297, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10234)%branchR2(0:0))
      call avR2(10234, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(8866)%branchR2(0:0))
      call avR2(8866, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(9404)%branchR2(0:0))
      call avR2(9404, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(4674)%branchR2(0:0))
      call avR2(4674, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3365)%branchR2(0:0))
      call avR2(3365, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(6687)%branchR2(0:0))
      call avR2(6687, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2598/))

      allocate(vertices(10576)%branchR2(0:1))
      call avR2(10576, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2847/))

      call avR2(10576, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(8071)%branchR2(0:0))
      call avR2(8071, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(3665)%branchR2(0:0))
      call avR2(3665, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2405)%branchR2(0:1))
      call avR2(2405, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(2405, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(10577)%branchR2(0:0))
      call avR2(10577, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(1670)%branchR2(0:1))
      call avR2(1670, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2702/))

      call avR2(1670, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(7640)%branchR2(0:0))
      call avR2(7640, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(5895)%branchR2(0:0))
      call avR2(5895, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(5909)%branchR2(0:0))
      call avR2(5909, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(7901)%branchR2(0:0))
      call avR2(7901, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(10578)%branchR2(0:0))
      call avR2(10578, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(1826)%branchR2(0:0))
      call avR2(1826, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(8232)%branchR2(0:0))
      call avR2(8232, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(8224)%branchR2(0:0))
      call avR2(8224, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(7092)%branchR2(0:0))
      call avR2(7092, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2607/))

      allocate(vertices(3210)%branchR2(0:0))
      call avR2(3210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(8707)%branchR2(0:0))
      call avR2(8707, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(4677)%branchR2(0:0))
      call avR2(4677, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(7257)%branchR2(0:0))
      call avR2(7257, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2885/))

      allocate(vertices(5925)%branchR2(0:0))
      call avR2(5925, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10579)%branchR2(0:0))
      call avR2(10579, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(8797)%branchR2(0:0))
      call avR2(8797, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(6130)%branchR2(0:0))
      call avR2(6130, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(10580)%branchR2(0:1))
      call avR2(10580, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10580, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(5032)%branchR2(0:0))
      call avR2(5032, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(1697)%branchR2(0:0))
      call avR2(1697, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(8460)%branchR2(0:1))
      call avR2(8460, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(8460, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(10581)%branchR2(0:0))
      call avR2(10581, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2769/))

      allocate(vertices(3969)%branchR2(0:0))
      call avR2(3969, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8557)%branchR2(0:0))
      call avR2(8557, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(4945)%branchR2(0:0))
      call avR2(4945, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(5699)%branchR2(0:0))
      call avR2(5699, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(5141)%branchR2(0:1))
      call avR2(5141, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2704/))

      call avR2(5141, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4031/))

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2986)%branchR2(0:0))
      call avR2(2986, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(6295)%branchR2(0:0))
      call avR2(6295, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2771/))

      allocate(vertices(9388)%branchR2(0:0))
      call avR2(9388, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(10173)%branchR2(0:0))
      call avR2(10173, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(9850)%branchR2(0:0))
      call avR2(9850, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(4581)%branchR2(0:0))
      call avR2(4581, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(10582)%branchR2(0:0))
      call avR2(10582, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(6102)%branchR2(0:1))
      call avR2(6102, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(6102, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(4787)%branchR2(0:0))
      call avR2(4787, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(3706)%branchR2(0:0))
      call avR2(3706, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(5255)%branchR2(0:0))
      call avR2(5255, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(4248)%branchR2(0:0))
      call avR2(4248, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2609/))

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(6240)%branchR2(0:0))
      call avR2(6240, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(7972)%branchR2(0:1))
      call avR2(7972, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2707/))

      call avR2(7972, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9362)%branchR2(0:0))
      call avR2(9362, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(7911)%branchR2(0:0))
      call avR2(7911, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(6244)%branchR2(0:0))
      call avR2(6244, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9641)%branchR2(0:0))
      call avR2(9641, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(6897)%branchR2(0:0))
      call avR2(6897, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(8811)%branchR2(0:0))
      call avR2(8811, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(9896)%branchR2(0:0))
      call avR2(9896, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,        &
      nGC_2424/))

      allocate(vertices(5202)%branchR2(0:0))
      call avR2(5202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(10583)%branchR2(0:1))
      call avR2(10583, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      call avR2(10583, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      allocate(vertices(4207)%branchR2(0:0))
      call avR2(4207, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(7748)%branchR2(0:0))
      call avR2(7748, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5673)%branchR2(0:0))
      call avR2(5673, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(10294)%branchR2(0:0))
      call avR2(10294, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(8217)%branchR2(0:0))
      call avR2(8217, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(3885)%branchR2(0:0))
      call avR2(3885, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(2275)%branchR2(0:0))
      call avR2(2275, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(6753)%branchR2(0:0))
      call avR2(6753, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7481)%branchR2(0:0))
      call avR2(7481, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(2754)%branchR2(0:0))
      call avR2(2754, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(1492)%branchR2(0:1))
      call avR2(1492, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(1492, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(5655)%branchR2(0:0))
      call avR2(5655, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(5805)%branchR2(0:0))
      call avR2(5805, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2528/))

      allocate(vertices(9269)%branchR2(0:0))
      call avR2(9269, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(5645)%branchR2(0:0))
      call avR2(5645, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(601)%branchR2(0:1))
      call avR2(601, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(601, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(7138)%branchR2(0:0))
      call avR2(7138, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(5201)%branchR2(0:1))
      call avR2(5201, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(5201, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(10584)%branchR2(0:0))
      call avR2(10584, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8755)%branchR2(0:0))
      call avR2(8755, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(10193)%branchR2(0:0))
      call avR2(10193, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(4106)%branchR2(0:0))
      call avR2(4106, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4040/))

      allocate(vertices(8919)%branchR2(0:0))
      call avR2(8919, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(9863)%branchR2(0:0))
      call avR2(9863, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(4371)%branchR2(0:0))
      call avR2(4371, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5279)%branchR2(0:0))
      call avR2(5279, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10585)%branchR2(0:0))
      call avR2(10585, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(7120)%branchR2(0:0))
      call avR2(7120, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(2977)%branchR2(0:0))
      call avR2(2977, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4050/))

      allocate(vertices(9273)%branchR2(0:0))
      call avR2(9273, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5210)%branchR2(0:0))
      call avR2(5210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(10586)%branchR2(0:1))
      call avR2(10586, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2932/))

      call avR2(10586, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(10587)%branchR2(0:1))
      call avR2(10587, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2899/))

      call avR2(10587, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(7187)%branchR2(0:0))
      call avR2(7187, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5773)%branchR2(0:0))
      call avR2(5773, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(8443)%branchR2(0:0))
      call avR2(8443, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3652)%branchR2(0:0))
      call avR2(3652, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(9957)%branchR2(0:0))
      call avR2(9957, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2503/))

      allocate(vertices(6260)%branchR2(0:0))
      call avR2(6260, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(9459)%branchR2(0:0))
      call avR2(9459, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5907)%branchR2(0:0))
      call avR2(5907, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(10288)%branchR2(0:0))
      call avR2(10288, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4051/))

      allocate(vertices(1184)%branchR2(0:0))
      call avR2(1184, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10274)%branchR2(0:0))
      call avR2(10274, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(9597)%branchR2(0:0))
      call avR2(9597, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10588)%branchR2(0:0))
      call avR2(10588, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2818, nGC_2818,      &
      nGC_2818/))

      allocate(vertices(7428)%branchR2(0:1))
      call avR2(7428, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(7428, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4163)%branchR2(0:0))
      call avR2(4163, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(5003)%branchR2(0:0))
      call avR2(5003, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(4599)%branchR2(0:0))
      call avR2(4599, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(6884)%branchR2(0:0))
      call avR2(6884, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4032/))

      allocate(vertices(3801)%branchR2(0:1))
      call avR2(3801, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(3801, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(7219)%branchR2(0:0))
      call avR2(7219, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(10419)%branchR2(0:0))
      call avR2(10419, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7479)%branchR2(0:0))
      call avR2(7479, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(4938)%branchR2(0:0))
      call avR2(4938, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(10292)%branchR2(0:0))
      call avR2(10292, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(10331)%branchR2(0:0))
      call avR2(10331, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4052/))

      allocate(vertices(8138)%branchR2(0:0))
      call avR2(8138, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2635, nGC_2636/))

      allocate(vertices(10450)%branchR2(0:0))
      call avR2(10450, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7267)%branchR2(0:0))
      call avR2(7267, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(5533)%branchR2(0:1))
      call avR2(5533, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2707/))

      call avR2(5533, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8082)%branchR2(0:0))
      call avR2(8082, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(1900)%branchR2(0:0))
      call avR2(1900, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7839)%branchR2(0:0))
      call avR2(7839, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(9727)%branchR2(0:0))
      call avR2(9727, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6422)%branchR2(0:0))
      call avR2(6422, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(8242)%branchR2(0:0))
      call avR2(8242, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(893)%branchR2(0:1))
      call avR2(893, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(893, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(3482)%branchR2(0:0))
      call avR2(3482, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(10357)%branchR2(0:0))
      call avR2(10357, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10589)%branchR2(0:0))
      call avR2(10589, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10590)%branchR2(0:0))
      call avR2(10590, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(10591)%branchR2(0:1))
      call avR2(10591, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2932/))

      call avR2(10591, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10472)%branchR2(0:0))
      call avR2(10472, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(5863)%branchR2(0:0))
      call avR2(5863, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(5682)%branchR2(0:0))
      call avR2(5682, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(4467)%branchR2(0:1))
      call avR2(4467, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(4467, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(4855)%branchR2(0:0))
      call avR2(4855, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(9707)%branchR2(0:0))
      call avR2(9707, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(8178)%branchR2(0:1))
      call avR2(8178, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(8178, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(10592)%branchR2(0:0))
      call avR2(10592, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(4840)%branchR2(0:1))
      call avR2(4840, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(4840, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(9482)%branchR2(0:0))
      call avR2(9482, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9577)%branchR2(0:0))
      call avR2(9577, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8397)%branchR2(0:0))
      call avR2(8397, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(6357)%branchR2(0:0))
      call avR2(6357, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9961)%branchR2(0:0))
      call avR2(9961, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(3528)%branchR2(0:0))
      call avR2(3528, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2792)%branchR2(0:0))
      call avR2(2792, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4136)%branchR2(0:1))
      call avR2(4136, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2702/))

      call avR2(4136, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4783)%branchR2(0:0))
      call avR2(4783, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(2620)%branchR2(0:1))
      call avR2(2620, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(2620, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(7803)%branchR2(0:0))
      call avR2(7803, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(2044)%branchR2(0:0))
      call avR2(2044, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(9601)%branchR2(0:0))
      call avR2(9601, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(10400)%branchR2(0:0))
      call avR2(10400, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(9464)%branchR2(0:0))
      call avR2(9464, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9559)%branchR2(0:0))
      call avR2(9559, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2459/))

      allocate(vertices(7753)%branchR2(0:0))
      call avR2(7753, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(5954)%branchR2(0:0))
      call avR2(5954, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(9347)%branchR2(0:0))
      call avR2(9347, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2402, nGC_2401/))

      allocate(vertices(1659)%branchR2(0:1))
      call avR2(1659, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(1659, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(4183)%branchR2(0:0))
      call avR2(4183, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4686)%branchR2(0:0))
      call avR2(4686, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(6709)%branchR2(0:0))
      call avR2(6709, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7994)%branchR2(0:0))
      call avR2(7994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10593)%branchR2(0:0))
      call avR2(10593, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2536/))

      allocate(vertices(10454)%branchR2(0:0))
      call avR2(10454, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(5256)%branchR2(0:0))
      call avR2(5256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7744)%branchR2(0:1))
      call avR2(7744, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(7744, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(6066)%branchR2(0:0))
      call avR2(6066, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9488)%branchR2(0:0))
      call avR2(9488, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2525/))

      allocate(vertices(5729)%branchR2(0:0))
      call avR2(5729, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9655)%branchR2(0:0))
      call avR2(9655, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1961)%branchR2(0:3))
      call avR2(1961, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(1961, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(1961, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(1961, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2756, nGC_2757/))

      allocate(vertices(3096)%branchR2(0:0))
      call avR2(3096, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(10433)%branchR2(0:0))
      call avR2(10433, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10594)%branchR2(0:1))
      call avR2(10594, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2832/))

      call avR2(10594, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2833/))

      allocate(vertices(2426)%branchR2(0:0))
      call avR2(2426, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(4818)%branchR2(0:1))
      call avR2(4818, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2702/))

      call avR2(4818, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6750)%branchR2(0:0))
      call avR2(6750, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5008)%branchR2(0:0))
      call avR2(5008, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2804,       &
      nGC_2803/))

      allocate(vertices(4772)%branchR2(0:0))
      call avR2(4772, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(9801)%branchR2(0:0))
      call avR2(9801, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(4422)%branchR2(0:0))
      call avR2(4422, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2598/))

      allocate(vertices(5926)%branchR2(0:0))
      call avR2(5926, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(5481)%branchR2(0:0))
      call avR2(5481, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(7355)%branchR2(0:0))
      call avR2(7355, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(10595)%branchR2(0:0))
      call avR2(10595, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9879)%branchR2(0:0))
      call avR2(9879, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10596)%branchR2(0:0))
      call avR2(10596, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(8498)%branchR2(0:0))
      call avR2(8498, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(3038)%branchR2(0:0))
      call avR2(3038, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10597)%branchR2(0:0))
      call avR2(10597, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(8713)%branchR2(0:0))
      call avR2(8713, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5963)%branchR2(0:0))
      call avR2(5963, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

    end subroutine fill_vertices_mdl21
end module vertices_info21
