!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl22()
      allocate(vertices(9819)%branchR2(0:0))
      call avR2(9819, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(8199)%branchR2(0:0))
      call avR2(8199, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(10469)%branchR2(0:0))
      call avR2(10469, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(2776)%branchR2(0:0))
      call avR2(2776, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10111)%branchR2(0:0))
      call avR2(10111, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(4752)%branchR2(0:0))
      call avR2(4752, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(1755)%branchR2(0:0))
      call avR2(1755, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(10020)%branchR2(0:0))
      call avR2(10020, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(4746)%branchR2(0:0))
      call avR2(4746, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(5563)%branchR2(0:0))
      call avR2(5563, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6325)%branchR2(0:3))
      call avR2(6325, 0, 56, 1, 0, FaVF0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6325, 1, 56, 1, 0, FaVF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6325, 2, 57, 1, 0, FaVF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6325, 3, 57, 1, 0, FaVF0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(3588)%branchR2(0:0))
      call avR2(3588, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(2283)%branchR2(0:0))
      call avR2(2283, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10598)%branchR2(0:1))
      call avR2(10598, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2895/))

      call avR2(10598, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(4327)%branchR2(0:1))
      call avR2(4327, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(4327, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(7985)%branchR2(0:0))
      call avR2(7985, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(2309)%branchR2(0:0))
      call avR2(2309, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9380)%branchR2(0:0))
      call avR2(9380, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2606)%branchR2(0:0))
      call avR2(2606, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(10599)%branchR2(0:1))
      call avR2(10599, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2929/))

      call avR2(10599, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2930/))

      allocate(vertices(9004)%branchR2(0:0))
      call avR2(9004, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(7693)%branchR2(0:1))
      call avR2(7693, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(7693, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(10130)%branchR2(0:0))
      call avR2(10130, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(7813)%branchR2(0:0))
      call avR2(7813, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(9191)%branchR2(0:0))
      call avR2(9191, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2406, nGC_2405/))

      allocate(vertices(6101)%branchR2(0:0))
      call avR2(6101, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10600)%branchR2(0:1))
      call avR2(10600, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2832/))

      call avR2(10600, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2833/))

      allocate(vertices(9143)%branchR2(0:0))
      call avR2(9143, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(4491)%branchR2(0:0))
      call avR2(4491, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8036)%branchR2(0:0))
      call avR2(8036, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(10601)%branchR2(0:1))
      call avR2(10601, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2928/))

      call avR2(10601, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2927/))

      allocate(vertices(4846)%branchR2(0:0))
      call avR2(4846, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(4473)%branchR2(0:0))
      call avR2(4473, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1954)%branchR2(0:0))
      call avR2(1954, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7558)%branchR2(0:0))
      call avR2(7558, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(9546)%branchR2(0:0))
      call avR2(9546, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3884)%branchR2(0:0))
      call avR2(3884, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9528)%branchR2(0:0))
      call avR2(9528, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10602)%branchR2(0:1))
      call avR2(10602, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2847/))

      call avR2(10602, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10603)%branchR2(0:0))
      call avR2(10603, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2804,        &
      nGC_2805/))

      allocate(vertices(3296)%branchR2(0:1))
      call avR2(3296, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2708/))

      call avR2(3296, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3259)%branchR2(0:0))
      call avR2(3259, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(5512)%branchR2(0:0))
      call avR2(5512, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3581)%branchR2(0:0))
      call avR2(3581, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(9564)%branchR2(0:0))
      call avR2(9564, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(8798)%branchR2(0:0))
      call avR2(8798, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7799)%branchR2(0:0))
      call avR2(7799, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(6203)%branchR2(0:0))
      call avR2(6203, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2804,       &
      nGC_2805/))

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2527/))

      allocate(vertices(6070)%branchR2(0:0))
      call avR2(6070, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10011)%branchR2(0:1))
      call avR2(10011, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2451, nGC_2451/))

      call avR2(10011, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2452, nGC_2452/))

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(3316)%branchR2(0:0))
      call avR2(3316, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(3050)%branchR2(0:1))
      call avR2(3050, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2734, nGC_2735/))

      call avR2(3050, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(2582)%branchR2(0:0))
      call avR2(2582, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8903)%branchR2(0:0))
      call avR2(8903, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4055/))

      allocate(vertices(1665)%branchR2(0:0))
      call avR2(1665, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(3847)%branchR2(0:0))
      call avR2(3847, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(3815)%branchR2(0:0))
      call avR2(3815, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(5332)%branchR2(0:0))
      call avR2(5332, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(9785)%branchR2(0:0))
      call avR2(9785, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9154)%branchR2(0:0))
      call avR2(9154, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3056)%branchR2(0:0))
      call avR2(3056, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(5952)%branchR2(0:0))
      call avR2(5952, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(7087)%branchR2(0:0))
      call avR2(7087, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2600/))

      allocate(vertices(2853)%branchR2(0:0))
      call avR2(2853, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(4561)%branchR2(0:0))
      call avR2(4561, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7568)%branchR2(0:0))
      call avR2(7568, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2578/))

      allocate(vertices(5118)%branchR2(0:0))
      call avR2(5118, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(7638)%branchR2(0:0))
      call avR2(7638, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(5631)%branchR2(0:1))
      call avR2(5631, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2707/))

      call avR2(5631, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2942)%branchR2(0:0))
      call avR2(2942, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(10604)%branchR2(0:1))
      call avR2(10604, 0, 144, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      call avR2(10604, 1, 143, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      allocate(vertices(3989)%branchR2(0:0))
      call avR2(3989, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(9036)%branchR2(0:0))
      call avR2(9036, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4169)%branchR2(0:0))
      call avR2(4169, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9999)%branchR2(0:0))
      call avR2(9999, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2404, nGC_2403/))

      allocate(vertices(8768)%branchR2(0:0))
      call avR2(8768, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(4048)%branchR2(0:0))
      call avR2(4048, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(5330)%branchR2(0:0))
      call avR2(5330, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(3502)%branchR2(0:0))
      call avR2(3502, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(5152)%branchR2(0:0))
      call avR2(5152, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2609/))

      allocate(vertices(9537)%branchR2(0:0))
      call avR2(9537, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(9209)%branchR2(0:0))
      call avR2(9209, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(8502)%branchR2(0:0))
      call avR2(8502, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(9098)%branchR2(0:0))
      call avR2(9098, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(8233)%branchR2(0:0))
      call avR2(8233, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(10605)%branchR2(0:1))
      call avR2(10605, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2930/))

      call avR2(10605, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(4568)%branchR2(0:0))
      call avR2(4568, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(8819)%branchR2(0:0))
      call avR2(8819, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5712)%branchR2(0:0))
      call avR2(5712, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4037/))

      allocate(vertices(366)%branchR2(0:0))
      call avR2(366, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(2806)%branchR2(0:0))
      call avR2(2806, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(1253)%branchR2(0:1))
      call avR2(1253, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(1253, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(9929)%branchR2(0:0))
      call avR2(9929, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(9972)%branchR2(0:0))
      call avR2(9972, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(10290)%branchR2(0:0))
      call avR2(10290, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3308)%branchR2(0:0))
      call avR2(3308, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2195)%branchR2(0:0))
      call avR2(2195, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8891)%branchR2(0:0))
      call avR2(8891, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(5614)%branchR2(0:1))
      call avR2(5614, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(5614, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(9975)%branchR2(0:0))
      call avR2(9975, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4030/))

      allocate(vertices(2960)%branchR2(0:0))
      call avR2(2960, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10606)%branchR2(0:1))
      call avR2(10606, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2935, nGC_2935,    &
      nGC_2935/))

      call avR2(10606, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2934, nGC_2934,    &
      nGC_2934/))

      allocate(vertices(5653)%branchR2(0:0))
      call avR2(5653, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(7051)%branchR2(0:0))
      call avR2(7051, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(9458)%branchR2(0:0))
      call avR2(9458, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6741)%branchR2(0:0))
      call avR2(6741, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(5448)%branchR2(0:1))
      call avR2(5448, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(5448, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(6554)%branchR2(0:0))
      call avR2(6554, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7648)%branchR2(0:0))
      call avR2(7648, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(4582)%branchR2(0:0))
      call avR2(4582, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(6718)%branchR2(0:1))
      call avR2(6718, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(6718, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(8628)%branchR2(0:0))
      call avR2(8628, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8079)%branchR2(0:0))
      call avR2(8079, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(6880)%branchR2(0:0))
      call avR2(6880, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2524/))

      allocate(vertices(4494)%branchR2(0:0))
      call avR2(4494, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(3076)%branchR2(0:0))
      call avR2(3076, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(9185)%branchR2(0:1))
      call avR2(9185, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2457, nGC_2457/))

      call avR2(9185, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2456, nGC_2456/))

      allocate(vertices(10607)%branchR2(0:0))
      call avR2(10607, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(7856)%branchR2(0:0))
      call avR2(7856, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(7313)%branchR2(0:0))
      call avR2(7313, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(7005)%branchR2(0:0))
      call avR2(7005, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(8527)%branchR2(0:0))
      call avR2(8527, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(4540)%branchR2(0:0))
      call avR2(4540, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(9854)%branchR2(0:0))
      call avR2(9854, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7424)%branchR2(0:0))
      call avR2(7424, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(3094)%branchR2(0:0))
      call avR2(3094, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2366)%branchR2(0:0))
      call avR2(2366, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(4627)%branchR2(0:0))
      call avR2(4627, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2579/))

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(3985)%branchR2(0:0))
      call avR2(3985, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(6019)%branchR2(0:3))
      call avR2(6019, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(6019, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(6019, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(6019, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(5975)%branchR2(0:0))
      call avR2(5975, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(8524)%branchR2(0:0))
      call avR2(8524, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(5432)%branchR2(0:0))
      call avR2(5432, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10232)%branchR2(0:0))
      call avR2(10232, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(1946)%branchR2(0:0))
      call avR2(1946, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(6540)%branchR2(0:0))
      call avR2(6540, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(4142)%branchR2(0:0))
      call avR2(4142, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(7974)%branchR2(0:0))
      call avR2(7974, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(5734)%branchR2(0:0))
      call avR2(5734, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8680)%branchR2(0:0))
      call avR2(8680, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4033/))

      allocate(vertices(3910)%branchR2(0:1))
      call avR2(3910, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(3910, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(10608)%branchR2(0:1))
      call avR2(10608, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2898/))

      call avR2(10608, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2899/))

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(6407)%branchR2(0:0))
      call avR2(6407, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8868)%branchR2(0:0))
      call avR2(8868, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7894)%branchR2(0:1))
      call avR2(7894, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2488, nGC_2489/))

      call avR2(7894, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10609)%branchR2(0:0))
      call avR2(10609, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6470)%branchR2(0:0))
      call avR2(6470, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2494/))

      allocate(vertices(4266)%branchR2(0:0))
      call avR2(4266, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(4910)%branchR2(0:0))
      call avR2(4910, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2954)%branchR2(0:0))
      call avR2(2954, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2599/))

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(2012)%branchR2(0:0))
      call avR2(2012, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(3839)%branchR2(0:0))
      call avR2(3839, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(6705)%branchR2(0:0))
      call avR2(6705, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(4901)%branchR2(0:0))
      call avR2(4901, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(4978)%branchR2(0:1))
      call avR2(4978, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(4978, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(4730)%branchR2(0:0))
      call avR2(4730, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(7433)%branchR2(0:0))
      call avR2(7433, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3877)%branchR2(0:0))
      call avR2(3877, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(6708)%branchR2(0:0))
      call avR2(6708, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(10319)%branchR2(0:0))
      call avR2(10319, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(355)%branchR2(0:1))
      call avR2(355, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(355, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(9889)%branchR2(0:0))
      call avR2(9889, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1090)%branchR2(0:3))
      call avR2(1090, 0, 56, 1, 0, FaVF0, (/1, 2/), (/nGC_2758, nGC_2759/))

      call avR2(1090, 1, 56, 1, 0, FaVF0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(1090, 2, 57, 1, 0, FaVF0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(1090, 3, 57, 1, 0, FaVF0, (/1, 2/), (/nGC_2756, nGC_2757/))

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(1158)%branchR2(0:1))
      call avR2(1158, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_2702/))

      call avR2(1158, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(9776)%branchR2(0:0))
      call avR2(9776, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7111)%branchR2(0:0))
      call avR2(7111, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(7012)%branchR2(0:0))
      call avR2(7012, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4329)%branchR2(0:0))
      call avR2(4329, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(10144)%branchR2(0:0))
      call avR2(10144, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3920)%branchR2(0:0))
      call avR2(3920, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(8869)%branchR2(0:0))
      call avR2(8869, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2450/))

      allocate(vertices(10610)%branchR2(0:0))
      call avR2(10610, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(4249)%branchR2(0:0))
      call avR2(4249, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(6048)%branchR2(0:0))
      call avR2(6048, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(9055)%branchR2(0:0))
      call avR2(9055, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(5233)%branchR2(0:0))
      call avR2(5233, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(2499)%branchR2(0:0))
      call avR2(2499, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10406)%branchR2(0:0))
      call avR2(10406, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(5413)%branchR2(0:0))
      call avR2(5413, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2495/))

      allocate(vertices(5471)%branchR2(0:0))
      call avR2(5471, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(1661)%branchR2(0:1))
      call avR2(1661, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(1661, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(3317)%branchR2(0:0))
      call avR2(3317, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(3732)%branchR2(0:0))
      call avR2(3732, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2542/))

      allocate(vertices(5379)%branchR2(0:0))
      call avR2(5379, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10611)%branchR2(0:1))
      call avR2(10611, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2930/))

      call avR2(10611, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(5761)%branchR2(0:0))
      call avR2(5761, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2655, nGC_2656/))

      allocate(vertices(3939)%branchR2(0:0))
      call avR2(3939, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(6142)%branchR2(0:1))
      call avR2(6142, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(6142, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(10612)%branchR2(0:1))
      call avR2(10612, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10612, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(9028)%branchR2(0:0))
      call avR2(9028, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(7930)%branchR2(0:1))
      call avR2(7930, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2702/))

      call avR2(7930, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4331)%branchR2(0:0))
      call avR2(4331, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(4300)%branchR2(0:0))
      call avR2(4300, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(3379)%branchR2(0:0))
      call avR2(3379, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(2341)%branchR2(0:0))
      call avR2(2341, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(10169)%branchR2(0:0))
      call avR2(10169, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(3274)%branchR2(0:0))
      call avR2(3274, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6561)%branchR2(0:0))
      call avR2(6561, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(10613)%branchR2(0:0))
      call avR2(10613, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(6235)%branchR2(0:0))
      call avR2(6235, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2460/))

      allocate(vertices(10013)%branchR2(0:0))
      call avR2(10013, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2420, nGC_2419/))

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3952)%branchR2(0:1))
      call avR2(3952, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(3952, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(7704)%branchR2(0:0))
      call avR2(7704, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(8993)%branchR2(0:0))
      call avR2(8993, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(6083)%branchR2(0:0))
      call avR2(6083, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5607)%branchR2(0:0))
      call avR2(5607, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(8049)%branchR2(0:0))
      call avR2(8049, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3399)%branchR2(0:0))
      call avR2(3399, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(6588)%branchR2(0:0))
      call avR2(6588, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(2710)%branchR2(0:0))
      call avR2(2710, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(4104)%branchR2(0:0))
      call avR2(4104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9968)%branchR2(0:0))
      call avR2(9968, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(5832)%branchR2(0:0))
      call avR2(5832, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7713)%branchR2(0:0))
      call avR2(7713, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4053/))

      allocate(vertices(4448)%branchR2(0:0))
      call avR2(4448, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8706)%branchR2(0:3))
      call avR2(8706, 0, 59, 1, 0, FVFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(8706, 1, 59, 1, 0, FVFa0, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(8706, 2, 58, 1, 0, FVFa0, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(8706, 3, 58, 1, 0, FVFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(10277)%branchR2(0:0))
      call avR2(10277, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(875)%branchR2(0:1))
      call avR2(875, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(875, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(10614)%branchR2(0:0))
      call avR2(10614, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(10615)%branchR2(0:0))
      call avR2(10615, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(10616)%branchR2(0:0))
      call avR2(10616, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3949)%branchR2(0:0))
      call avR2(3949, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(5610)%branchR2(0:0))
      call avR2(5610, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5503)%branchR2(0:1))
      call avR2(5503, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(5503, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(9284)%branchR2(0:0))
      call avR2(9284, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9090)%branchR2(0:0))
      call avR2(9090, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(4959)%branchR2(0:0))
      call avR2(4959, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(9453)%branchR2(0:0))
      call avR2(9453, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(9430)%branchR2(0:0))
      call avR2(9430, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10100)%branchR2(0:0))
      call avR2(10100, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1743)%branchR2(0:1))
      call avR2(1743, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(1743, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(4963)%branchR2(0:0))
      call avR2(4963, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(10617)%branchR2(0:1))
      call avR2(10617, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2847/))

      call avR2(10617, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(1724)%branchR2(0:1))
      call avR2(1724, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(1724, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(7992)%branchR2(0:0))
      call avR2(7992, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(4375)%branchR2(0:0))
      call avR2(4375, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(10101)%branchR2(0:0))
      call avR2(10101, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(5904)%branchR2(0:0))
      call avR2(5904, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(1074)%branchR2(0:1))
      call avR2(1074, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2555, nGC_2553/))

      call avR2(1074, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2556, nGC_2554/))

      allocate(vertices(10618)%branchR2(0:1))
      call avR2(10618, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2884/))

      call avR2(10618, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2883/))

      allocate(vertices(7172)%branchR2(0:1))
      call avR2(7172, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(7172, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10619)%branchR2(0:0))
      call avR2(10619, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(3358)%branchR2(0:0))
      call avR2(3358, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5445)%branchR2(0:0))
      call avR2(5445, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(6222)%branchR2(0:0))
      call avR2(6222, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(10009)%branchR2(0:0))
      call avR2(10009, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(6069)%branchR2(0:0))
      call avR2(6069, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(8709)%branchR2(0:0))
      call avR2(8709, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(6732)%branchR2(0:0))
      call avR2(6732, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4807)%branchR2(0:1))
      call avR2(4807, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(4807, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(7204)%branchR2(0:0))
      call avR2(7204, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4994)%branchR2(0:0))
      call avR2(4994, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(6385)%branchR2(0:0))
      call avR2(6385, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(10620)%branchR2(0:1))
      call avR2(10620, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2918/))

      call avR2(10620, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2917/))

      allocate(vertices(6200)%branchR2(0:0))
      call avR2(6200, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10621)%branchR2(0:0))
      call avR2(10621, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(9038)%branchR2(0:0))
      call avR2(9038, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(7543)%branchR2(0:0))
      call avR2(7543, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(8326)%branchR2(0:1))
      call avR2(8326, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(8326, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(9989)%branchR2(0:0))
      call avR2(9989, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(9605)%branchR2(0:0))
      call avR2(9605, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6286)%branchR2(0:0))
      call avR2(6286, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(7339)%branchR2(0:0))
      call avR2(7339, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4031/))

      allocate(vertices(7912)%branchR2(0:0))
      call avR2(7912, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(4529)%branchR2(0:0))
      call avR2(4529, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(3759)%branchR2(0:1))
      call avR2(3759, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2573, nGC_2571/))

      call avR2(3759, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2574, nGC_2572/))

      allocate(vertices(3611)%branchR2(0:0))
      call avR2(3611, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7573)%branchR2(0:0))
      call avR2(7573, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8016)%branchR2(0:0))
      call avR2(8016, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(9423)%branchR2(0:0))
      call avR2(9423, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(2682)%branchR2(0:1))
      call avR2(2682, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(2682, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(6247)%branchR2(0:0))
      call avR2(6247, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(7863)%branchR2(0:1))
      call avR2(7863, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(7863, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(9349)%branchR2(0:1))
      call avR2(9349, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2433, nGC_2430,      &
      nGC_2438, nGC_2438/))

      call avR2(9349, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2439, nGC_2439/))

      allocate(vertices(3281)%branchR2(0:0))
      call avR2(3281, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(9246)%branchR2(0:0))
      call avR2(9246, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(5931)%branchR2(0:0))
      call avR2(5931, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4447)%branchR2(0:0))
      call avR2(4447, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(5224)%branchR2(0:0))
      call avR2(5224, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(4995)%branchR2(0:1))
      call avR2(4995, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(4995, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(9665)%branchR2(0:0))
      call avR2(9665, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(5865)%branchR2(0:0))
      call avR2(5865, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(4022)%branchR2(0:0))
      call avR2(4022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9511)%branchR2(0:0))
      call avR2(9511, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(5323)%branchR2(0:0))
      call avR2(5323, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5088)%branchR2(0:0))
      call avR2(5088, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(8730)%branchR2(0:0))
      call avR2(8730, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(10293)%branchR2(0:0))
      call avR2(10293, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(3934)%branchR2(0:0))
      call avR2(3934, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(3650)%branchR2(0:0))
      call avR2(3650, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4056/))

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(9519)%branchR2(0:0))
      call avR2(9519, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8139)%branchR2(0:0))
      call avR2(8139, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10034)%branchR2(0:0))
      call avR2(10034, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(10622)%branchR2(0:0))
      call avR2(10622, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2788, nGC_2788,      &
      nGC_2787/))

      allocate(vertices(7460)%branchR2(0:0))
      call avR2(7460, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2599/))

      allocate(vertices(5207)%branchR2(0:0))
      call avR2(5207, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(4132)%branchR2(0:1))
      call avR2(4132, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2612, nGC_2610/))

      call avR2(4132, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2613, nGC_2611/))

      allocate(vertices(980)%branchR2(0:0))
      call avR2(980, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4056/))

      allocate(vertices(9675)%branchR2(0:0))
      call avR2(9675, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(3218)%branchR2(0:0))
      call avR2(3218, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3425)%branchR2(0:1))
      call avR2(3425, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(3425, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(6594)%branchR2(0:0))
      call avR2(6594, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10623)%branchR2(0:0))
      call avR2(10623, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(9943)%branchR2(0:0))
      call avR2(9943, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(7902)%branchR2(0:0))
      call avR2(7902, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(4307)%branchR2(0:0))
      call avR2(4307, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(9461)%branchR2(0:0))
      call avR2(9461, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(2959)%branchR2(0:0))
      call avR2(2959, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(4652)%branchR2(0:3))
      call avR2(4652, 0, 53, 1, 0, VFaF1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(4652, 1, 53, 1, 0, VFaF1, (/1, 2/), (/nGC_2746, nGC_2747/))

      call avR2(4652, 2, 52, 1, 0, VFaF1, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(4652, 3, 52, 1, 0, VFaF1, (/1, 2/), (/nGC_2748, nGC_2749/))

      allocate(vertices(2989)%branchR2(0:0))
      call avR2(2989, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2523/))

      allocate(vertices(6899)%branchR2(0:0))
      call avR2(6899, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(7331)%branchR2(0:0))
      call avR2(7331, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2865/))

      allocate(vertices(9109)%branchR2(0:0))
      call avR2(9109, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(4683)%branchR2(0:1))
      call avR2(4683, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(4683, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(1197)%branchR2(0:1))
      call avR2(1197, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_2707/))

      call avR2(1197, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(9192)%branchR2(0:0))
      call avR2(9192, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_2441, nGC_2449,       &
      nGC_2449, nGC_2442/))

      allocate(vertices(2329)%branchR2(0:0))
      call avR2(2329, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(2284)%branchR2(0:0))
      call avR2(2284, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(8612)%branchR2(0:0))
      call avR2(8612, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(10624)%branchR2(0:0))
      call avR2(10624, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(8718)%branchR2(0:0))
      call avR2(8718, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5637)%branchR2(0:0))
      call avR2(5637, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(10625)%branchR2(0:1))
      call avR2(10625, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2930/))

      call avR2(10625, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(2198)%branchR2(0:0))
      call avR2(2198, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(10626)%branchR2(0:1))
      call avR2(10626, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2899/))

      call avR2(10626, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(4739)%branchR2(0:0))
      call avR2(4739, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(3293)%branchR2(0:0))
      call avR2(3293, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(1953)%branchR2(0:0))
      call avR2(1953, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(5472)%branchR2(0:0))
      call avR2(5472, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(10399)%branchR2(0:0))
      call avR2(10399, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10627)%branchR2(0:1))
      call avR2(10627, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2923, nGC_2923,    &
      nGC_2923/))

      call avR2(10627, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(9251)%branchR2(0:0))
      call avR2(9251, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(9138)%branchR2(0:0))
      call avR2(9138, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(10628)%branchR2(0:1))
      call avR2(10628, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2847/))

      call avR2(10628, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(6084)%branchR2(0:0))
      call avR2(6084, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(4894)%branchR2(0:1))
      call avR2(4894, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(4894, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(10629)%branchR2(0:0))
      call avR2(10629, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7464)%branchR2(0:0))
      call avR2(7464, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3763)%branchR2(0:1))
      call avR2(3763, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(3763, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(10630)%branchR2(0:0))
      call avR2(10630, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(4802)%branchR2(0:1))
      call avR2(4802, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(4802, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(9354)%branchR2(0:0))
      call avR2(9354, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6502)%branchR2(0:0))
      call avR2(6502, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(6577)%branchR2(0:0))
      call avR2(6577, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(9061)%branchR2(0:0))
      call avR2(9061, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(7862)%branchR2(0:0))
      call avR2(7862, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2819/))

      allocate(vertices(2029)%branchR2(0:0))
      call avR2(2029, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10087)%branchR2(0:0))
      call avR2(10087, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3600)%branchR2(0:0))
      call avR2(3600, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(4597)%branchR2(0:0))
      call avR2(4597, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10631)%branchR2(0:1))
      call avR2(10631, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2848/))

      call avR2(10631, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2847/))

      allocate(vertices(3412)%branchR2(0:0))
      call avR2(3412, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(7964)%branchR2(0:0))
      call avR2(7964, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(3405)%branchR2(0:1))
      call avR2(3405, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_2702/))

      call avR2(3405, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10048)%branchR2(0:0))
      call avR2(10048, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5062)%branchR2(0:0))
      call avR2(5062, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2482, nGC_2481/))

      allocate(vertices(10632)%branchR2(0:1))
      call avR2(10632, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      call avR2(10632, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      allocate(vertices(8794)%branchR2(0:0))
      call avR2(8794, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(6936)%branchR2(0:0))
      call avR2(6936, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7011)%branchR2(0:0))
      call avR2(7011, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(913)%branchR2(0:1))
      call avR2(913, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(913, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(4195)%branchR2(0:0))
      call avR2(4195, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(7644)%branchR2(0:0))
      call avR2(7644, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(3073)%branchR2(0:0))
      call avR2(3073, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(8938)%branchR2(0:0))
      call avR2(8938, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(4709)%branchR2(0:0))
      call avR2(4709, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(6507)%branchR2(0:0))
      call avR2(6507, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(10633)%branchR2(0:0))
      call avR2(10633, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(8340)%branchR2(0:0))
      call avR2(8340, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10634)%branchR2(0:1))
      call avR2(10634, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2884/))

      call avR2(10634, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2883/))

      allocate(vertices(6411)%branchR2(0:1))
      call avR2(6411, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(6411, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(434)%branchR2(0:0))
      call avR2(434, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(2623)%branchR2(0:0))
      call avR2(2623, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2557, nGC_2558/))

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(4283)%branchR2(0:0))
      call avR2(4283, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(3382)%branchR2(0:0))
      call avR2(3382, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(8580)%branchR2(0:0))
      call avR2(8580, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(1603)%branchR2(0:0))
      call avR2(1603, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(8849)%branchR2(0:0))
      call avR2(8849, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(9790)%branchR2(0:0))
      call avR2(9790, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(7035)%branchR2(0:0))
      call avR2(7035, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10635)%branchR2(0:1))
      call avR2(10635, 0, 136, 1, 0, VVVV1, (/2, 2/), (/nGC_2923, nGC_2923,    &
      nGC_2923/))

      call avR2(10635, 1, 135, 1, 0, VVVV1, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(5215)%branchR2(0:1))
      call avR2(5215, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(5215, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(10636)%branchR2(0:1))
      call avR2(10636, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      call avR2(10636, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      allocate(vertices(7283)%branchR2(0:0))
      call avR2(7283, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(2334)%branchR2(0:1))
      call avR2(2334, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(2334, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(3426)%branchR2(0:0))
      call avR2(3426, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4987)%branchR2(0:0))
      call avR2(4987, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4057/))

      allocate(vertices(9311)%branchR2(0:0))
      call avR2(9311, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2458/))

      allocate(vertices(8736)%branchR2(0:0))
      call avR2(8736, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10637)%branchR2(0:0))
      call avR2(10637, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(1703)%branchR2(0:0))
      call avR2(1703, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2920, nGC_2921,       &
      nGC_2921/))

      allocate(vertices(9828)%branchR2(0:0))
      call avR2(9828, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(3586)%branchR2(0:1))
      call avR2(3586, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2617, nGC_2615/))

      call avR2(3586, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2618, nGC_2616/))

      allocate(vertices(1517)%branchR2(0:0))
      call avR2(1517, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9293)%branchR2(0:0))
      call avR2(9293, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(4587)%branchR2(0:0))
      call avR2(4587, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(8093)%branchR2(0:0))
      call avR2(8093, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4032/))

      allocate(vertices(5917)%branchR2(0:0))
      call avR2(5917, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(1185)%branchR2(0:1))
      call avR2(1185, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(1185, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(9409)%branchR2(0:0))
      call avR2(9409, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8191)%branchR2(0:1))
      call avR2(8191, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(8191, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(8371)%branchR2(0:0))
      call avR2(8371, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5646)%branchR2(0:0))
      call avR2(5646, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(10116)%branchR2(0:0))
      call avR2(10116, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2428, nGC_2426,       &
      nGC_2427/))

      allocate(vertices(4451)%branchR2(0:0))
      call avR2(4451, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2569, nGC_2570/))

      allocate(vertices(6002)%branchR2(0:0))
      call avR2(6002, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(5209)%branchR2(0:0))
      call avR2(5209, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(7905)%branchR2(0:0))
      call avR2(7905, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(6194)%branchR2(0:0))
      call avR2(6194, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(6499)%branchR2(0:0))
      call avR2(6499, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(1860)%branchR2(0:0))
      call avR2(1860, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(4814)%branchR2(0:0))
      call avR2(4814, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(8668)%branchR2(0:0))
      call avR2(8668, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(10123)%branchR2(0:0))
      call avR2(10123, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(5874)%branchR2(0:0))
      call avR2(5874, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(7086)%branchR2(0:0))
      call avR2(7086, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(5416)%branchR2(0:0))
      call avR2(5416, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2772, nGC_2773,       &
      nGC_2771/))

      allocate(vertices(10638)%branchR2(0:0))
      call avR2(10638, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2864/))

      allocate(vertices(7796)%branchR2(0:0))
      call avR2(7796, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5072)%branchR2(0:0))
      call avR2(5072, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2537/))

      allocate(vertices(5310)%branchR2(0:0))
      call avR2(5310, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(7308)%branchR2(0:0))
      call avR2(7308, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4060)%branchR2(0:0))
      call avR2(4060, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2520/))

      allocate(vertices(10639)%branchR2(0:0))
      call avR2(10639, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2788, nGC_2787,      &
      nGC_2788/))

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(6595)%branchR2(0:1))
      call avR2(6595, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(6595, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(7865)%branchR2(0:0))
      call avR2(7865, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8856)%branchR2(0:0))
      call avR2(8856, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(10640)%branchR2(0:0))
      call avR2(10640, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2659)%branchR2(0:0))
      call avR2(2659, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4046/))

      allocate(vertices(8373)%branchR2(0:0))
      call avR2(8373, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(2459)%branchR2(0:0))
      call avR2(2459, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(10177)%branchR2(0:0))
      call avR2(10177, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10641)%branchR2(0:0))
      call avR2(10641, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2933, nGC_2933,      &
      nGC_2933/))

      allocate(vertices(6304)%branchR2(0:1))
      call avR2(6304, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(6304, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(3685)%branchR2(0:0))
      call avR2(3685, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2674/))

      allocate(vertices(2109)%branchR2(0:0))
      call avR2(2109, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(6878)%branchR2(0:0))
      call avR2(6878, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4043/))

      allocate(vertices(10308)%branchR2(0:0))
      call avR2(10308, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9083)%branchR2(0:0))
      call avR2(9083, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(6043)%branchR2(0:0))
      call avR2(6043, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(9996)%branchR2(0:0))
      call avR2(9996, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(5742)%branchR2(0:0))
      call avR2(5742, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2709/))

      allocate(vertices(6651)%branchR2(0:0))
      call avR2(6651, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(9663)%branchR2(0:0))
      call avR2(9663, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(2948)%branchR2(0:0))
      call avR2(2948, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(10642)%branchR2(0:1))
      call avR2(10642, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2899/))

      call avR2(10642, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2898/))

      allocate(vertices(10393)%branchR2(0:0))
      call avR2(10393, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(1022)%branchR2(0:0))
      call avR2(1022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(6360)%branchR2(0:0))
      call avR2(6360, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(5175)%branchR2(0:0))
      call avR2(5175, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2623, nGC_2624/))

      allocate(vertices(10643)%branchR2(0:1))
      call avR2(10643, 0, 125, 1, 0, SVV0, (/2, 1/), (/nGC_2688/))

      call avR2(10643, 1, 126, 1, 0, SVV0, (/2, 1/), (/nGC_2689/))

      allocate(vertices(9484)%branchR2(0:0))
      call avR2(9484, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(7461)%branchR2(0:0))
      call avR2(7461, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2812/))

      allocate(vertices(9455)%branchR2(0:0))
      call avR2(9455, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7860)%branchR2(0:1))
      call avR2(7860, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(7860, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(4510)%branchR2(0:0))
      call avR2(4510, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9648)%branchR2(0:1))
      call avR2(9648, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_2433, nGC_2430,       &
      nGC_2431, nGC_2431/))

      call avR2(9648, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2432, nGC_2432/))

      allocate(vertices(10092)%branchR2(0:0))
      call avR2(10092, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(7633)%branchR2(0:0))
      call avR2(7633, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(362)%branchR2(0:0))
      call avR2(362, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(8855)%branchR2(0:0))
      call avR2(8855, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(4338)%branchR2(0:0))
      call avR2(4338, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(8820)%branchR2(0:0))
      call avR2(8820, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2771/))

      allocate(vertices(9862)%branchR2(0:0))
      call avR2(9862, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(4899)%branchR2(0:0))
      call avR2(4899, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2726/))

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7838)%branchR2(0:0))
      call avR2(7838, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2594/))

      allocate(vertices(6464)%branchR2(0:0))
      call avR2(6464, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10409)%branchR2(0:0))
      call avR2(10409, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(9033)%branchR2(0:0))
      call avR2(9033, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(6848)%branchR2(0:0))
      call avR2(6848, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(4477)%branchR2(0:0))
      call avR2(4477, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(7007)%branchR2(0:1))
      call avR2(7007, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(7007, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(3181)%branchR2(0:0))
      call avR2(3181, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(4622)%branchR2(0:0))
      call avR2(4622, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2684, nGC_2685/))

      allocate(vertices(8113)%branchR2(0:0))
      call avR2(8113, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(4641)%branchR2(0:0))
      call avR2(4641, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2850/))

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(4547)%branchR2(0:0))
      call avR2(4547, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4050/))

      allocate(vertices(2140)%branchR2(0:0))
      call avR2(2140, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5353)%branchR2(0:0))
      call avR2(5353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(7384)%branchR2(0:0))
      call avR2(7384, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2724, nGC_2723/))

      allocate(vertices(10644)%branchR2(0:0))
      call avR2(10644, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2787, nGC_2788,      &
      nGC_2788/))

      allocate(vertices(3369)%branchR2(0:0))
      call avR2(3369, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(8454)%branchR2(0:0))
      call avR2(8454, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2807)%branchR2(0:0))
      call avR2(2807, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2926, nGC_2925,       &
      nGC_2926/))

      allocate(vertices(9029)%branchR2(0:0))
      call avR2(9029, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4048/))

      allocate(vertices(9821)%branchR2(0:0))
      call avR2(9821, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(3790)%branchR2(0:0))
      call avR2(3790, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(8090)%branchR2(0:0))
      call avR2(8090, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2846/))

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(5091)%branchR2(0:0))
      call avR2(5091, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(10645)%branchR2(0:1))
      call avR2(10645, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2930/))

      call avR2(10645, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(5905)%branchR2(0:1))
      call avR2(5905, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(5905, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(3721)%branchR2(0:0))
      call avR2(3721, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(2995)%branchR2(0:0))
      call avR2(2995, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(2579)%branchR2(0:0))
      call avR2(2579, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4041/))

      allocate(vertices(6420)%branchR2(0:0))
      call avR2(6420, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(10107)%branchR2(0:0))
      call avR2(10107, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2400, nGC_2399/))

      allocate(vertices(492)%branchR2(0:0))
      call avR2(492, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(5308)%branchR2(0:0))
      call avR2(5308, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(5309)%branchR2(0:1))
      call avR2(5309, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_2704/))

      call avR2(5309, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(9985)%branchR2(0:0))
      call avR2(9985, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(9982)%branchR2(0:0))
      call avR2(9982, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(7043)%branchR2(0:0))
      call avR2(7043, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4033/))

      allocate(vertices(6404)%branchR2(0:0))
      call avR2(6404, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(5414)%branchR2(0:0))
      call avR2(5414, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(10476)%branchR2(0:0))
      call avR2(10476, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(9330)%branchR2(0:0))
      call avR2(9330, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(9452)%branchR2(0:0))
      call avR2(9452, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(5887)%branchR2(0:0))
      call avR2(5887, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4639)%branchR2(0:0))
      call avR2(4639, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(10266)%branchR2(0:0))
      call avR2(10266, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(6875)%branchR2(0:0))
      call avR2(6875, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1927)%branchR2(0:0))
      call avR2(1927, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(10646)%branchR2(0:5))
      call avR2(10646, 0, 149, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10646, 1, 148, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10646, 2, 151, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10646, 3, 152, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10646, 4, 150, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10646, 5, 147, 1, 0, VVVV1, (/3, 1/), (/nGC_2861, nGC_2861,    &
      nGC_2861/))

      allocate(vertices(6110)%branchR2(0:0))
      call avR2(6110, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7397)%branchR2(0:0))
      call avR2(7397, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4054/))

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2905)%branchR2(0:0))
      call avR2(2905, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(9471)%branchR2(0:0))
      call avR2(9471, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(409)%branchR2(0:1))
      call avR2(409, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2719, nGC_2720/))

      call avR2(409, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(7483)%branchR2(0:0))
      call avR2(7483, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8003)%branchR2(0:0))
      call avR2(8003, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(5852)%branchR2(0:0))
      call avR2(5852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(8783)%branchR2(0:0))
      call avR2(8783, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4047/))

      allocate(vertices(10257)%branchR2(0:0))
      call avR2(10257, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(4423)%branchR2(0:0))
      call avR2(4423, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(3128)%branchR2(0:3))
      call avR2(3128, 0, 53, 1, 0, VFaF1, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(3128, 1, 53, 1, 0, VFaF1, (/1, 2/), (/nGC_2742, nGC_2743/))

      call avR2(3128, 2, 52, 1, 0, VFaF1, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(3128, 3, 52, 1, 0, VFaF1, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(2705)%branchR2(0:0))
      call avR2(2705, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9371)%branchR2(0:0))
      call avR2(9371, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(8520)%branchR2(0:0))
      call avR2(8520, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(6727)%branchR2(0:0))
      call avR2(6727, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(10455)%branchR2(0:0))
      call avR2(10455, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_4057/))

      allocate(vertices(9207)%branchR2(0:0))
      call avR2(9207, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(3285)%branchR2(0:0))
      call avR2(3285, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(5791)%branchR2(0:0))
      call avR2(5791, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9636)%branchR2(0:0))
      call avR2(9636, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(10442)%branchR2(0:0))
      call avR2(10442, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(934)%branchR2(0:1))
      call avR2(934, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(934, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6665)%branchR2(0:0))
      call avR2(6665, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(2842)%branchR2(0:1))
      call avR2(2842, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(2842, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4964)%branchR2(0:0))
      call avR2(4964, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(8641)%branchR2(0:0))
      call avR2(8641, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7160)%branchR2(0:0))
      call avR2(7160, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(3695)%branchR2(0:1))
      call avR2(3695, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2676, nGC_2675/))

      call avR2(3695, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2677, nGC_2677/))

      allocate(vertices(1999)%branchR2(0:0))
      call avR2(1999, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(865)%branchR2(0:1))
      call avR2(865, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_2711, nGC_2713/))

      call avR2(865, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6866)%branchR2(0:0))
      call avR2(6866, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(6923)%branchR2(0:0))
      call avR2(6923, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10647)%branchR2(0:0))
      call avR2(10647, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6777)%branchR2(0:1))
      call avR2(6777, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(6777, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(10648)%branchR2(0:1))
      call avR2(10648, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2895/))

      call avR2(10648, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2896/))

      allocate(vertices(3407)%branchR2(0:0))
      call avR2(3407, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(1336)%branchR2(0:1))
      call avR2(1336, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(1336, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(7259)%branchR2(0:0))
      call avR2(7259, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(3451)%branchR2(0:1))
      call avR2(3451, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(3451, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10649)%branchR2(0:0))
      call avR2(10649, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(7296)%branchR2(0:0))
      call avR2(7296, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(9750)%branchR2(0:0))
      call avR2(9750, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(1533)%branchR2(0:1))
      call avR2(1533, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(1533, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(10650)%branchR2(0:1))
      call avR2(10650, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2930/))

      call avR2(10650, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2929/))

      allocate(vertices(4707)%branchR2(0:0))
      call avR2(4707, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(2835)%branchR2(0:1))
      call avR2(2835, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(2835, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(8564)%branchR2(0:0))
      call avR2(8564, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(4426)%branchR2(0:0))
      call avR2(4426, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(4070)%branchR2(0:0))
      call avR2(4070, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(10311)%branchR2(0:0))
      call avR2(10311, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(8193)%branchR2(0:1))
      call avR2(8193, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(8193, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(2216)%branchR2(0:0))
      call avR2(2216, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(8495)%branchR2(0:0))
      call avR2(8495, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(184)%branchR2(0:1))
      call avR2(184, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2691, nGC_2690/))

      call avR2(184, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2692, nGC_2692/))

      allocate(vertices(2300)%branchR2(0:1))
      call avR2(2300, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(2300, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(6773)%branchR2(0:0))
      call avR2(6773, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(10651)%branchR2(0:1))
      call avR2(10651, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10651, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

      allocate(vertices(10369)%branchR2(0:0))
      call avR2(10369, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2425, nGC_2423,       &
      nGC_2424/))

      allocate(vertices(9807)%branchR2(0:0))
      call avR2(9807, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2502/))

      allocate(vertices(5697)%branchR2(0:0))
      call avR2(5697, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(8626)%branchR2(0:0))
      call avR2(8626, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(10021)%branchR2(0:0))
      call avR2(10021, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(9563)%branchR2(0:0))
      call avR2(9563, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(883)%branchR2(0:1))
      call avR2(883, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2584, nGC_2582/))

      call avR2(883, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2585, nGC_2583/))

      allocate(vertices(10652)%branchR2(0:0))
      call avR2(10652, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(4741)%branchR2(0:0))
      call avR2(4741, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(4090)%branchR2(0:0))
      call avR2(4090, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(9954)%branchR2(0:0))
      call avR2(9954, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10653)%branchR2(0:1))
      call avR2(10653, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2839, nGC_2839,    &
      nGC_2839/))

      call avR2(10653, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2838, nGC_2838,    &
      nGC_2838/))

      allocate(vertices(4637)%branchR2(0:3))
      call avR2(4637, 0, 54, 1, 0, VFFa0, (/1, 2/), (/nGC_2764, nGC_2765/))

      call avR2(4637, 1, 54, 1, 0, VFFa0, (/3, 0/), (/nGC_2755, nGC_2755/))

      call avR2(4637, 2, 55, 1, 0, VFFa0, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(4637, 3, 55, 1, 0, VFFa0, (/1, 2/), (/nGC_2762, nGC_2763/))

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(9400)%branchR2(0:0))
      call avR2(9400, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2696, nGC_2697/))

      allocate(vertices(1866)%branchR2(0:0))
      call avR2(1866, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(9741)%branchR2(0:0))
      call avR2(9741, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(10158)%branchR2(0:0))
      call avR2(10158, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(5897)%branchR2(0:0))
      call avR2(5897, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2466/))

      allocate(vertices(4788)%branchR2(0:0))
      call avR2(4788, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(6202)%branchR2(0:0))
      call avR2(6202, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_4045/))

      allocate(vertices(10414)%branchR2(0:0))
      call avR2(10414, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10323)%branchR2(0:0))
      call avR2(10323, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(1172)%branchR2(0:1))
      call avR2(1172, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_2715, nGC_2717/))

      call avR2(1172, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(10654)%branchR2(0:0))
      call avR2(10654, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(4809)%branchR2(0:0))
      call avR2(4809, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(5840)%branchR2(0:0))
      call avR2(5840, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(1777)%branchR2(0:0))
      call avR2(1777, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2596/))

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2897/))

      allocate(vertices(3177)%branchR2(0:0))
      call avR2(3177, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2903/))

      allocate(vertices(10655)%branchR2(0:0))
      call avR2(10655, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(6176)%branchR2(0:1))
      call avR2(6176, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2547, nGC_2545/))

      call avR2(6176, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2548, nGC_2546/))

      allocate(vertices(6916)%branchR2(0:0))
      call avR2(6916, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(4221)%branchR2(0:0))
      call avR2(4221, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8455)%branchR2(0:0))
      call avR2(8455, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(10656)%branchR2(0:0))
      call avR2(10656, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(6579)%branchR2(0:0))
      call avR2(6579, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(5240)%branchR2(0:0))
      call avR2(5240, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3168)%branchR2(0:1))
      call avR2(3168, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2471, nGC_2472/))

      call avR2(3168, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(6764)%branchR2(0:0))
      call avR2(6764, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(8920)%branchR2(0:0))
      call avR2(8920, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(9483)%branchR2(0:0))
      call avR2(9483, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2483/))

      allocate(vertices(5624)%branchR2(0:0))
      call avR2(5624, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(10364)%branchR2(0:0))
      call avR2(10364, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(9839)%branchR2(0:0))
      call avR2(9839, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(10153)%branchR2(0:0))
      call avR2(10153, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(4179)%branchR2(0:1))
      call avR2(4179, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(4179, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(3468)%branchR2(0:0))
      call avR2(3468, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7269)%branchR2(0:1))
      call avR2(7269, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(7269, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(10657)%branchR2(0:1))
      call avR2(10657, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2898/))

      call avR2(10657, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2899/))

      allocate(vertices(8102)%branchR2(0:0))
      call avR2(8102, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2722, nGC_2721/))

      allocate(vertices(9285)%branchR2(0:0))
      call avR2(9285, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10658)%branchR2(0:1))
      call avR2(10658, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2931/))

      call avR2(10658, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2932/))

      allocate(vertices(3991)%branchR2(0:0))
      call avR2(3991, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2504/))

      allocate(vertices(6680)%branchR2(0:0))
      call avR2(6680, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(4319)%branchR2(0:0))
      call avR2(4319, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(7516)%branchR2(0:0))
      call avR2(7516, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(9887)%branchR2(0:0))
      call avR2(9887, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2468/))

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(7719)%branchR2(0:3))
      call avR2(7719, 0, 53, 1, 0, VFaF1, (/3, 0/), (/nGC_2752, nGC_2752/))

      call avR2(7719, 1, 53, 1, 0, VFaF1, (/1, 2/), (/nGC_2750, nGC_2751/))

      call avR2(7719, 2, 52, 1, 0, VFaF1, (/1, 2/), (/nGC_2753, nGC_2754/))

      call avR2(7719, 3, 52, 1, 0, VFaF1, (/3, 0/), (/nGC_2755, nGC_2755/))

      allocate(vertices(10254)%branchR2(0:0))
      call avR2(10254, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10659)%branchR2(0:0))
      call avR2(10659, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(7377)%branchR2(0:1))
      call avR2(7377, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2563, nGC_2561/))

      call avR2(7377, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2564, nGC_2562/))

      allocate(vertices(3546)%branchR2(0:0))
      call avR2(3546, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10660)%branchR2(0:0))
      call avR2(10660, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(7317)%branchR2(0:1))
      call avR2(7317, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(7317, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10175)%branchR2(0:0))
      call avR2(10175, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(2858)%branchR2(0:0))
      call avR2(2858, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(4360)%branchR2(0:0))
      call avR2(4360, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2519/))

      allocate(vertices(10661)%branchR2(0:1))
      call avR2(10661, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2923, nGC_2923,    &
      nGC_2923/))

      call avR2(10661, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2924, nGC_2924,    &
      nGC_2924/))

      allocate(vertices(2525)%branchR2(0:3))
      call avR2(2525, 0, 59, 1, 0, FVFa0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(2525, 1, 59, 1, 0, FVFa0, (/1, 2/), (/nGC_2736, nGC_2738/))

      call avR2(2525, 2, 58, 1, 0, FVFa0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(2525, 3, 58, 1, 0, FVFa0, (/3, 0/), (/nGC_2740, nGC_2740/))

      allocate(vertices(6725)%branchR2(0:0))
      call avR2(6725, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(9920)%branchR2(0:0))
      call avR2(9920, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(7290)%branchR2(0:0))
      call avR2(7290, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8678)%branchR2(0:0))
      call avR2(8678, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2673/))

      allocate(vertices(7590)%branchR2(0:0))
      call avR2(7590, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(4137)%branchR2(0:0))
      call avR2(4137, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(9553)%branchR2(0:0))
      call avR2(9553, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7731)%branchR2(0:0))
      call avR2(7731, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(1306)%branchR2(0:1))
      call avR2(1306, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(1306, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(9057)%branchR2(0:0))
      call avR2(9057, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(1880)%branchR2(0:0))
      call avR2(1880, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6191)%branchR2(0:1))
      call avR2(6191, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(6191, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(9815)%branchR2(0:0))
      call avR2(9815, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(9649)%branchR2(0:0))
      call avR2(9649, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2539/))

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(9525)%branchR2(0:1))
      call avR2(9525, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_2448, nGC_2446,        &
      nGC_2447/))

      call avR2(9525, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2445, nGC_2443,        &
      nGC_2444/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(9959)%branchR2(0:0))
      call avR2(9959, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_2441, nGC_2440,       &
      nGC_2440, nGC_2442/))

      allocate(vertices(1597)%branchR2(0:0))
      call avR2(1597, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2496/))

      allocate(vertices(1554)%branchR2(0:1))
      call avR2(1554, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(1554, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8098)%branchR2(0:1))
      call avR2(8098, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2551, nGC_2549/))

      call avR2(8098, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2552, nGC_2550/))

      allocate(vertices(1696)%branchR2(0:0))
      call avR2(1696, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8990)%branchR2(0:1))
      call avR2(8990, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_2437, nGC_2434,       &
      nGC_2453, nGC_2453/))

      call avR2(8990, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_2429, nGC_2429,       &
      nGC_2454, nGC_2454/))

      allocate(vertices(3831)%branchR2(0:0))
      call avR2(3831, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(9613)%branchR2(0:0))
      call avR2(9613, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2503/))

      allocate(vertices(8490)%branchR2(0:0))
      call avR2(8490, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(10382)%branchR2(0:0))
      call avR2(10382, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(1812)%branchR2(0:0))
      call avR2(1812, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(3453)%branchR2(0:0))
      call avR2(3453, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(3779)%branchR2(0:1))
      call avR2(3779, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(3779, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(9548)%branchR2(0:0))
      call avR2(9548, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(9164)%branchR2(0:0))
      call avR2(9164, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(7292)%branchR2(0:0))
      call avR2(7292, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2710/))

      allocate(vertices(2617)%branchR2(0:0))
      call avR2(2617, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(7788)%branchR2(0:0))
      call avR2(7788, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(8248)%branchR2(0:0))
      call avR2(8248, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(5778)%branchR2(0:0))
      call avR2(5778, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(7990)%branchR2(0:0))
      call avR2(7990, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(8548)%branchR2(0:0))
      call avR2(8548, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10662)%branchR2(0:1))
      call avR2(10662, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2847/))

      call avR2(10662, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2848/))

    end subroutine fill_vertices_mdl22
end module vertices_info22
